@ECHO OFF
rem ******************************************************************************************************************************
rem * Licensed Materials - Property of IBM                                                                                       *
rem * (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
rem *                                                                                                                            *
rem *US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
rem ******************************************************************************************************************************

REM PROMPTS
SET CRREWPRMPT001=Enter DB2 Instance to use on %COMPUTERNAME%:
SET CRREWPRMPT002=Enter name of the database to create:
SET CRREWPRMPT003=Enter username to use to connect to the database:
SET CRREWPRMPT004=Enter password for user %DBUSER%:
SET CRREWPRMPT005=Enter schema under which the operational data store will be built:
SET CRREWPRMPT006=Enter schema under which the star schema will be built:
SET CRREWPRMPT007=Enter user name that will connect and run the reports:
SET CRREWPRMPT008=Specify a base directory for the table space files:
SET CRREWPRMPT009=Enter earliest year to populate the date dimension with:
SET CRREWPRMPT010=Enter latest year to populate the date dimension with:
SET CRREWPRMPT011=Enter the calendar type [1] for Gregorian [2] for ISO for the date dimension:
SET CRREWPRMPT012=Enter a value of 1 for 10G or 2 for 11G to designate the version of Oracle you are running:
SET CRREWPRMPT013=Enter value for ORACLE_HOME:
SET CRREWPRMPT014=Enter value for ORACLE_BASE:
SET CRREWPRMPT015=Enter name [SID] of database to create, maximum length of name is 8 characters:
SET CRREWPRMPT016=Enter password for SYS account:
SET CRREWPRMPT017=Enter password for SYSTEM account:
SET CRREWPRMPT018=Enter password for SYSMAN account:
SET CRREWPRMPT019=Enter password for DBSNMP account:
SET CRREWPRMPT020=Enter user name to create the DBA account:
SET CRREWPRMPT021=Enter user password to set for the DBA account:
SET CRREWPRMPT022=Enter user password to use for the account that will connect and run the reports:
SET CRREWPRMPT023=Enter SQL Server Instance to use on %COMPUTERNAME%.  If no value is specified the default instance will be used: 
SET CRREWPRMPT024=Specify the instance's base home directory e.g. c:\Microsoft SQL Server\MSSQL.1:
SET CRREWPRMPT025=Enter user name to create to connect to the content store:
SET CRREWPRMPT026=Enter password to set for the content store user:
SET CRREWPRMPT027=Enter java home directory "For example C:\Program Files\IBM\Installation Manager\eclipse\jre_5.0.3.sr8a_20080811b\jre"
SET CRREWPRMPT028=Enter name of the Insight database:
SET CRREWPRMPT029=Enter schema under which the operational data store is built:
SET CRREWPRMPT030=Enter schema under which the star schema is built:
SET CRREWPRMPT031=Enter user name that is used to run reports:
SET CRREWPRMPT032=Do you want to accept the new view definions [1=Yes 0=No]?:
SET CRREWPRMPT033=Enter the password of USERNAME for SQL Server authentication mode:

REM ECHOS
SET CRREWECH001=DB2 Database Installation
SET CRREWECH002=Exiting!!!
SET CRREWECH003=Please review "%CD%"\logs\createdb.log for error messages
SET CRREWECH004=Please review "%CD%"\logs\bufferpool.log for error messages
SET CRREWECH005=Please review "%CD%"\logs\tbspace.log for error messages
SET CRREWECH006=Please review "%CD%"\logs\createSTGCFG.log for error messages
SET CRREWECH007=Please review "%CD%"\logs\createNF.log for error messages
SET CRREWECH008=Please review "%CD%"\logs\createSTAR.log for error messages
SET CRREWECH009=Please review "%CD%"\logs\createSTARViews.log for error messages
SET CRREWECH010=Please review "%CD%"\logs\initCONFIG.log for error messages
SET CRREWECH011=Please review "%CD%"\logs\initNF.log for error messages
SET CRREWECH012=Please review "%CD%"\logs\initSTAR.log for error messages
SET CRREWECH013=Please review "%CD%"\logs\star_grants.log for error messages
SET CRREWECH014=Please review "%CD%"\logs\populate-D_DATE.log and "%CD%"\logs\dtPopulate.log for error messages
SET CRREWECH015=Please review "%CD%"\logs\sampledw_obj.log for error messages
SET CRREWECH016=Please review "%CD%"\IMPORT.out
SET CRREWECH017=Oracle Database Installation
SET CRREWECH018=ORACLE_HOME and ORACLE_BASE should be specified before proceeding
SET CRREWECH020=Please Refer to "%CD%"\logs\createDBService.log 
SET CRREWECH021=Specify a different ORACLE_SID or drop the existing one and clean up the related directories before proceeding.
SET CRREWECH022=Please review "%CD%"\logs\cmstore.log for error messages
SET CRREWECH023=Please review "%CD%"\logs\cmstore_trig.log for error messages
SET CRREWECH024=SQL Server Database Installation
SET CRREWECH025=Please review "%CD%"\logs\createSchema.log for error messages
SET CRREWECH026=Please review "%CD%"\logs\createUsers.log for error messages
SET CRREWECH027=Please review "%CD%"\logs\createFileGroup.log for error messages
SET CRREWECH028=Please review "%CD%"\logs\createFile.log for error messages
SET CRREWECH029=Please review "%CD%"\logs\cmstore.log for error messages
SET CRREWECH030=Please review "%CD%"\logs\cmstore_proc.log for error messages
SET CRREWECH031=Java home should be specified before proceeding
SET CRREWECH032=Found set_env.bat file and executed it
SET CRREWECH033=This process will migrate the Insight database.  Before you proceede make sure you have backed up your database.  Make sure the backup you have is valid and will allow for a full restore of the database if needed.
SET CRREWECH034=Please review "%CD%"\logs\createRIBA.log
SET CRREWECH035=Please review "%CD%"\logs\createCALM.log
SET CRREWECH036=Please review "%CD%"\logs\initCALM.log for error messages
SET CRREWECH037=Please review "%CD%"\logs\createRIASSET.log
SET CRREWECH038=Please review "%CD%"\logs\initRIASSET.log for error messages
SET CRREWECH039=Please review "%CD%"\logs\createRISCHK.log
SET CRREWECH040=Please review "%CD%"\logs\initRISCHK.log for error messages


REM ERROR MESSAGES
SET CRREWMSGE001=CRREW4501E: Error invalid instance specified
SET CRREWMSGE002=CRREW4502E: Error invalid database name specified
SET CRREWMSGE003=CRREW4503E: Error invalid database user name specified
SET CRREWMSGE004=CRREW4504E: Error invalid database user password specified
SET CRREWMSGE005=CRREW4505E: Error NF_SCHEMA schema can not be null
SET CRREWMSGE006=CRREW4506E: Error STAR_SCHEMA schema can not be null
SET CRREWMSGE007=CRREW4507E: Error REP_USER user name can not be null
SET CRREWMSGE008=CRREW4508E: Error invalid table space directory
SET CRREWMSGE009=CRREW4509E: Error START_YEAR can not be null
SET CRREWMSGE010=CRREW4510E: Error END_YEAR can not be null
SET CRREWMSGE011=CRREW4511E: Error CAL_TYPE can not be null
SET CRREWMSGE012=CRREW4512E: Error CAL_TYPE can only be 1 or 2
SET CRREWMSGE013=CRREW4513E: Error creating database 
SET CRREWMSGE014=CRREW4514E: Error creating buffer pools
SET CRREWMSGE015=CRREW4515E: Error creating table spaces
SET CRREWMSGE016=CRREW4516E: Error creating table CONFIG tables  
SET CRREWMSGE017=CRREW4517E: Error creating table ODS tables
SET CRREWMSGE018=CRREW4518E: Error creating table STAR tables
SET CRREWMSGE019=CRREW4519E: Error creating table STAR views
SET CRREWMSGE020=CRREW4520E: Error initializing CONFIG tables 
SET CRREWMSGE021=CRREW4521E: Error initializing ODS tables
SET CRREWMSGE022=CRREW4522E: Error initializing STAR tables
SET CRREWMSGE023=CRREW4523E: Error granting privileges
SET CRREWMSGE024=CRREW4524E: Error failed to copy files
SET CRREWMSGE025=CRREW4525E: Error populating date dimension table
SET CRREWMSGE026=CRREW4526E: Error creating objects
SET CRREWMSGE027=CRREW4527E: Error importing into DB2
SET CRREWMSGE028=CRREW4528E: Error ORA_VERSION name can not be null
SET CRREWMSGE029=CRREW4529E: Error ORA_VERSION is invalid
SET CRREWMSGE030=CRREW4530E: Error invalid ORACLE_HOME specified
SET CRREWMSGE031=CRREW4531E: Error invalid ORACLE_HOME specified
SET CRREWMSGE032=CRREW4532E: Error invalid ORACLE_BASE specified
SET CRREWMSGE034=CRREW4534E: Error invalid SID specified
SET CRREWMSGE035=CRREW4535E: Error SYS account password can not be null
SET CRREWMSGE036=CRREW4536E: Error SYSTEMPWD account password can not be null
SET CRREWMSGE037=CRREW4537E: Error SYSMANPWD account password can not be null
SET CRREWMSGE038=CRREW4538E: Error DBSNMPPWD account password can not be null
SET CRREWMSGE039=CRREW4539E: Error DBA_USER account name can not be null
SET CRREWMSGE040=CRREW4540E: Error DBA_PASSWORD account password can not be null
SET CRREWMSGE041=CRREW4541E: Error NF_SCHEMA schema can not be null
SET CRREWMSGE042=CRREW4542E: Error STAR_SCHEMA schema can not be null
SET CRREWMSGE043=CRREW4543E: Error REP_USER user name can not be null
SET CRREWMSGE044=CRREW4544E: Error REP_PASSWD can not be null
SET CRREWMSGE046=CRREW4546E: Error HOST_NAME name can not be null
SET CRREWMSGE053=CRREW4553E: Error %ORACLE_SID% seems to already exist.
SET CRREWMSGE058=CRREW4558E: Error creating directory "%DATA_HOME%"\oradata\%ORACLE_SID%
SET CRREWMSGE059=CRREW4559E: Error creating directory "%ORACLE_BASE%"\admin\%ORACLE_SID%\adump
SET CRREWMSGE060=CRREW4560E: Error creating directory "%ORACLE_BASE%"\admin\%ORACLE_SID%\bdump
SET CRREWMSGE061=CRREW4561E: Error creating directory "%ORACLE_BASE%"\admin\%ORACLE_SID%\cdump
SET CRREWMSGE062=CRREW4562E: Error creating directory "%ORACLE_BASE%"\admin\%ORACLE_SID%\dpdump
SET CRREWMSGE063=CRREW4563E: Error creating directory  "%ORACLE_BASE%"\admin\%ORACLE_SID%\pfile
SET CRREWMSGE064=CRREW4564E: Error creating directory "%ORACLE_BASE%"\admin\%ORACLE_SID%\udump
SET CRREWMSGE065=CRREW4565E: Error creating directory "%ORACLE_HOME%"\cfgtoollogs\dbca\%ORACLE_SID%
SET CRREWMSGE066=CRREW4566E: Error creating directory "%ORACLE_HOME%"\dbs
SET CRREWMSGE067=CRREW4567E: Error creating directory "%ORACLE_BASE%"\flash_recovery_area
SET CRREWMSGE068=CRREW4568E: Error creating directory "%ORACLE_BASE%"\oradata\%ORACLE_SID%
SET CRREWMSGE069=CRREW4569E: Error creating datatabase %ORACLE_SID%
SET CRREWMSGE070=CRREW4570E: Error creating 10g ORA files
SET CRREWMSGE071=CRREW4571E: Error creating 11g ORA files
SET CRREWMSGE072=CRREW4572E: Error importing into ORACLE
SET CRREWMSGE073=CRREW4573E: Error enabling constraints
SET CRREWMSGE074=CRREW4574E: Error enabling triggers
SET CRREWMSGE075=CRREW4575E: Error modifying control files
SET CRREWMSGE076=CRREW4576E: Error creating directory 
SET CRREWMSGE077=CRREW4577E: Error creating tables
SET CRREWMSGE078=CRREW4578E: Error creating triggers
SET CRREWMSGE079=CRREW4579E: Error invalid data file directory
SET CRREWMSGE080=CRREW4580E: Error CS_SCHEMA can not be null
SET CRREWMSGE081=CRREW4581E: Error CS_PASSWORD can not be null
SET CRREWMSGE082=CRREW4582E: Error creating procedures
SET CRREWMSGE083=CRREW4583E: Error importing into SQL Server
SET CRREWMSGE084=CRREW4584E: Error connecting
SET CRREWMSGE085=CRREW4585E: Error determining locale
SET CRREWMSGE086=CRREW4586E: Error invalid calendar type. Specify 1 (Gregorian), 2 (ISO)
SET CRREWMSGE087=CRREW4587E: Error START_YEAR is null OR greater than END_YEAR
SET CRREWMSGE088=CRREW4588E: Error END_YEAR is null OR less than START_YEAR
SET CRREWMSGE089=CRREW4589E: Error Warehouse schema not specified.  Specify a valid schema
SET CRREWMSGE090=CRREW4590E: Error Date Dimension is corrupted, smallest date does not equal January 1rst
SET CRREWMSGE091=CRREW4591E: Error Date Dimension is corrupted, largest date does not equal December 31rst
SET CRREWMSGE092=CRREW4592E: Error Date Dimension unsupported calendar
SET CRREWMSGE093=CRREW4593E: Error Date Dimension argument END_YEAR is less than MIN(YEAR) IN D_DATE
SET CRREWMSGE094=CRREW4594E: Error Date Dimension argument START_YEAR is greater than MAX(YEAR) IN D_DATE
SET CRREWMSGE095=CRREW4595E: Error REP_USER needs to be different from DBUSER
SET CRREWMSGE096=CRREW4596E: Error Java home directory is invalid
SET CRREWMSGE097=CRREW4597E: Error set_env.bat file not exist or failed to call 
SET CRREWMSGE098=CRREW4598E: Error cannot determine Insight version
SET CRREWMSGE099=CRREW4599E: Error cannot determine target Insight version
SET CRREWMSGE100=CRREW4600E: Error current version is greater than target version
SET CRREWMSGE101=CRREW4601E: Error executing the statement
SET CRREWMSGE102=CRREW4602E: Error there are dependent statements that have failled
SET CRREWMSGE103=CRREW4603E: Error there are migration errors please review logs and the CONFIG.STATEMENT_LIST table
SET CRREWMSGE104=CRREW4604E: Error there are errors creating the migration procedures please review logs
SET CRREWMSGE105=CRREW4605E: Error RIBA schema can not be null
SET CRREWMSGE106=CRREW4606E: Error creating Business Analytics tables
SET CRREWMSGE107=CRREW4607E: Error CALM schema can not be null
SET CRREWMSGE108=CRREW4608E: Error creating CALM tables
SET CRREWMSGE109=CRREW4609E: Error initializing CALM tables
SET CRREWMSGE110=CRREW4610E: Error RIASSET schema can not be null
SET CRREWMSGE111=CRREW4611E: Error creating RIASSET tables
SET CRREWMSGE112=CRREW4612E: Error initializing RIASSET tables
SET CRREWMSGE113=CRREW4611E: Error creating RISCHK tables
SET CRREWMSGE114=CRREW4612E: Error initializing RISCHK tables
SET CRREWMSGE115=CRREW4615E: Error RISCHK schema can not be null
SET CRREWMSGE116=CRREW4616E: Error database driver is not in the CLASSPATH
SET CRREWMSGE117=CRREW4617E: Error administration username can not be null for SQL Server authentication mode
SET CRREWMSGE118=CRREW4618E: Error the password of USERNAME can not be null for SQL Server authentication mode


REM ERROR CODES
SET CRREW4501E=4501
SET CRREW4502E=4502
SET CRREW4503E=4503
SET CRREW4504E=4504
SET CRREW4505E=4505
SET CRREW4506E=4506
SET CRREW4507E=4507
SET CRREW4508E=4508
SET CRREW4509E=4509
SET CRREW4510E=4510
SET CRREW4511E=4511
SET CRREW4512E=4512
SET CRREW4513E=4513
SET CRREW4514E=4514
SET CRREW4515E=4515
SET CRREW4516E=4516
SET CRREW4517E=4517
SET CRREW4518E=4518
SET CRREW4519E=4519
SET CRREW4520E=4520
SET CRREW4521E=4521
SET CRREW4522E=4522
SET CRREW4523E=4523
SET CRREW4524E=4524
SET CRREW4525E=4525
SET CRREW4526E=4526
SET CRREW4527E=4527
SET CRREW4528E=4528
SET CRREW4529E=4529
SET CRREW4530E=4530
SET CRREW4531E=4531
SET CRREW4532E=4532
SET CRREW4534E=4534
SET CRREW4535E=4535
SET CRREW4536E=4536
SET CRREW4537E=4537
SET CRREW4538E=4538
SET CRREW4539E=4539
SET CRREW4540E=4540
SET CRREW4541E=4541
SET CRREW4542E=4542
SET CRREW4543E=4543
SET CRREW4544E=4544
SET CRREW4546E=4546
SET CRREW4553E=4553
SET CRREW4558E=4558
SET CRREW4559E=4559
SET CRREW4560E=4560
SET CRREW4561E=4561
SET CRREW4562E=4562
SET CRREW4563E=4563
SET CRREW4564E=4564
SET CRREW4565E=4565
SET CRREW4566E=4566
SET CRREW4567E=4567
SET CRREW4568E=4568
SET CRREW4569E=4569
SET CRREW4570E=4570
SET CRREW4571E=4571
SET CRREW4572E=4572
SET CRREW4573E=4573
SET CRREW4574E=4574
SET CRREW4575E=4575
SET CRREW4576E=4576
SET CRREW4577E=4577
SET CRREW4578E=4578
SET CRREW4579E=4579
SET CRREW4580E=4580
SET CRREW4581E=4581
SET CRREW4582E=4582
SET CRREW4583E=4583
SET CRREW4584E=4584
SET CRREW4585E=4585
SET CRREW4586E=4586
SET CRREW4587E=4587
SET CRREW4588E=4588
SET CRREW4589E=4589
SET CRREW4590E=4590
SET CRREW4591E=4591
SET CRREW4592E=4592
SET CRREW4593E=4593
SET CRREW4594E=4594
SET CRREW4595E=4595
SET CRREW4596E=4596
SET CRREW4597E=4597
SET CRREW4598E=4598
SET CRREW4599E=4599
SET CRREW4600E=4600
SET CRREW4601E=4601
SET CRREW4602E=4602
SET CRREW4603E=4603
SET CRREW4604E=4604
SET CRREW4605E=4605
SET CRREW4606E=4606
SET CRREW4607E=4607
SET CRREW4608E=4608
SET CRREW4609E=4609
SET CRREW4610E=4610
SET CRREW4611E=4611
SET CRREW4612E=4612
SET CRREW4613E=4613
SET CRREW4614E=4614
SET CRREW4615E=4615
SET CRREW4616E=4616
SET CRREW4617E=4617
SET CRREW4618E=4618
EXIT /B