#!/bin/ksh

# Default Rational Insight database ALIAS instance to use. 
# if a different value is required change the value of DBNAME
# Not accepting the default implies changes in the connection information
# defined on the Cognos BI server and Data Manager ETL

export DBNAME=SAMPLEDW

# Default account to use to execute the database installation.
# If a different value is required change the value of DBUSER
# Make sure to make the appropriate changes in the Data Manager credentials
# for the "Rational Data Warehouse" connection 

export DBUSER=db2admin

# Default schema name to use for the Operational Data Store.
# If a different value is required change the value of NF_SCHEMA.
# Not accepting the default implies that the Data Manager 
# ETL variable ODS will have to be changed as well


export NF_SCHEMA=RIODS

# Default schema name to use for the Asset Management Operational Data Store.
# If a different value is required change the value of RIASSET_SCHEMA.
# Not accepting the default implies that the Data Manager 
# ETL variables will have to be changed as well


export RIASSET_SCHEMA=RIASSET

# Default schema name to use for the MCIF Self-Check Operational Data Store.
# If a different value is required change the value of RISCHK_SCHEMA.
# Not accepting the default implies that the Data Manager 
# ETL variables will have to be changed as well


export RISCHK_SCHEMA=RISCHK


# Default schema name to use for the Data Mart.
# If a different value is required change the value of STAR_SCHEMA.
# Not accepting the default implies that the Frame Work Manager 
# meta-data model will need to be altered as well as as all published reports.
# Additionally the Data Manager ETL variable DW will have to be changed as well.


export STAR_SCHEMA=RIDW

# Default schema name to use for the Business Analytics area of the database.
# If a different value is required change the value of RIBA.
# Not accepting the default implies that the Frame Work Manager 
# meta-data model will need to be altered as well as as all published reports.
# Additionally the Data Manager ETL variable will have to be changed as well.

export RIBA_SCHEMA=RIBA

# Default account to use for the report executions.
# If a different value is required change the value of REP_USER.
# Not accepting the defaults implies that RIDW connection
# in the Cognos BI server will have to be changed

export REP_USER=RPTUSER

# Default path for the table space files.
# Change the value of DATA_HOME to any suitable value for your system

export DATA_HOME=$HOME/databases
