--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

---------------------------------
-- DDL Statements for Sequences
---------------------------------

SET CURRENT SCHEMA $NF_SCHEMA;

-- FOREIGN KEY CONSTRAINTS

ALTER TABLE ACTIVITY_DETAIL ADD CONSTRAINT ACTDET_FK1 FOREIGN KEY (ACTIVITY_ID) 
	REFERENCES ACTIVITY (ACTIVITY_ID);
	
ALTER TABLE ACTIVITY ADD CONSTRAINT ACTIVITY_FK1 FOREIGN KEY (TASK_ID)
	REFERENCES TASK (TASK_ID);

ALTER TABLE ACTIVITY ADD CONSTRAINT ACTIVITY_FK2 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE ACTIVITY ADD CONSTRAINT ACTIVITY_FK3 FOREIGN KEY (FAILED_BUILD)
	REFERENCES BUILD (BUILD_ID);

ALTER TABLE ACTIVITY ADD CONSTRAINT ACTIVITY_FK4 FOREIGN KEY (VALIDATION_BUILD)
	REFERENCES BUILD (BUILD_ID);

ALTER TABLE ACTIVITY ADD CONSTRAINT ACTIVITY_FK5 FOREIGN KEY (NOTEST_BUILD)
	REFERENCES BUILD (BUILD_ID);

ALTER TABLE ACTIVITY ADD CONSTRAINT ACTIVITY_FK6 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);
	
ALTER TABLE ACTIVITY ADD CONSTRAINT ACTIVITY_FK7 FOREIGN KEY (ACTIVITY_CLASS_ID)
	REFERENCES ACTIVITY_CLASSIFICATION (ACTIVITY_CLASS_ID);	

ALTER TABLE ACTIVITY ADD CONSTRAINT ACTIVITY_FK8 FOREIGN KEY (FILE_STREAM_ID)
	REFERENCES FILE_STREAM (FILE_STREAM_ID);	

ALTER TABLE ACTIVITY ADD CONSTRAINT ACTIVITY_FK9 FOREIGN KEY(PROFILE_ID)
	REFERENCES PROFILE (PROFILE_ID);	

ALTER TABLE ACTIVITY ADD CONSTRAINT ACTIVITY_FK10 FOREIGN KEY(CHARGECODE_ID)
	REFERENCES CHARGECODE (CHARGECODE_ID);

ALTER TABLE REQUEST_ACTIVITY_LOOKUP ADD CONSTRAINT REQACT_FK1 FOREIGN KEY (REQUEST_ID)
	REFERENCES REQUEST (REQUEST_ID);
	
ALTER TABLE REQUEST_ACTIVITY_LOOKUP ADD CONSTRAINT REQACT_FK2 FOREIGN KEY (ACTIVITY_ID)
	REFERENCES ACTIVITY (ACTIVITY_ID);	

ALTER TABLE COMPONENT ADD CONSTRAINT COMPONENT_FK1 FOREIGN KEY (PRODUCT_ID)
	REFERENCES PRODUCT (PRODUCT_ID);

ALTER TABLE COMPONENT ADD CONSTRAINT COMPONENT_FK3 FOREIGN KEY (COMPONENT_CLASS_ID)
	REFERENCES COMPONENT_CLASSIFICATION(COMPONENT_CLASS_ID);
		
ALTER TABLE PROJECT_COMPONENT_LOOKUP ADD CONSTRAINT PRJCOMP_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);
	
ALTER TABLE PROJECT_COMPONENT_LOOKUP ADD CONSTRAINT PRJCOMP_FK2 FOREIGN KEY (COMPONENT_ID)
	REFERENCES COMPONENT (COMPONENT_ID);	

ALTER TABLE BUILD ADD CONSTRAINT BUILD_FK2 FOREIGN KEY (COMPONENT_ID)
	REFERENCES COMPONENT (COMPONENT_ID);

ALTER TABLE BUILD ADD CONSTRAINT BUILD_FK3 FOREIGN KEY (BASELINE_ID)
	REFERENCES PROJECT_BASELINE (BASELINE_ID);

ALTER TABLE BUILD ADD CONSTRAINT BUILD_FK4 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE BUILD ADD CONSTRAINT BUILD_FK5 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE BUILD ADD CONSTRAINT BUILD_FK6 FOREIGN KEY (PROJECT_TYPE_ID)
	REFERENCES PROJECT_TYPE (PROJECT_TYPE_ID);

ALTER TABLE BUILD ADD CONSTRAINT BUILD_FK7 FOREIGN KEY (BUILD_CLASS_ID)
	REFERENCES BUILD_CLASSIFICATION (BUILD_CLASS_ID);
	
ALTER TABLE BUILD ADD CONSTRAINT BUILD_FK8 FOREIGN KEY (ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);

ALTER TABLE BUILD ADD CONSTRAINT BUILD_FK9 FOREIGN KEY (TEAM_ID)
	REFERENCES TEAM (TEAM_ID);	 	
		
ALTER TABLE PROJECT_DETAIL ADD CONSTRAINT PROJECT_DETAIL_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);
		
ALTER TABLE REQUIREMENT ADD CONSTRAINT REQUIREMENT_FK1 FOREIGN KEY (PLANNED_ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);

ALTER TABLE REQUIREMENT ADD CONSTRAINT REQUIREMENT_FK2 FOREIGN KEY (ACTUAL_ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);

ALTER TABLE REQUIREMENT ADD CONSTRAINT REQUIREMENT_FK3 FOREIGN KEY (RELEASE_ID)
	REFERENCES RELEASE (RELEASE_ID);

ALTER TABLE REQUIREMENT ADD CONSTRAINT REQUIREMENT_FK4 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE REQUIREMENT ADD CONSTRAINT REQUIREMENT_FK5 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE REQUIREMENT ADD CONSTRAINT REQUIREMENT_FK7 FOREIGN KEY (COMPONENT_ID)
	REFERENCES COMPONENT (COMPONENT_ID);

ALTER TABLE REQUIREMENT ADD CONSTRAINT REQUIREMENT_FK8 FOREIGN KEY (REQUIREMENT_CLASS_ID)
	REFERENCES REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID);

ALTER TABLE REQUIREMENT_COLLECTION ADD CONSTRAINT REQUI_COLLECT_FK1 FOREIGN KEY (RELEASE_ID)
	REFERENCES RELEASE (RELEASE_ID);

ALTER TABLE REQUIREMENT_COLLECTION ADD CONSTRAINT REQUI_COLLECT_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);
	
ALTER TABLE REQUIREMENT_COLLECTION ADD CONSTRAINT REQUI_COLLECT_FK3 FOREIGN KEY (PLANNED_ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);

ALTER TABLE REQUIREMENT_COLLECTION ADD CONSTRAINT REQUI_COLLECT_FK4 FOREIGN KEY (ACTUAL_ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);

ALTER TABLE REQUICOL_REQUIREMENT_LOOKUP ADD CONSTRAINT REQUICOLLECT_FK1 FOREIGN KEY (REQUIREMENT_COLLECTION_ID)
	REFERENCES REQUIREMENT_COLLECTION (REQUIREMENT_COLLECTION_ID);

ALTER TABLE REQUICOL_REQUIREMENT_LOOKUP ADD CONSTRAINT REQUICOLLECT_FK2 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE REQUICOL_TESTPLAN_LOOKUP ADD CONSTRAINT REQUICOL_TESTP_FK1 FOREIGN KEY (REQUIREMENT_COLLECTION_ID)
	REFERENCES REQUIREMENT_COLLECTION (REQUIREMENT_COLLECTION_ID);

ALTER TABLE REQUICOL_TESTPLAN_LOOKUP ADD CONSTRAINT REQUICOL_TESTP_FK2 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES TESTPLAN (TESTPLAN_ID);
		
ALTER TABLE REQUIREMENT_REVISION_HISTORY ADD CONSTRAINT REQREV_FK1 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE REQUIREMENT_REVISION_HISTORY ADD CONSTRAINT REQREV_FK2 FOREIGN KEY (RESOURCE_ID)
	REFERENCES RESOURCE (RESOURCE_ID);	

ALTER TABLE RESOURCE ADD CONSTRAINT RESOURCE_FK1 FOREIGN KEY (POOL_ID)
	REFERENCES POOL (POOL_ID);
	
ALTER TABLE RESOURCE ADD CONSTRAINT RESOURCE_FK2 FOREIGN KEY (CITY_ID)
	REFERENCES CITY (CITY_ID);
	
ALTER TABLE RESOURCE ADD CONSTRAINT RESOURCE_FK3 FOREIGN KEY (ORGANIZATION_ID)
	REFERENCES ORGANIZATION (ORGANIZATION_ID);	
			
ALTER TABLE RESOURCE_SKILL_LOOKUP ADD CONSTRAINT RESSKILL_FK1 FOREIGN KEY (RESOURCE_ID)
	REFERENCES RESOURCE(RESOURCE_ID);

ALTER TABLE RESOURCE_SKILL_LOOKUP ADD CONSTRAINT RESSKILL_FK FOREIGN KEY(SKILL_ID)
	REFERENCES SKILL(SKILL_ID);

ALTER TABLE RESOURCE_COMPETENCY_LOOKUP ADD CONSTRAINT RESCOMPETENCY_FK1 FOREIGN KEY (RESOURCE_ID)
	REFERENCES RESOURCE(RESOURCE_ID);

ALTER TABLE RESOURCE_COMPETENCY_LOOKUP ADD CONSTRAINT RESCOMPETENCY_FK FOREIGN KEY(COMPETENCY_ID)
	REFERENCES COMPETENCY(COMPETENCY_ID);
		
ALTER TABLE TESTSUITE ADD CONSTRAINT TESTSUITE_FK1 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE TESTSUITE ADD CONSTRAINT TESTSUITE_FK2 FOREIGN KEY (CONFIGURATION_ID)
	REFERENCES CONFIGURATION (CONFIGURATION_ID);

ALTER TABLE TESTSUITE ADD CONSTRAINT TESTSUITE_FK3 FOREIGN KEY (ASSETREGISTRY_ID)
	REFERENCES ASSETREGISTRY (ASSETREGISTRY_ID);
	
ALTER TABLE TESTSUITE ADD CONSTRAINT TESTSUITE_FK4 FOREIGN KEY (TESTSUITE_CLASS_ID)
	REFERENCES TESTSUITE_CLASSIFICATION (TESTSUITE_CLASS_ID);	
	
ALTER TABLE TESTSUITE ADD CONSTRAINT TESTSUITE_FK5 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);	
	
ALTER TABLE TESTSUITE ADD CONSTRAINT TESTSUITE_FK6 FOREIGN KEY (CREATOR_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE EXECUTION_RESULT ADD CONSTRAINT EXECRES_FK1 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE EXECUTION_RESULT ADD CONSTRAINT EXECRES_FK2 FOREIGN KEY (BUILD_ID)
	REFERENCES BUILD (BUILD_ID);

ALTER TABLE EXECUTION_RESULT ADD CONSTRAINT EXECRES_FK3 FOREIGN KEY (ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);

ALTER TABLE EXECUTION_RESULT ADD CONSTRAINT EXECRES_FK4 FOREIGN KEY (TESTTYPE_ID)
	REFERENCES TESTTYPE (TESTTYPE_ID);

ALTER TABLE EXECUTION_RESULT ADD CONSTRAINT EXECRES_FK5 FOREIGN KEY (TESTCASE_ID)
	REFERENCES TESTCASE (TESTCASE_ID);
	
ALTER TABLE EXECUTION_RESULT ADD CONSTRAINT EXECRES_FK6 FOREIGN KEY (EXECRES_CLASS_ID)
	REFERENCES EXECRESULT_CLASSIFICATION (EXECRES_CLASS_ID);
	
ALTER TABLE EXECUTION_RESULT ADD CONSTRAINT EXECRES_FK7 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);	
	
ALTER TABLE EXECUTION_RESULT ADD CONSTRAINT EXECRES_FK8 FOREIGN KEY (TESTSCRIPT_ID)
	REFERENCES TESTSCRIPT (TESTSCRIPT_ID);		
	
ALTER TABLE ITERATION ADD CONSTRAINT ITERATION_FK1 FOREIGN KEY (ASSETREGISTRY_ID)
	REFERENCES ASSETREGISTRY (ASSETREGISTRY_ID);
				
ALTER TABLE ITERATION ADD CONSTRAINT ITERATION_FK4 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);	

ALTER TABLE ITERATION_DETAIL ADD CONSTRAINT ITERDET_FK1 FOREIGN KEY (ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);		

ALTER TABLE ITERATION_BASELINE ADD CONSTRAINT ITERBASELINE_FK2 FOREIGN KEY (ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);
	
ALTER TABLE ITERATION_BASELINE ADD CONSTRAINT ITERBASELINE_FK3 FOREIGN KEY (BASELINE_ID)
	REFERENCES PROJECT_BASELINE (BASELINE_ID);	
	
ALTER TABLE RELEASE ADD CONSTRAINT RELEASE_FK1 FOREIGN KEY (ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);

ALTER TABLE RELEASE ADD CONSTRAINT RELEASE_FK2 FOREIGN KEY (PRODUCT_ID)
	REFERENCES PRODUCT (PRODUCT_ID);

ALTER TABLE RELEASE ADD CONSTRAINT RELEASE_FK3 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);	

ALTER TABLE PROJECT ADD CONSTRAINT PROJECT_FK1 FOREIGN KEY (PROJECT_MANAGER)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE PROJECT ADD CONSTRAINT PROJECT_FK2 FOREIGN KEY (PROJECT_CATEGORY_ID)
	REFERENCES PROJECT_CATEGORY (PROJECT_CATEGORY_ID);	

ALTER TABLE PROJECT ADD CONSTRAINT PROJECT_FK3 FOREIGN KEY (PROJECT_CLASS_ID)
	REFERENCES PROJECT_CLASSIFICATION (PROJECT_CLASS_ID);	

ALTER TABLE PROJECT ADD CONSTRAINT PROJECT_FK4 FOREIGN KEY(PROGRAM_ID)
	REFERENCES PROGRAM(PROGRAM_ID);

ALTER TABLE TASK ADD CONSTRAINT TASK_FK1 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE TASK ADD CONSTRAINT TASK_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);	

ALTER TABLE TASK ADD CONSTRAINT TASK_FK3 FOREIGN KEY (TASK_CATEGORY_ID)
	REFERENCES TASK_CATEGORY (TASK_CATEGORY_ID);
	
ALTER TABLE TASK ADD CONSTRAINT TASK_FK4 FOREIGN KEY (TASK_CLASS_ID)
	REFERENCES TASK_CLASSIFICATION (TASK_CLASS_ID);	

ALTER TABLE TASK ADD CONSTRAINT TASK_FK5 FOREIGN KEY (ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);	

ALTER TABLE TASK_BASELINE ADD CONSTRAINT TASKBL_FK1 FOREIGN KEY (TASK_ID)
	REFERENCES TASK (TASK_ID);
	
ALTER TABLE TASK_BASELINE ADD CONSTRAINT TASKBL_FK2 FOREIGN KEY (BASELINE_ID)
	REFERENCES PROJECT_BASELINE (BASELINE_ID);	

ALTER TABLE TASK_DETAIL ADD CONSTRAINT TASK_DETAIL_FK1 FOREIGN KEY (TASK_ID)
	REFERENCES TASK (TASK_ID);
	
ALTER TABLE PROJECT_HIERARCHY ADD CONSTRAINT PROJECTHIER_FK1 FOREIGN KEY (PARENT_PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE PROJECT_HIERARCHY ADD CONSTRAINT PROJECTHIER_FK2 FOREIGN KEY (CHILD_PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE PROJECT_DETAIL ADD CONSTRAINT PROJECTDT_FK1 FOREIGN KEY (CURRENCY_ID)
	REFERENCES CURRENCY (CURRENCY_ID);

ALTER TABLE PROJECT_TYPE ADD CONSTRAINT PRJTYPE_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE PROJECT_WORKCONFIGURATION ADD CONSTRAINT PRJWKCFG_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE PROJECT_WORKCONFIGURATION ADD CONSTRAINT PRJWKCFG_FK2 FOREIGN KEY (PROJECT_TYPE_ID)
	REFERENCES PROJECT_TYPE (PROJECT_TYPE_ID);

ALTER TABLE PROJECT_CATEGORY ADD CONSTRAINT PRJCAT_FK1 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE PHASE ADD CONSTRAINT PRJPHASE_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE PROJECT_ROLE ADD CONSTRAINT PRJROLE_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE PROJECT_ROLE ADD CONSTRAINT PRJROLE_FK2 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE PROJECT_ROLE_MEMBER_LOOKUP ADD CONSTRAINT PRJROLELK_FK1 FOREIGN KEY (PROJECT_ROLE_ID)
	REFERENCES PROJECT_ROLE (PROJECT_ROLE_ID);

ALTER TABLE PROJECT_ROLE_MEMBER_LOOKUP ADD CONSTRAINT PRJROLELK_FK2 FOREIGN KEY (RESOURCE_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE TASK_REQUIREMENT_LOOKUP ADD CONSTRAINT TSKREQ_FK1 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE TASK_REQUIREMENT_LOOKUP ADD CONSTRAINT TSKREQ_FK2 FOREIGN KEY (TASK_ID)
	REFERENCES TASK (TASK_ID);

ALTER TABLE CONFIGURATION ADD CONSTRAINT CONFIGURATION_FK1 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);
		
ALTER TABLE CONFIGURATION ADD CONSTRAINT CONFIGURATION_FK2 FOREIGN KEY (CONFIGURATION_CLASS_ID)
	REFERENCES CONFIGURATION_CLASSIFICATION (CONFIGURATION_CLASS_ID);	
	
ALTER TABLE CONFIGURATION ADD CONSTRAINT CONFIGURATION_FK3 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);	

ALTER TABLE CONFIGURATION_ATTRIBUTE_LOOKUP ADD CONSTRAINT CFGATTR_ATTR_FK1 FOREIGN KEY (CONFIGURATION_ATTRIBUTE_ID)
	REFERENCES CONFIGURATION_ATTRIBUTE (CONFIGURATION_ATTRIBUTE_ID);

ALTER TABLE CONFIGURATION_ATTRIBUTE_LOOKUP ADD CONSTRAINT CFGATTR_ATTR_FK2 FOREIGN KEY (CONFIGURATION_ID)
	REFERENCES CONFIGURATION (CONFIGURATION_ID);

ALTER TABLE TESTSUITE_ITERATION_LOOKUP ADD CONSTRAINT TSTITER_FK1 FOREIGN KEY (TESTSUITE_ID)
	REFERENCES TESTSUITE (TESTSUITE_ID);

ALTER TABLE TESTSUITE_ITERATION_LOOKUP ADD CONSTRAINT TSTITER_FK2 FOREIGN KEY (ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);

ALTER TABLE TESTPLAN ADD CONSTRAINT TESTPLAN_FK1 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE TESTPLAN ADD CONSTRAINT TESTPLAN_FK2 FOREIGN KEY (ASSETREGISTRY_ID)
	REFERENCES ASSETREGISTRY (ASSETREGISTRY_ID);
	
ALTER TABLE TESTPLAN ADD CONSTRAINT TESTPLAN_FK3 FOREIGN KEY (TESTPLAN_CLASS_ID)
	REFERENCES TESTPLAN_CLASSIFICATION  (TESTPLAN_CLASS_ID);	
	
ALTER TABLE TESTPLAN ADD CONSTRAINT TESTPLAN_FK4 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);	
			
ALTER TABLE TESTPLAN_ITERATION_LOOKUP ADD CONSTRAINT TSPLNITER_FK1 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES TESTPLAN (TESTPLAN_ID);

ALTER TABLE TESTPLAN_ITERATION_LOOKUP ADD CONSTRAINT TSPLNITER_FK2 FOREIGN KEY (ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);

ALTER TABLE TESTCASE ADD CONSTRAINT TESTCASE_FK1 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE TESTCASE ADD CONSTRAINT TESTCASE_FK2 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES TESTPLAN (TESTPLAN_ID);
	
ALTER TABLE TESTCASE ADD CONSTRAINT TESTCASE_FK3 FOREIGN KEY (COMPONENT_ID)
	REFERENCES COMPONENT (COMPONENT_ID);
			
ALTER TABLE TESTCASE ADD CONSTRAINT TESTCASE_FK4 FOREIGN KEY (TESTCASE_CLASS_ID)
	REFERENCES TESTCASE_CLASSIFICATION (TESTCASE_CLASS_ID);
	
ALTER TABLE TESTCASE ADD CONSTRAINT TESTCASE_FK5 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);			

ALTER TABLE TESTCASE_TESTSCRIPT_LOOKUP ADD CONSTRAINT TESTCSCRIPT_FK1 FOREIGN KEY (TESTCASE_ID)
	REFERENCES TESTCASE (TESTCASE_ID);

ALTER TABLE TESTCASE_TESTSCRIPT_LOOKUP ADD CONSTRAINT TESTCSCRIPT_FK2 FOREIGN KEY (TESTSCRIPT_ID)
	REFERENCES TESTSCRIPT (TESTSCRIPT_ID);
		
ALTER TABLE TESTCASE_ITERATION_LOOKUP ADD CONSTRAINT TESTCITER_FK1 FOREIGN KEY (TESTCASE_ID)
	REFERENCES TESTCASE (TESTCASE_ID);

ALTER TABLE TESTCASE_ITERATION_LOOKUP ADD CONSTRAINT TESTCITER_FK2 FOREIGN KEY (ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);

ALTER TABLE REQUIREMENT_TESTCASE_LOOKUP ADD CONSTRAINT REQTEST_FK1 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE REQUIREMENT_TESTCASE_LOOKUP ADD CONSTRAINT REQTEST_FK2 FOREIGN KEY (TESTCASE_ID)
	REFERENCES TESTCASE (TESTCASE_ID);

ALTER TABLE REQUIREMENT_TESTPLAN_LOOKUP ADD CONSTRAINT REQTESTP_FK1 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE REQUIREMENT_TESTPLAN_LOOKUP ADD CONSTRAINT REQTESTP_FK2 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES TESTPLAN (TESTPLAN_ID);

ALTER TABLE REQUIREMENT_TESTSUITE_LOOKUP ADD CONSTRAINT REQTESTS_FK1 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE REQUIREMENT_TESTSUITE_LOOKUP ADD CONSTRAINT REQTESTS_FK2 FOREIGN KEY (TESTSUITE_ID)
	REFERENCES TESTSUITE (TESTSUITE_ID);

ALTER TABLE REQUIREMENT_REQUIREMENT_LOOKUP ADD CONSTRAINT REQTREQ_FK1 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE REQUIREMENT_REQUIREMENT_LOOKUP ADD CONSTRAINT REQTREQ_FK2 FOREIGN KEY (CREQUIREMENT_ID)
	REFERENCES REQUIREMENT (REQUIREMENT_ID);
	
ALTER TABLE REQUIREMENT_HIERARCHY ADD CONSTRAINT REQHIER_FK1 FOREIGN KEY (PRED_REQUIREMENT_ID)
	REFERENCES  REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE REQUIREMENT_HIERARCHY ADD CONSTRAINT REQHIER_FK2 FOREIGN KEY (SUCC_REQUIREMENT_ID)
	REFERENCES  REQUIREMENT (REQUIREMENT_ID);	
	
ALTER TABLE REQUEST_LINK ADD CONSTRAINT REQULINK_FK1 FOREIGN KEY (PRED_REQUEST_ID)
	REFERENCES  REQUEST (REQUEST_ID);

ALTER TABLE REQUEST_LINK ADD CONSTRAINT REQULINK_FK2 FOREIGN KEY (SUCC_REQUEST_ID)
	REFERENCES  REQUEST (REQUEST_ID);	
	
ALTER TABLE EXECUTION_WORKITEM ADD CONSTRAINT EXECWKI_FK1 FOREIGN KEY (TESTCASE_ID)
	REFERENCES TESTCASE (TESTCASE_ID);

ALTER TABLE EXECUTION_WORKITEM ADD CONSTRAINT EXECWKI_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE EXECUTION_WORKITEM ADD CONSTRAINT EXECWKI_FK3 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE EXECUTION_WORKITEM ADD CONSTRAINT EXECWKI_FK4 FOREIGN KEY (TESTTYPE_ID)
	REFERENCES TESTTYPE (TESTTYPE_ID);
	
ALTER TABLE EXECUTION_WORKITEM ADD CONSTRAINT EXECWKI_FK5 FOREIGN KEY (CONFIGURATION_ID)
	REFERENCES CONFIGURATION (CONFIGURATION_ID);
	
ALTER TABLE EXECUTION_WORKITEM ADD CONSTRAINT EXECWKI_FK7 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES TESTPLAN (TESTPLAN_ID);
	
ALTER TABLE EXECUTION_WORKITEM ADD CONSTRAINT EXECWKI_FK9 FOREIGN KEY (EXECWORKIT_CLASS_ID)
	REFERENCES EXECWORKITEM_CLASSIFICATION (EXECWORKIT_CLASS_ID);	
	
ALTER TABLE EXECUTION_WORKITEM ADD CONSTRAINT EXECWKI_FK10 FOREIGN KEY (TESTSCRIPT_ID)
	REFERENCES TESTSCRIPT (TESTSCRIPT_ID);	
	
ALTER TABLE EXECWORKITEM_ITERATION_LOOKUP ADD CONSTRAINT EXWKIITER_FK1 FOREIGN KEY (ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);

ALTER TABLE EXECWORKITEM_ITERATION_LOOKUP ADD CONSTRAINT EXECWKITER_FK2 FOREIGN KEY (EXECWORKITEM_ID)
	REFERENCES EXECUTION_WORKITEM (EXECWORKITEM_ID);

ALTER TABLE REQUIREMENT_EXECWRKITEM_LOOKUP ADD CONSTRAINT REQEXWKI_FK1 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE REQUIREMENT_EXECWRKITEM_LOOKUP ADD CONSTRAINT REQEXECWK_FK2 FOREIGN KEY (EXECWORKITEM_ID)
	REFERENCES EXECUTION_WORKITEM (EXECWORKITEM_ID);

ALTER TABLE EXECWORKITEM_TESTSUITE_LOOKUP ADD CONSTRAINT EXWKITSU_FK1 FOREIGN KEY (TESTSUITE_ID)
	REFERENCES TESTSUITE (TESTSUITE_ID);

ALTER TABLE EXECWORKITEM_TESTSUITE_LOOKUP ADD CONSTRAINT EXECWKTSU_FK2 FOREIGN KEY (EXECWORKITEM_ID)
	REFERENCES EXECUTION_WORKITEM (EXECWORKITEM_ID);

ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK10 FOREIGN KEY (BUILD_ID)
	REFERENCES BUILD (BUILD_ID);

ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK11 FOREIGN KEY (PROJECT_CATEGORY_ID)
	REFERENCES PROJECT_CATEGORY (PROJECT_CATEGORY_ID);
	
ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK12 FOREIGN KEY (TEAM_ID)
	REFERENCES TEAM (TEAM_ID);	

ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK13 FOREIGN KEY (PHASE_ID)
	REFERENCES PHASE (PHASE_ID);	

ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK2 FOREIGN KEY (COMPONENT_ID)
	REFERENCES COMPONENT (COMPONENT_ID);

ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK3 FOREIGN KEY (ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);

ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK5 FOREIGN KEY (RELEASE_ID)
	REFERENCES RELEASE (RELEASE_ID);

ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK6 FOREIGN KEY (FIXEDINRELEASE_ID)
	REFERENCES RELEASE (RELEASE_ID);

ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK7 FOREIGN KEY (REQUEST_CLASS_ID)
	REFERENCES REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);

ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK8 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK9 FOREIGN KEY (RESOLVER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);	
	
ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK14 FOREIGN KEY (REQUEST_STATE_ID)
	REFERENCES REQUEST_STATE (REQUEST_STATE_ID);	

ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK15 FOREIGN KEY (REQUEST_STATUS_ID)
	REFERENCES REQUEST_STATUS (REQUEST_STATUS_ID);		
	
ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK16 FOREIGN KEY (REQUEST_RESOLUTION_ID)
	REFERENCES REQUEST_RESOLUTION (REQUEST_RESOLUTION_ID);	
	
ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK17 FOREIGN KEY (REQUEST_SEVERITY_ID)
	REFERENCES REQUEST_SEVERITY (REQUEST_SEVERITY_ID);	
			
ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK18 FOREIGN KEY (REQUEST_PRIORITY_ID)
	REFERENCES REQUEST_PRIORITY (REQUEST_PRIORITY_ID);		
	
ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK19 FOREIGN KEY (REQUEST_TYPE_ID)
	REFERENCES REQUEST_TYPE (REQUEST_TYPE_ID);	
		
ALTER TABLE REQUEST_HIERARCHY ADD CONSTRAINT REQUHIST_FK1 FOREIGN KEY (PARENT_REQUEST_ID)
	REFERENCES REQUEST (REQUEST_ID);

ALTER TABLE REQUEST_HIERARCHY ADD CONSTRAINT REQUHIST_FK2 FOREIGN KEY (CHILD_REQUEST_ID)
	REFERENCES REQUEST (REQUEST_ID);

ALTER TABLE FILE ADD CONSTRAINT FILE_FK1 FOREIGN KEY (COMPONENT_ID)
	REFERENCES COMPONENT (COMPONENT_ID);
	
ALTER TABLE FILE ADD CONSTRAINT FILE_FK2 FOREIGN KEY (FILE_CLASS_ID)
	REFERENCES FILE_CLASSIFICATION (FILE_CLASS_ID);	
	
ALTER TABLE FILE_VERSION ADD CONSTRAINT FILE_VERSION_FK1 FOREIGN KEY (FILE_ID)
	REFERENCES FILE (FILE_ID);	
	
ALTER TABLE FILE_VERSION ADD CONSTRAINT FILE_VERSION_FK2 FOREIGN KEY (AUTHOR_ID)
	REFERENCES RESOURCE (RESOURCE_ID);	
	
ALTER TABLE FILE_VERSION ADD CONSTRAINT FILE_VERSION_FK3 FOREIGN KEY (ACTIVITY_ID)
	REFERENCES ACTIVITY (ACTIVITY_ID);
	
ALTER TABLE FILE_VERSION ADD CONSTRAINT FILE_VERSION_FK4 FOREIGN KEY (FILE_STREAM_ID)
	REFERENCES FILE_STREAM (FILE_STREAM_ID);	
	
ALTER TABLE FILE_VERSION ADD CONSTRAINT FILE_FK5 FOREIGN KEY (FILE_CLASS_ID)
	REFERENCES FILE_CLASSIFICATION (FILE_CLASS_ID);						
	
ALTER TABLE FILE_BASELINE ADD CONSTRAINT FBASE_FK1 FOREIGN KEY (COMPONENT_ID)
	REFERENCES COMPONENT (COMPONENT_ID);
	
ALTER TABLE FILE_BASELINE_ACTIVITY_LOOKUP ADD CONSTRAINT FBACT_FK1 FOREIGN KEY (FILE_BASELINE_ID)
	REFERENCES FILE_BASELINE(FILE_BASELINE_ID);
	
ALTER TABLE FILE_BASELINE_ACTIVITY_LOOKUP ADD CONSTRAINT FBACT_FK2 FOREIGN KEY (ACTIVITY_ID)
	REFERENCES ACTIVITY (ACTIVITY_ID);
	
ALTER TABLE FILE_STREAM ADD CONSTRAINT FSTREAM_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE FILE_STREAM ADD CONSTRAINT FSTREAM_FK2 FOREIGN KEY (FILE_STREAM_CLASS_ID)
	REFERENCES FILE_STREAM_CLASSIFICATION (FILE_STREAM_CLASS_ID);		

ALTER TABLE CONFIG_EXECUTIONRES_LOOKUP ADD CONSTRAINT CFGEXECRES_FK1 FOREIGN KEY (CONFIGURATION_ID)
	REFERENCES CONFIGURATION (CONFIGURATION_ID);

ALTER TABLE CONFIG_EXECUTIONRES_LOOKUP ADD CONSTRAINT CFGEXECRES_FK2 FOREIGN KEY (EXECUTION_RESULT_ID)
	REFERENCES EXECUTION_RESULT (EXECUTION_RESULT_ID);

ALTER TABLE TESTSUITELOG ADD CONSTRAINT TESTSUITELOG_FK1 FOREIGN KEY (TESTSUITE_ID)
	REFERENCES TESTSUITE (TESTSUITE_ID);

ALTER TABLE TESTSUITELOG ADD CONSTRAINT TESTSUITELOG_FK2 FOREIGN KEY (BUILD_ID)
	REFERENCES BUILD (BUILD_ID);

ALTER TABLE TESTSUITELOG ADD CONSTRAINT TESTSUITELOG_FK3 FOREIGN KEY (ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);
	
ALTER TABLE TESTSUITELOG ADD CONSTRAINT TESTSUITELOG_FK4 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);	

ALTER TABLE TESTSUITELOG ADD CONSTRAINT  TESTSUITELOG_FK5 FOREIGN KEY (TESTSUITELOG_CLASS_ID)
	REFERENCES TESTSUITELOG_CLASSIFICATION (TESTSUITELOG_CLASS_ID);
	
ALTER TABLE TESTSUITELOG ADD CONSTRAINT  TESTSUITELOG_FK6 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES TESTPLAN (TESTPLAN_ID);	

ALTER TABLE TESTSUITELOG ADD CONSTRAINT  TESTSUITELOG_FK7 FOREIGN KEY (TESTSUITE_EXECRECORD_ID)
	REFERENCES TESTSUITE_EXECUTION_RECORD (TESTSUITE_EXECRECORD_ID);		

ALTER TABLE TESTSUITELOG_EXECRESULT_LOOKUP ADD CONSTRAINT STESEXECR_FK1 FOREIGN KEY (TESTSUITELOG_ID)
	REFERENCES TESTSUITELOG (TESTSUITELOG_ID);

ALTER TABLE TESTSUITELOG_EXECRESULT_LOOKUP ADD CONSTRAINT STESEXECR_FK2 FOREIGN KEY (EXECUTION_RESULT_ID)
	REFERENCES EXECUTION_RESULT (EXECUTION_RESULT_ID);

ALTER TABLE TASK_REQUEST_LOOKUP ADD CONSTRAINT TSKISSU_FK1 FOREIGN KEY (TASK_ID)
	REFERENCES TASK (TASK_ID);

ALTER TABLE TASK_REQUEST_LOOKUP ADD CONSTRAINT TSKISSU_FK2 FOREIGN KEY (REQUEST_ID)
	REFERENCES REQUEST (REQUEST_ID);

ALTER TABLE REQUIREMENT_REQUEST_LOOKUP ADD CONSTRAINT REQIREQ_FK1 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE REQUIREMENT_REQUEST_LOOKUP ADD CONSTRAINT REQREQ_FK2 FOREIGN KEY (REQUEST_ID)
	REFERENCES REQUEST (REQUEST_ID);

ALTER TABLE REQUEST_CUSTOMER_LOOKUP ADD CONSTRAINT REQUCULK_FK1 FOREIGN KEY (REQUEST_ID)
	REFERENCES REQUEST (REQUEST_ID);

ALTER TABLE REQUEST_STATE_HISTORY ADD CONSTRAINT REQSTATEHIST_FK1 FOREIGN KEY (REQUEST_ID)
	REFERENCES REQUEST (REQUEST_ID); 

ALTER TABLE REQUEST_STATE_HISTORY ADD CONSTRAINT REQSTATEHIST_FK2 FOREIGN KEY (PREV_REQUEST_STATE_ID)
	REFERENCES REQUEST_STATE (REQUEST_STATE_ID); 	
	
ALTER TABLE REQUEST_STATE_HISTORY ADD CONSTRAINT REQSTATEHIST_FK3 FOREIGN KEY (REQUEST_STATE_ID)
	REFERENCES REQUEST_STATE (REQUEST_STATE_ID); 	
	
ALTER TABLE REQUEST_STATE_HISTORY ADD CONSTRAINT REQSTATEHIST_FK4 FOREIGN KEY (PREV_REQUEST_STATUS_ID)
	REFERENCES REQUEST_STATUS (REQUEST_STATUS_ID); 	
	
ALTER TABLE REQUEST_STATE_HISTORY ADD CONSTRAINT REQSTATEHIST_FK5 FOREIGN KEY (REQUEST_STATUS_ID)
	REFERENCES REQUEST_STATUS (REQUEST_STATUS_ID); 	

ALTER TABLE REQUEST_CUSTOMER_LOOKUP ADD CONSTRAINT REQUCULK_FK2 FOREIGN KEY (CUSTOMER_ID)
	REFERENCES CUSTOMER (CUSTOMER_ID);

ALTER TABLE REQUIREMENT_CUSTOMER_LOOKUP ADD CONSTRAINT REQUICLK_FK1 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE REQUIREMENT_CUSTOMER_LOOKUP ADD CONSTRAINT REQUICLK_FK2 FOREIGN KEY (CUSTOMER_ID)
	REFERENCES CUSTOMER (CUSTOMER_ID);

ALTER TABLE EXECRES_REQUEST_LOOKUP ADD CONSTRAINT EXECRESREQ_FK1 FOREIGN KEY (REQUEST_ID)
	REFERENCES REQUEST (REQUEST_ID);

ALTER TABLE EXECRES_REQUEST_LOOKUP ADD CONSTRAINT EXECRESREQ_FK2 FOREIGN KEY (EXECUTION_RESULT_ID)
	REFERENCES EXECUTION_RESULT (EXECUTION_RESULT_ID);

ALTER TABLE RISK ADD CONSTRAINT RISK_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE RISK ADD CONSTRAINT RISK_FK2 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE RISK ADD CONSTRAINT RISK_FK3 FOREIGN KEY (RELEASE_ID)
	REFERENCES RELEASE (RELEASE_ID);

ALTER TABLE RISK ADD CONSTRAINT RISK_FK4 FOREIGN KEY (ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);
	
ALTER TABLE RISK ADD CONSTRAINT RISK_FK5 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE RISK_STATE_HISTORY ADD CONSTRAINT RISKSTATEHIST_FK1 FOREIGN KEY (RISK_ID)
	REFERENCES RISK (RISK_ID);

ALTER TABLE FACTOR ADD CONSTRAINT FACTOR_FK1 FOREIGN KEY (RISK_ID)
	REFERENCES RISK (RISK_ID);

ALTER TABLE PROJECT_BASELINE ADD CONSTRAINT PRJBASELINE_FK1 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE PROJECT_BASELINE ADD CONSTRAINT PRJBASELINE_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE PROJECT_BASELINE ADD CONSTRAINT PRJBASELINE_FK3 FOREIGN KEY (FILE_STREAM_ID)
	REFERENCES FILE_STREAM (FILE_STREAM_ID);

ALTER TABLE PROJ_BASELINE_BASELINE_LOOKUP ADD CONSTRAINT PRJBSLTOBSL_FK1 FOREIGN KEY (BASELINE_ID)
	REFERENCES PROJECT_BASELINE (BASELINE_ID);

ALTER TABLE PROJ_BASELINE_BASELINE_LOOKUP ADD CONSTRAINT PRJBSLTOBSL_FK2 FOREIGN KEY (COMPBASELINE_ID)
	REFERENCES PROJECT_BASELINE (BASELINE_ID);

ALTER TABLE COMMENT ADD CONSTRAINT COMMENT_FK1 FOREIGN KEY (RESPONSE_COMMENT_ID)
	REFERENCES COMMENT (COMMENT_ID) ON DELETE CASCADE;

ALTER TABLE COMMENT ADD CONSTRAINT COMMENT_FK2 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE COMMENT ADD CONSTRAINT COMMENT_FK3 FOREIGN KEY (REQUEST_ID)
	REFERENCES REQUEST (REQUEST_ID);

ALTER TABLE COMMENT ADD CONSTRAINT COMMENT_FK4 FOREIGN KEY (TASK_ID)
	REFERENCES TASK (TASK_ID);

ALTER TABLE COMMENT ADD CONSTRAINT COMMENT_FK5 FOREIGN KEY (ACTIVITY_ID)
	REFERENCES ACTIVITY (ACTIVITY_ID);

ALTER TABLE PROJECT_WORKCONFIG_HIERARCHY ADD CONSTRAINT PRJWCFGH_FK1 FOREIGN KEY(PARENT_WKCFG_ID)
	REFERENCES PROJECT_WORKCONFIGURATION (PROJECT_WKCFG_ID);

ALTER TABLE PROJECT_WORKCONFIG_HIERARCHY ADD CONSTRAINT PRJWCFGH_FK2 FOREIGN KEY(CHILD_WKCFG_ID)
	REFERENCES PROJECT_WORKCONFIGURATION (PROJECT_WKCFG_ID);

ALTER TABLE EXECRES_EXECWKITEM_LOOKUP ADD CONSTRAINT EXECRESWK_FK1 FOREIGN KEY (EXECUTION_RESULT_ID)
	REFERENCES EXECUTION_RESULT (EXECUTION_RESULT_ID);

ALTER TABLE EXECRES_EXECWKITEM_LOOKUP ADD CONSTRAINT EXECRESWK_FK2 FOREIGN KEY (EXECWORKITEM_ID)
		REFERENCES EXECUTION_WORKITEM (EXECWORKITEM_ID);

ALTER TABLE CONFIG_EXECUTIONWORKITM_LOOKUP  ADD CONSTRAINT CFGEXECWK_FK1 FOREIGN KEY (CONFIGURATION_ID)
		REFERENCES CONFIGURATION (CONFIGURATION_ID);

ALTER TABLE CONFIG_EXECUTIONWORKITM_LOOKUP  ADD CONSTRAINT CFGEXECWK_FK2 FOREIGN KEY (EXECWORKITEM_ID)
		REFERENCES EXECUTION_WORKITEM (EXECWORKITEM_ID);
		
ALTER TABLE TESTPLAN_CATEGORY_LOOKUP ADD CONSTRAINT TPLNCAT_FK1 FOREIGN KEY (TEST_CATEGORY_ID)
		REFERENCES TEST_CATEGORY (TEST_CATEGORY_ID);

ALTER TABLE TESTPLAN_CATEGORY_LOOKUP ADD CONSTRAINT TPLNCAT_FK2 FOREIGN KEY (TESTPLAN_ID)
		REFERENCES TESTPLAN (TESTPLAN_ID);

ALTER TABLE TESTCASE_CATEGORY_LOOKUP ADD CONSTRAINT TCASECAT_FK1 FOREIGN KEY (TEST_CATEGORY_ID)
		REFERENCES TEST_CATEGORY (TEST_CATEGORY_ID);

ALTER TABLE TESTCASE_CATEGORY_LOOKUP ADD CONSTRAINT TCASECAT_FK2 FOREIGN KEY (TESTCASE_ID)
		REFERENCES TESTCASE (TESTCASE_ID);

ALTER TABLE TESTSUITE_TESTCASE_LOOKUP ADD CONSTRAINT TSUTCASE_FK1 FOREIGN KEY (TESTCASE_ID)
		REFERENCES TESTCASE (TESTCASE_ID);
		
ALTER TABLE TESTSUITE_TESTCASE_LOOKUP ADD CONSTRAINT TSUTCASE_FK2 FOREIGN KEY (TESTSUITE_ID)
		REFERENCES TESTSUITE (TESTSUITE_ID);		

ALTER TABLE TESTSUITE_TESTSUITELOG_LOOKUP ADD CONSTRAINT TSUTSULG_FK1 FOREIGN KEY (TESTSUITE_ID)
		REFERENCES TESTSUITE (TESTSUITE_ID);

ALTER TABLE TESTSUITE_TESTSUITELOG_LOOKUP ADD CONSTRAINT TSUTSULG_FK2 FOREIGN KEY (TESTSUITELOG_ID)
		REFERENCES TESTSUITELOG (TESTSUITELOG_ID);

ALTER TABLE TESTPLAN_TESTPLAN_HIERARCHY ADD CONSTRAINT TPLNPC_FK1 FOREIGN KEY (PARENT_TESTPLAN_ID)
		REFERENCES TESTPLAN (TESTPLAN_ID);

ALTER TABLE TESTPLAN_TESTPLAN_HIERARCHY ADD CONSTRAINT TPLNPC_FK2 FOREIGN KEY (CHILD_TESTPLAN_ID)
		REFERENCES TESTPLAN (TESTPLAN_ID);

ALTER TABLE TESTPLAN_TESTCASE_LOOKUP ADD CONSTRAINT TPLNTC_FK1 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES TESTPLAN(TESTPLAN_ID);
	
ALTER TABLE TESTPLAN_TESTCASE_LOOKUP ADD CONSTRAINT TPLNTC_FK2 FOREIGN KEY (TESTCASE_ID)
	REFERENCES TESTCASE (TESTCASE_ID);	

ALTER TABLE LAB_RESOURCE ADD CONSTRAINT LABRES_FK1 FOREIGN KEY (RESOURCE_GROUP_ID)
	REFERENCES RESOURCE_GROUP (RESOURCE_GROUP_ID);	
	
ALTER TABLE LAB_RESOURCE ADD CONSTRAINT LABRES_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);	

ALTER TABLE RESOURCE_GROUP ADD CONSTRAINT RESGRP_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);
	
ALTER TABLE RESERVATION ADD CONSTRAINT RESERV_FK1 FOREIGN KEY (LAB_RESOURCE_ID)
	REFERENCES LAB_RESOURCE (LAB_RESOURCE_ID);
	
ALTER TABLE RESERVATION ADD CONSTRAINT RESERV_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);	
	
ALTER TABLE ACTIVITY_STATE_HISTORY ADD CONSTRAINT ACTSTH_FK1 FOREIGN KEY (ACTIVITY_ID)
	REFERENCES ACTIVITY (ACTIVITY_ID);
	
ALTER TABLE TASK_STATE_HISTORY ADD CONSTRAINT TSKSTH_FK1 FOREIGN KEY (TASK_ID)
	REFERENCES TASK (TASK_ID);
	
ALTER TABLE REQUEST_CHANGE_HISTORY ADD CONSTRAINT REQCGNGH_FK1 FOREIGN KEY (REQUEST_CLASS_ID)
		REFERENCES REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);

ALTER TABLE REQUEST_CHANGE_HISTORY ADD CONSTRAINT REQCGNGH_FK2 FOREIGN KEY (REQUEST_ID)
		REFERENCES  REQUEST (REQUEST_ID);                          

ALTER TABLE REQUEST_CHANGE_HISTORY ADD CONSTRAINT REQCGNGH_FK3 FOREIGN KEY (PREV_TEAM_ID)
		REFERENCES  TEAM (TEAM_ID);    
                       
ALTER TABLE REQUEST_CHANGE_HISTORY ADD CONSTRAINT REQCGNGH_FK4 FOREIGN KEY (PREV_REQUEST_CATEGORY_ID)
		REFERENCES  REQUEST_CATEGORY (REQUEST_CATEGORY_ID);  
              
ALTER TABLE REQUEST_CHANGE_HISTORY ADD CONSTRAINT REQCGNGH_FK5 FOREIGN KEY (PREV_ITERATION_ID)
		REFERENCES  ITERATION (ITERATION_ID);     
                                       
ALTER TABLE REQUEST_CHANGE_HISTORY ADD CONSTRAINT REQCGNGH_FK6 FOREIGN KEY (PREV_OWNER_ID)
		REFERENCES  RESOURCE (RESOURCE_ID);
		
ALTER TABLE REQUEST_CHANGE_HISTORY ADD CONSTRAINT REQCGNGH_FK7 FOREIGN KEY (PREV_REQUEST_STATE_ID)
		REFERENCES  REQUEST_STATE (REQUEST_STATE_ID);		
		
ALTER TABLE REQUEST_CHANGE_HISTORY ADD CONSTRAINT REQCGNGH_FK8 FOREIGN KEY (PREV_REQUEST_STATUS_ID)
		REFERENCES  REQUEST_STATUS (REQUEST_STATUS_ID);		
		
ALTER TABLE REQUEST_CHANGE_HISTORY ADD CONSTRAINT REQCGNGH_FK9 FOREIGN KEY (PREV_REQUEST_PRIORITY_ID)
		REFERENCES  REQUEST_PRIORITY (REQUEST_PRIORITY_ID);	
		
ALTER TABLE REQUEST_CHANGE_HISTORY ADD CONSTRAINT REQCGNGH_FK10 FOREIGN KEY (PREV_REQUEST_SEVERITY_ID)
		REFERENCES  REQUEST_SEVERITY (REQUEST_SEVERITY_ID);	

ALTER TABLE REQUEST_CHANGE_HISTORY ADD CONSTRAINT REQCGNGH_FK11 FOREIGN KEY (PREV_REQUEST_TYPE_ID)
		REFERENCES REQUEST_TYPE (REQUEST_TYPE_ID);	
		
ALTER TABLE BUILD_COMPILATION_RESULT ADD CONSTRAINT BLDCMPRES_FK1 FOREIGN KEY (COMPONENT_ID)
		REFERENCES COMPONENT (COMPONENT_ID);
		
ALTER TABLE BUILD_COMPILATION_RESULT ADD CONSTRAINT BLDCMPRES_FK2 FOREIGN KEY (BUILD_ID)
		REFERENCES BUILD (BUILD_ID);
		
ALTER TABLE BUILD_UNIT_RESULT ADD CONSTRAINT BLDJUNRES_FK1 FOREIGN KEY (COMPONENT_ID)
		REFERENCES COMPONENT (COMPONENT_ID);
		
ALTER TABLE BUILD_UNIT_RESULT ADD CONSTRAINT BLDJUNRES_FK2 FOREIGN KEY (BUILD_ID)
		REFERENCES BUILD (BUILD_ID);
		
ALTER TABLE BUILD_UNIT_EVENT ADD CONSTRAINT BLDJUNEVT_FK1 FOREIGN KEY (COMPONENT_ID)
		REFERENCES COMPONENT (COMPONENT_ID);
		
ALTER TABLE BUILD_UNIT_EVENT ADD CONSTRAINT BLDJUNEVT_FK2 FOREIGN KEY (BUILD_ID)
		REFERENCES BUILD (BUILD_ID);
				
ALTER TABLE UNIT_TEST_RESULT ADD CONSTRAINT BLDJUNTST_FK1 FOREIGN KEY (COMPONENT_ID)
		REFERENCES COMPONENT (COMPONENT_ID);
		
ALTER TABLE UNIT_TEST_RESULT ADD CONSTRAINT BLDJUNTST_FK2 FOREIGN KEY (PROJECT_ID)
		REFERENCES PROJECT (PROJECT_ID);
		
ALTER TABLE UNIT_TEST_RESULT ADD CONSTRAINT BLDJUNTST_FK3 FOREIGN KEY (TEAM_ID)
		REFERENCES TEAM(TEAM_ID);

ALTER TABLE JOB ADD CONSTRAINT JOB_FK1 FOREIGN KEY (OWNER_ID)
		REFERENCES RESOURCE (RESOURCE_ID);
		
ALTER TABLE JOB ADD CONSTRAINT JOB_FK2 FOREIGN KEY (PROJECT_ID)
		REFERENCES PROJECT (PROJECT_ID);		
		
ALTER TABLE JOB_RESULT ADD CONSTRAINT JOBRES_FK1 FOREIGN KEY (OWNER_ID)
		REFERENCES RESOURCE (RESOURCE_ID);		
		
ALTER TABLE JOB_RESULT ADD CONSTRAINT JOBRES_FK2 FOREIGN KEY (JOB_ID)
		REFERENCES JOB (JOB_ID);	
		
ALTER TABLE JOB_RESULT ADD CONSTRAINT JOBRES_FK3 FOREIGN KEY (LAB_RESOURCE_ID)
		REFERENCES LAB_RESOURCE (LAB_RESOURCE_ID);		
	
ALTER TABLE TESTSCRIPT ADD CONSTRAINT TESTSCRIPT_FK1 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE(RESOURCE_ID);	
		
ALTER TABLE PROGRAM ADD CONSTRAINT PROGRAM_FK1 FOREIGN KEY (PROGRAM_MANAGER)
	REFERENCES RESOURCE (RESOURCE_ID);		

ALTER TABLE PROGRAM_DETAIL ADD CONSTRAINT PROGRAM_DETAIL_FK1 FOREIGN KEY (PROGRAM_ID)
	REFERENCES PROGRAM (PROGRAM_ID);
				
ALTER TABLE PROJECT_ALLOCATION ADD CONSTRAINT PROJALLO_FK1 FOREIGN KEY (PROJECT_ID)
		REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE PROJECT_ALLOCATION ADD CONSTRAINT PROJALLO_FK2 FOREIGN KEY (OWNER_ID)
		REFERENCES RESOURCE (RESOURCE_ID);
		
ALTER TABLE PROJECT_ALLOCATION ADD CONSTRAINT PROJALLO_FK3 FOREIGN KEY (PROFILE_ID)
	REFERENCES PROFILE (PROFILE_ID);			
		
ALTER TABLE TIMESHEET ADD CONSTRAINT TIMESHEET_FK1 FOREIGN KEY (ACTIVITY_ID)
	REFERENCES ACTIVITY	(ACTIVITY_ID);
	
ALTER TABLE TIMESHEET ADD CONSTRAINT TIMESHEET_FK2 FOREIGN KEY (APPROVER_ID)
	REFERENCES RESOURCE	(RESOURCE_ID);

ALTER TABLE PROFILE ADD CONSTRAINT PROFILE_FK1 FOREIGN KEY(CITY_ID) 
	REFERENCES CITY(CITY_ID);

ALTER TABLE PROFILE ADD CONSTRAINT PROFILE_FK2 FOREIGN KEY(ORGANIZATION_ID) 
	REFERENCES ORGANIZATION (ORGANIZATION_ID);
		
ALTER TABLE PROFILE_SKILL_LOOKUP ADD CONSTRAINT PROSKILL_FK1 FOREIGN KEY(SKILL_ID) 
	REFERENCES SKILL(SKILL_ID);

ALTER TABLE PROFILE_SKILL_LOOKUP ADD CONSTRAINT PROSKILL_FK2 FOREIGN KEY(PROFILE_ID)
	REFERENCES PROFILE(PROFILE_ID);
	
ALTER TABLE PROFILE_COMPETENCY_LOOKUP ADD CONSTRAINT PROCOMPETENCY_FK1 FOREIGN KEY(COMPETENCY_ID) 
	REFERENCES COMPETENCY(COMPETENCY_ID);

ALTER TABLE PROFILE_COMPETENCY_LOOKUP ADD CONSTRAINT PROCOMPETENCY_FK2 FOREIGN KEY(PROFILE_ID)
	REFERENCES PROFILE(PROFILE_ID);
	
ALTER TABLE TIMESHEET_TIMECODE_LOOKUP ADD CONSTRAINT TSTC_FK1 FOREIGN KEY (TIMESHEET_ID)
	REFERENCES TIMESHEET (TIMESHEET_ID);

ALTER TABLE TIMESHEET_TIMECODE_LOOKUP ADD CONSTRAINT TSTC_FK2 FOREIGN KEY(TIMECODE_ID)
	REFERENCES TIMECODE(TIMECODE_ID);
		
ALTER TABLE COUNTRY ADD CONSTRAINT COUNTRY_FK1 FOREIGN KEY (TERRITORY_ID)
	REFERENCES OPERATING_TERRITORY (TERRITORY_ID);
	
ALTER TABLE PROVINCE_STATE ADD CONSTRAINT PROVSTATE_FK1 FOREIGN KEY (COUNTRY_ID)
	REFERENCES COUNTRY (COUNTRY_ID);

ALTER TABLE CITY ADD CONSTRAINT CITY_FK1 FOREIGN KEY (PROVINCE_STATE_ID)
	REFERENCES PROVINCE_STATE (PROVINCE_STATE_ID);
	
ALTER TABLE PORTFOLIO_PROG_PROJ_LOOKUP ADD CONSTRAINT PORPROGPROJ_FK1 FOREIGN KEY (PORTFOLIO_ID)
	REFERENCES PORTFOLIO (PORTFOLIO_ID);

ALTER TABLE PORTFOLIO_PROG_PROJ_LOOKUP ADD CONSTRAINT PORPROGPROJ_FK2 FOREIGN KEY (PROGRAM_ID)
	REFERENCES PROGRAM (PROGRAM_ID);

ALTER TABLE PORTFOLIO_PROG_PROJ_LOOKUP ADD CONSTRAINT PORPROGPROJ_FK3 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);
	
ALTER TABLE REQUEST_TESTCASE_LOOKUP ADD CONSTRAINT REQUTCASE_FK1 FOREIGN KEY (REQUEST_ID)
	REFERENCES REQUEST (REQUEST_ID);

ALTER TABLE REQUEST_TESTCASE_LOOKUP ADD CONSTRAINT REQUTCASE_FK2 FOREIGN KEY (TESTCASE_ID)
	REFERENCES TESTCASE (TESTCASE_ID);
								
ALTER TABLE REQUEST_STATE ADD CONSTRAINT REQUTST_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);	
								
ALTER TABLE REQUEST_STATUS ADD CONSTRAINT REQUTSTUS_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);
									
ALTER TABLE TEAM ADD CONSTRAINT CMPTEAM_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);
	
ALTER TABLE TEAM_ROLE ADD CONSTRAINT TEAMRL_FK1 FOREIGN KEY (TEAM_ID)
	REFERENCES TEAM (TEAM_ID);	

ALTER TABLE PROJECT_RESOURCE_LOOKUP ADD CONSTRAINT PRJRESLK_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE PROJECT_RESOURCE_LOOKUP ADD CONSTRAINT PRJRESLK_FK2 FOREIGN KEY (RESOURCE_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE RISK_REQUEST_LOOKUP ADD CONSTRAINT RSKREQLK_FK1 FOREIGN KEY (RISK_ID)
	REFERENCES RISK (RISK_ID);

ALTER TABLE RISK_REQUEST_LOOKUP ADD CONSTRAINT RSKREQLK_FK2 FOREIGN KEY (REQUEST_ID)
	REFERENCES REQUEST (REQUEST_ID);

ALTER TABLE TESTSUITE_CATEGORY_LOOKUP ADD CONSTRAINT TSTSUITECATLK_FK1 FOREIGN KEY (TESTSUITE_ID)
	REFERENCES TESTSUITE (TESTSUITE_ID);

ALTER TABLE TESTSUITE_CATEGORY_LOOKUP ADD CONSTRAINT TSTSUITECATLK_FK2 FOREIGN KEY (TEST_CATEGORY_ID)
	REFERENCES TEST_CATEGORY (TEST_CATEGORY_ID);
	
ALTER TABLE TESTSUITE_TESTPLAN_LOOKUP ADD CONSTRAINT TSTSUITETPLNLK_FK1 FOREIGN KEY (TESTSUITE_ID)
	REFERENCES TESTSUITE (TESTSUITE_ID);

ALTER TABLE TESTSUITE_TESTPLAN_LOOKUP ADD CONSTRAINT TSTSUITETPLNLK_FK2 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES TESTPLAN (TESTPLAN_ID);		
	
ALTER TABLE TESTSUITE_EXECUTION_RECORD ADD CONSTRAINT TSEXECREC_FK1 FOREIGN KEY (CREATOR_ID)
	REFERENCES RESOURCE(RESOURCE_ID);	
	
ALTER TABLE TESTSUITE_EXECUTION_RECORD ADD CONSTRAINT TSEXECREC_FK2 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE(RESOURCE_ID);
	
ALTER TABLE TESTSUITE_EXECUTION_RECORD ADD CONSTRAINT TSEXECREC_FK3 FOREIGN KEY (TESTSUITE_ID)
	REFERENCES TESTSUITE (TESTSUITE_ID);
	
ALTER TABLE TESTSUITE_EXECUTION_RECORD ADD CONSTRAINT TSEXECREC_FK4 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES TESTPLAN(TESTPLAN_ID);
	
ALTER TABLE TESTSUITE_EXECUTION_RECORD ADD CONSTRAINT TSEXECREC_FK5 FOREIGN KEY (CONFIGURATION_ID)
	REFERENCES CONFIGURATION (CONFIGURATION_ID);			
	
ALTER TABLE TESTSUITE_EXECUTION_RECORD ADD CONSTRAINT TSEXECREC_FK7 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);	
	
ALTER TABLE TESTSUITE_EXECUTION_RECORD ADD CONSTRAINT TSEXECREC_FK8 FOREIGN KEY (ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);	

ALTER TABLE EXECWORKITEM_REQUEST_LOOKUP ADD CONSTRAINT EXWKITREQUE_FK1 FOREIGN KEY (EXECWORKITEM_ID)
	REFERENCES EXECUTION_WORKITEM (EXECWORKITEM_ID);

ALTER TABLE EXECWORKITEM_REQUEST_LOOKUP ADD CONSTRAINT EXWKITREQUE_FK2 FOREIGN KEY (REQUEST_ID)
	REFERENCES REQUEST (REQUEST_ID);
	
ALTER TABLE EXECUTION_STEP_RESULT ADD CONSTRAINT EXECSTEP_FK1 FOREIGN KEY (EXECUTION_RESULT_ID)
	REFERENCES EXECUTION_RESULT (EXECUTION_RESULT_ID);
		
ALTER TABLE EXECSTEPRES_REQUEST_LOOKUP ADD CONSTRAINT EXCSTRSREQUELK_FK1 FOREIGN KEY (EXECUTION_STEP_RESULT_ID)
	REFERENCES EXECUTION_STEP_RESULT (EXECUTION_STEP_RESULT_ID);

ALTER TABLE EXECSTEPRES_REQUEST_LOOKUP ADD CONSTRAINT EXCSTRSREQUELK_FK2 FOREIGN KEY (REQUEST_ID)
	REFERENCES REQUEST (REQUEST_ID);	
	
ALTER TABLE TESTSUITE_ELEMENT ADD CONSTRAINT TSTSUITELE_FK1 FOREIGN KEY (TESTSUITE_ID)
	REFERENCES TESTSUITE (TESTSUITE_ID);	
	
ALTER TABLE TESTSUITE_ELEMENT ADD CONSTRAINT TSTSUITELE_FK2 FOREIGN KEY (TESTCASE_ID)
	REFERENCES TESTCASE (TESTCASE_ID);		
	
ALTER TABLE TESTSUITE_ELEMENT ADD CONSTRAINT TSTSUITELE_FK3 FOREIGN KEY (CONFIGURATION_ID)
	REFERENCES CONFIGURATION (CONFIGURATION_ID);		
	
ALTER TABLE TESTSUITE_ELEMENT ADD CONSTRAINT TSTSUITELE_FK4 FOREIGN KEY (TESTSCRIPT_ID)
	REFERENCES TESTSCRIPT (TESTSCRIPT_ID);		
									
--LOOKUP HIERARCHY TRIGGERS
   
CREATE TRIGGER TRG_REQCUSTD
	AFTER UPDATE OF REC_DATETIME ON REQUEST
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM REQUEST_CUSTOMER_LOOKUP WHERE REQUEST_ID=NEWROW.REQUEST_ID; END;       
    
CREATE TRIGGER TRG_REQREQUI
	AFTER UPDATE OF REC_DATETIME ON REQUEST
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM REQUIREMENT_REQUEST_LOOKUP WHERE REQUEST_ID=NEWROW.REQUEST_ID; END;     
    
CREATE TRIGGER TRG_REQTASK
	AFTER UPDATE OF REC_DATETIME ON REQUEST
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TASK_REQUEST_LOOKUP WHERE REQUEST_ID=NEWROW.REQUEST_ID; END;    
    
CREATE TRIGGER TRG_REQLOG
	AFTER UPDATE OF REC_DATETIME ON REQUEST
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM EXECRES_REQUEST_LOOKUP WHERE REQUEST_ID=NEWROW.REQUEST_ID; END;        
    
CREATE TRIGGER TRG_REQREQ
	AFTER UPDATE OF REC_DATETIME ON REQUEST
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM REQUEST_HIERARCHY WHERE PARENT_REQUEST_ID=NEWROW.REQUEST_ID OR CHILD_REQUEST_ID=NEWROW.REQUEST_ID; END;             
    

CREATE TRIGGER TRG_EXWKIITDD
	AFTER UPDATE OF REC_DATETIME ON EXECUTION_WORKITEM
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM EXECWORKITEM_ITERATION_LOOKUP WHERE EXECWORKITEM_ID=NEWROW.EXECWORKITEM_ID; END;    
    
    
CREATE TRIGGER TRG_EXWKITSUD
	AFTER UPDATE OF REC_DATETIME ON EXECUTION_WORKITEM
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM EXECWORKITEM_TESTSUITE_LOOKUP WHERE EXECWORKITEM_ID=NEWROW.EXECWORKITEM_ID; END;      
    
CREATE TRIGGER TRG_CONFATTRD
	AFTER UPDATE OF REC_DATETIME ON CONFIGURATION
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM CONFIGURATION_ATTRIBUTE_LOOKUP WHERE CONFIGURATION_ID=NEWROW.CONFIGURATION_ID; END;       

CREATE TRIGGER TRG_CONFTLGD
	AFTER UPDATE OF REC_DATETIME ON CONFIGURATION
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM CONFIG_EXECUTIONRES_LOOKUP WHERE CONFIGURATION_ID=NEWROW.CONFIGURATION_ID; END;       

CREATE TRIGGER TRG_PRJBSLND
	AFTER UPDATE OF REC_DATETIME ON PROJECT_BASELINE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM PROJ_BASELINE_BASELINE_LOOKUP WHERE BASELINE_ID=NEWROW.BASELINE_ID OR COMPBASELINE_ID=NEWROW.BASELINE_ID; END; 

CREATE TRIGGER TRG_PRJROLED
	AFTER UPDATE OF REC_DATETIME ON PROJECT_ROLE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM PROJECT_ROLE_MEMBER_LOOKUP WHERE PROJECT_ROLE_ID=NEWROW.PROJECT_ROLE_ID; END; 

CREATE TRIGGER TRG_REQUITSTCD
	AFTER UPDATE OF REC_DATETIME ON REQUIREMENT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM REQUIREMENT_EXECWRKITEM_LOOKUP WHERE REQUIREMENT_ID=NEWROW.REQUIREMENT_ID; END; 
    
CREATE TRIGGER TRG_REQICUSTD
	AFTER UPDATE OF REC_DATETIME ON REQUIREMENT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM REQUIREMENT_CUSTOMER_LOOKUP WHERE REQUIREMENT_ID=NEWROW.REQUIREMENT_ID; END;     

CREATE TRIGGER TRG_REQIREQUID
	AFTER UPDATE OF REC_DATETIME ON REQUIREMENT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM REQUIREMENT_REQUIREMENT_LOOKUP WHERE REQUIREMENT_ID=NEWROW.REQUIREMENT_ID OR CREQUIREMENT_ID=NEWROW.REQUIREMENT_ID; END;    
        
CREATE TRIGGER TRG_REQITSTCD
	AFTER UPDATE OF REC_DATETIME ON REQUIREMENT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM REQUIREMENT_TESTCASE_LOOKUP WHERE REQUIREMENT_ID=NEWROW.REQUIREMENT_ID; END;    

CREATE TRIGGER TRG_REQITPLND
	AFTER UPDATE OF REC_DATETIME ON REQUIREMENT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM REQUIREMENT_TESTPLAN_LOOKUP WHERE REQUIREMENT_ID=NEWROW.REQUIREMENT_ID; END;    

CREATE TRIGGER TRG_REQITSUTD
	AFTER UPDATE OF REC_DATETIME ON REQUIREMENT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM REQUIREMENT_TESTSUITE_LOOKUP WHERE REQUIREMENT_ID=NEWROW.REQUIREMENT_ID; END;  

CREATE TRIGGER TRG_TSLOG
	AFTER UPDATE OF REC_DATETIME ON TESTSUITELOG
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TESTSUITELOG_EXECRESULT_LOOKUP WHERE TESTSUITELOG_ID=NEWROW.TESTSUITELOG_ID; END;  

CREATE TRIGGER TRG_TSKREQID
	AFTER UPDATE OF REC_DATETIME ON REQUIREMENT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TASK_REQUIREMENT_LOOKUP WHERE REQUIREMENT_ID=NEWROW.REQUIREMENT_ID; END;  

CREATE TRIGGER TRG_TSCITERD
	AFTER UPDATE OF REC_DATETIME ON TESTCASE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TESTCASE_ITERATION_LOOKUP WHERE TESTCASE_ID=NEWROW.TESTCASE_ID; END;  

CREATE TRIGGER TRG_TPLNITERD
	AFTER UPDATE OF REC_DATETIME ON TESTPLAN
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TESTPLAN_ITERATION_LOOKUP WHERE TESTPLAN_ID=NEWROW.TESTPLAN_ID; END;  

CREATE TRIGGER TRG_TSUTITERD
	AFTER UPDATE OF REC_DATETIME ON TESTSUITE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TESTSUITE_ITERATION_LOOKUP WHERE TESTSUITE_ID=NEWROW.TESTSUITE_ID; END;  

CREATE TRIGGER TRG_PRJHIERD
	AFTER UPDATE OF REC_DATETIME ON PROJECT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM PROJECT_HIERARCHY WHERE PARENT_PROJECT_ID=NEWROW.PROJECT_ID OR CHILD_PROJECT_ID=NEWROW.PROJECT_ID; END;  

CREATE TRIGGER TRG_PRJCOMPD
	AFTER UPDATE OF REC_DATETIME ON PROJECT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM PROJECT_COMPONENT_LOOKUP WHERE PROJECT_ID=NEWROW.PROJECT_ID; END;  

CREATE TRIGGER TRG_FBSACTD
	AFTER UPDATE OF REC_DATETIME ON ACTIVITY
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM FILE_BASELINE_ACTIVITY_LOOKUP WHERE ACTIVITY_ID=NEWROW.ACTIVITY_ID; END;  

CREATE TRIGGER TRG_REQACTD
	AFTER UPDATE OF REC_DATETIME ON REQUEST
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM REQUEST_ACTIVITY_LOOKUP WHERE REQUEST_ID=NEWROW.REQUEST_ID; END;  
  
CREATE TRIGGER TRG_EXERESWKIT
	AFTER UPDATE OF REC_DATETIME ON EXECUTION_RESULT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM EXECRES_EXECWKITEM_LOOKUP WHERE EXECUTION_RESULT_ID=NEWROW.EXECUTION_RESULT_ID; END;  

CREATE TRIGGER TRG_CFGEXECWK
	AFTER UPDATE OF REC_DATETIME ON EXECUTION_WORKITEM
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM CONFIG_EXECUTIONWORKITM_LOOKUP WHERE EXECWORKITEM_ID=NEWROW.EXECWORKITEM_ID; END;  

CREATE TRIGGER TRG_TPLNCAT
	AFTER UPDATE OF REC_DATETIME ON TESTPLAN
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TESTPLAN_CATEGORY_LOOKUP WHERE TESTPLAN_ID=NEWROW.TESTPLAN_ID; END;  
    
    
CREATE TRIGGER TRG_TCASECAT
	AFTER UPDATE OF REC_DATETIME ON TESTCASE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TESTCASE_CATEGORY_LOOKUP WHERE TESTCASE_ID=NEWROW.TESTCASE_ID; END; 

CREATE TRIGGER TRG_TSUTCASE
	AFTER UPDATE OF REC_DATETIME ON TESTCASE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TESTSUITE_TESTCASE_LOOKUP WHERE TESTCASE_ID=NEWROW.TESTCASE_ID; END; 
    
CREATE TRIGGER TRG_TSUTLG
	AFTER UPDATE OF REC_DATETIME ON TESTSUITE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TESTSUITE_TESTSUITELOG_LOOKUP WHERE TESTSUITE_ID=NEWROW.TESTSUITE_ID; END;                 

CREATE TRIGGER TRG_TPLNTCS
	AFTER UPDATE OF REC_DATETIME ON TESTPLAN
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TESTPLAN_TESTCASE_LOOKUP WHERE TESTPLAN_ID=NEWROW.TESTPLAN_ID; END;                 

CREATE TRIGGER TRG_TSCSCRIPT
	AFTER UPDATE OF REC_DATETIME ON TESTCASE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TESTCASE_TESTSCRIPT_LOOKUP WHERE TESTCASE_ID=NEWROW.TESTCASE_ID; END; 
    
CREATE TRIGGER TRG_SKILLRES 
	AFTER UPDATE OF REC_DATETIME ON RESOURCE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM RESOURCE_SKILL_LOOKUP WHERE RESOURCE_ID=NEWROW.RESOURCE_ID; END;

CREATE TRIGGER TRG_COMPRES 
	AFTER UPDATE OF REC_DATETIME ON RESOURCE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM RESOURCE_COMPETENCY_LOOKUP WHERE RESOURCE_ID=NEWROW.RESOURCE_ID; END;
    
CREATE TRIGGER TRG_SKILLPRO 
	AFTER UPDATE OF REC_DATETIME ON PROFILE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM PROFILE_SKILL_LOOKUP WHERE PROFILE_ID=NEWROW.PROFILE_ID; END;

CREATE TRIGGER TRG_COMPPRO
	AFTER UPDATE OF REC_DATETIME ON PROFILE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM PROFILE_COMPETENCY_LOOKUP WHERE PROFILE_ID=NEWROW.PROFILE_ID; END;
    
CREATE TRIGGER TRG_TSTC
	AFTER UPDATE OF REC_DATETIME ON TIMESHEET
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TIMESHEET_TIMECODE_LOOKUP WHERE TIMESHEET_ID=NEWROW.TIMESHEET_ID; END;

CREATE TRIGGER TRG_REQUICOL
	AFTER UPDATE OF REC_DATETIME ON REQUIREMENT_COLLECTION
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM REQUICOL_REQUIREMENT_LOOKUP WHERE REQUIREMENT_COLLECTION_ID=NEWROW.REQUIREMENT_COLLECTION_ID; END; 

CREATE TRIGGER TRG_REQUICOLTP
	AFTER UPDATE OF REC_DATETIME ON REQUIREMENT_COLLECTION
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM REQUICOL_TESTPLAN_LOOKUP WHERE REQUIREMENT_COLLECTION_ID=NEWROW.REQUIREMENT_COLLECTION_ID; END; 

CREATE TRIGGER TRG_PORTPROGPRJ
	AFTER UPDATE OF REC_DATETIME ON PORTFOLIO
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM PORTFOLIO_PROG_PROJ_LOOKUP WHERE PORTFOLIO_ID=NEWROW.PORTFOLIO_ID; END; 

CREATE TRIGGER TRG_REQUTCASE
	AFTER UPDATE OF REC_DATETIME ON REQUEST
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM REQUEST_TESTCASE_LOOKUP WHERE REQUEST_ID=NEWROW.REQUEST_ID; END; 

CREATE TRIGGER TRG_PROJRES
	AFTER UPDATE OF REC_DATETIME ON PROJECT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM PROJECT_RESOURCE_LOOKUP WHERE PROJECT_ID=NEWROW.PROJECT_ID; END; 

CREATE TRIGGER TRG_RSKREQUST
	AFTER UPDATE OF REC_DATETIME ON RISK
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM RISK_REQUEST_LOOKUP WHERE RISK_ID=NEWROW.RISK_ID; END; 
    
CREATE TRIGGER TRG_TSCATLK 
AFTER UPDATE OF REC_DATETIME ON TESTSUITE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC    
	DELETE FROM TESTSUITE_CATEGORY_LOOKUP WHERE TESTSUITE_ID=NEWROW.TESTSUITE_ID; END;

CREATE TRIGGER TRG_TSTPLTLK 
AFTER UPDATE OF REC_DATETIME ON TESTSUITE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC    
	DELETE FROM TESTSUITE_TESTPLAN_LOOKUP WHERE TESTSUITE_ID=NEWROW.TESTSUITE_ID; END;

CREATE TRIGGER TRG_EWIREQUE 
AFTER UPDATE OF REC_DATETIME ON EXECUTION_WORKITEM
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC    
	DELETE FROM EXECWORKITEM_REQUEST_LOOKUP WHERE EXECWORKITEM_ID=NEWROW.EXECWORKITEM_ID; END;

CREATE TRIGGER TRG_ESRREQUE 
AFTER UPDATE OF REC_DATETIME ON EXECUTION_STEP_RESULT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC    
	DELETE FROM EXECSTEPRES_REQUEST_LOOKUP WHERE EXECUTION_STEP_RESULT_ID=NEWROW.EXECUTION_STEP_RESULT_ID; END;
   
   
                
COMMIT;
                                                                            
SET CURRENT SCHEMA $RIASSET; 
                           
--FOREIGN KEY

ALTER TABLE ASSET ADD CONSTRAINT ASSET_FK1 FOREIGN KEY (PROJECT_ID) 
	REFERENCES $NF_SCHEMA.PROJECT (PROJECT_ID) ;  

ALTER TABLE ASSET ADD CONSTRAINT ASSET_FK2 FOREIGN KEY (ASSET_TYPE_ID) 
	REFERENCES ASSET_TYPE (ASSET_TYPE_ID) ;  
	                                                                 
ALTER TABLE ASSET_ROLE ADD CONSTRAINT ASSETROLE_FK1 FOREIGN KEY (PROJECT_ID) 
	REFERENCES $NF_SCHEMA.PROJECT (PROJECT_ID) ; 
	                                                    
ALTER TABLE ASSET_ROLE_ASSIGNMENT_HISTORY ADD CONSTRAINT ASSETRLASSIH_FK1 FOREIGN KEY (ASSET_ROLE_ID) 
	REFERENCES ASSET_ROLE (ASSET_ROLE_ID) ; 
	
ALTER TABLE ASSET_ROLE_ASSIGNMENT_HISTORY ADD CONSTRAINT ASSETRLASSIH_FK2 FOREIGN KEY (PROJECT_ID) 
	REFERENCES $NF_SCHEMA.PROJECT (PROJECT_ID) ;   
	       
ALTER TABLE ASSET_ROLE_ASSIGNMENT_HISTORY ADD CONSTRAINT ASSETRLASSIH_FK3 FOREIGN KEY (TEAM_ID) 
	REFERENCES $NF_SCHEMA.TEAM (TEAM_ID) ;          
	         
ALTER TABLE ASSET_ROLE_ASSIGNMENT_HISTORY ADD CONSTRAINT ASSETRLASSIH_FK4 FOREIGN KEY (ASSIGNEE_ID) 
	REFERENCES $NF_SCHEMA.RESOURCE (RESOURCE_ID) ;  
	     
ALTER TABLE ASSET_ROLE_ASSIGNMENT_HISTORY ADD CONSTRAINT ASSETRLASSIH_FK5 FOREIGN KEY (ASSIGNER_ID) 
	REFERENCES $NF_SCHEMA.RESOURCE (RESOURCE_ID) ;
	
ALTER TABLE ASSET_ROLE_ASSIGNMENT_HISTORY ADD CONSTRAINT ASSETRLASSIH_FK6 FOREIGN KEY (ACTION_TYPE_ID) 
	REFERENCES ACTION_TYPE (ACTION_TYPE_ID) ;		 
	      
ALTER TABLE ENTITLEMENT_HISTORY ADD CONSTRAINT ENTITLEHIST_FK1 FOREIGN KEY (ASSET_ROLE_ID) 
	REFERENCES ASSET_ROLE (ASSET_ROLE_ID) ;   
	    
ALTER TABLE ENTITLEMENT_HISTORY ADD CONSTRAINT ENTITLEHIST_FK2 FOREIGN KEY (RESOURCE_ID) 
	REFERENCES $NF_SCHEMA.RESOURCE (RESOURCE_ID) ;    
	
ALTER TABLE ENTITLEMENT_HISTORY ADD CONSTRAINT ENTITLEHIST_FK3 FOREIGN KEY (ACTION_TYPE_ID) 
	REFERENCES ACTION_TYPE (ACTION_TYPE_ID) ; 	  
	                     
ALTER TABLE LICENSE_HISTORY ADD CONSTRAINT LICENSEHIST_FK1 FOREIGN KEY (ASSET_ID) 
	REFERENCES ASSET (ASSET_ID) ;            
	                                
ALTER TABLE LICENSE_HISTORY ADD CONSTRAINT LICENSEHIST_FK2 FOREIGN KEY (RESOURCE_ID) 
	REFERENCES $NF_SCHEMA.RESOURCE (RESOURCE_ID) ;  
	
ALTER TABLE LICENSE_HISTORY ADD CONSTRAINT LICENSEHIST_FK3 FOREIGN KEY (ACTION_TYPE_ID) 
	REFERENCES ACTION_TYPE (ACTION_TYPE_ID) ;	                                 
                 
ALTER TABLE ASSET_LOOKUP ADD CONSTRAINT ASSETLKUP_FK1 FOREIGN KEY (PRED_ASSET_ID) 
	REFERENCES ASSET (ASSET_ID) ;  
	                                    
ALTER TABLE ASSET_LOOKUP ADD CONSTRAINT ASSETLKUP_FK2 FOREIGN KEY (SUCC_ASSET_ID) 
	REFERENCES ASSET (ASSET_ID) ;
	                                      
ALTER TABLE ASSET_REQUEST_LOOKUP ADD CONSTRAINT ASSEREQULK_FK1 FOREIGN KEY (ASSET_ID) 
	REFERENCES ASSET (ASSET_ID) ;      
	                               
ALTER TABLE ASSET_REQUEST_LOOKUP ADD CONSTRAINT ASSEREQULK_FK2 FOREIGN KEY (REQUEST_ID) 
	REFERENCES $NF_SCHEMA.REQUEST (REQUEST_ID) ;   
	                            
ALTER TABLE ASSET_RESOURCE_LOOKUP ADD CONSTRAINT ASSERESLK_FK1 FOREIGN KEY (ASSET_ID) 
	REFERENCES ASSET (ASSET_ID) ;     
	                              
ALTER TABLE ASSET_RESOURCE_LOOKUP ADD CONSTRAINT ASSERESLK_FK2 FOREIGN KEY (OWNER_ID) 
	REFERENCES $NF_SCHEMA.RESOURCE (RESOURCE_ID) ;  
	                                 
ALTER TABLE ASSET_ROLE_ENTITLEMENT_LOOKUP ADD CONSTRAINT ASSERLENTLK_FK1 FOREIGN KEY (ASSET_ROLE_ID) 
	REFERENCES ASSET_ROLE(ASSET_ROLE_ID) ;  
	  
ALTER TABLE ASSET_ROLE_ENTITLEMENT_LOOKUP ADD CONSTRAINT ASSERLENTLK_FK2 FOREIGN KEY (ENTITLEMENT_ID) 
	REFERENCES ENTITLEMENT (ENTITLEMENT_ID) ; 
	
ALTER TABLE ASSET_TESTCASE_LOOKUP ADD CONSTRAINT ASSETCASELK_FK1 FOREIGN KEY (ASSET_ID) 
	REFERENCES ASSET (ASSET_ID) ;        
	                           
ALTER TABLE ASSET_TESTCASE_LOOKUP ADD CONSTRAINT ASSETCASELK_FK2 FOREIGN KEY (TESTCASE_ID) 
	REFERENCES $NF_SCHEMA.TESTCASE (TESTCASE_ID) ; 
	                         
ALTER TABLE ASSET_TESTPLAN_LOOKUP ADD CONSTRAINT ASSETPLANLK_FK1 FOREIGN KEY (ASSET_ID) 
	REFERENCES ASSET (ASSET_ID) ;              
	                     
ALTER TABLE ASSET_TESTPLAN_LOOKUP ADD CONSTRAINT ASSETPLANLK_FK2 FOREIGN KEY (TESTPLAN_ID) 
	REFERENCES $NF_SCHEMA.TESTPLAN (TESTPLAN_ID) ;   
	
ALTER TABLE ENTITLEMENT_HISTORY_LOOKUP ADD CONSTRAINT ENTHISTLK_FK1 FOREIGN KEY (HISTORY_ID)
	REFERENCES ENTITLEMENT_HISTORY (HISTORY_ID);	 
	
ALTER TABLE ENTITLEMENT_HISTORY_LOOKUP ADD CONSTRAINT ENTHISTLK_FK2 FOREIGN KEY (ENTITLEMENT_ID)
	REFERENCES ENTITLEMENT (ENTITLEMENT_ID);	    
	
ALTER TABLE ASSET_ROLE_RESOURCE_LOOKUP ADD CONSTRAINT ASSETRLRESLK_FK1 FOREIGN KEY (ASSET_ROLE_ID)
	REFERENCES ASSET_ROLE (ASSET_ROLE_ID);
	
ALTER TABLE ASSET_ROLE_RESOURCE_LOOKUP ADD CONSTRAINT ASSETRLRESLK_FK2 FOREIGN KEY (RESOURCE_ID)
	REFERENCES $NF_SCHEMA.RESOURCE;	

ALTER TABLE ASSET_ROLE_TEAM_LOOKUP ADD CONSTRAINT ASSETRLTEAMLK_FK1 FOREIGN KEY (ASSET_ROLE_ID)
	REFERENCES ASSET_ROLE (ASSET_ROLE_ID);	
	
ALTER TABLE ASSET_ROLE_TEAM_LOOKUP ADD CONSTRAINT ASSETRLTEAMLK_FK2 FOREIGN KEY (TEAM_ID)
	REFERENCES $NF_SCHEMA.TEAM (TEAM_ID);		
	
ALTER TABLE ASSET_HISTORY ADD CONSTRAINT ASSETHIST_FK1 FOREIGN KEY (ASSET_ID)
	REFERENCES ASSET (ASSET_ID);	    

ALTER TABLE ASSET_HISTORY ADD CONSTRAINT ASSETHIST_FK2 FOREIGN KEY (ACTION_TYPE_ID)
	REFERENCES ACTION_TYPE (ACTION_TYPE_ID);
	
ALTER TABLE ASSET_HISTORY ADD CONSTRAINT ASSETHIST_FK3 FOREIGN KEY (RESOURCE_ID)
	REFERENCES $NF_SCHEMA.RESOURCE (RESOURCE_ID);		               
                 
--TRIGGERS


CREATE TRIGGER TRG_ASSETLK
	AFTER UPDATE OF REC_DATETIME ON ASSET
	REFERENCING  NEW AS NEWROW                                                           
		OLD AS OLDROW                                                                      
	FOR EACH ROW MODE DB2SQL                                                             
BEGIN ATOMIC                                                                           
    DELETE FROM ASSET_LOOKUP WHERE (PRED_ASSET_ID=NEWROW.ASSET_ID OR SUCC_ASSET_ID=NEWROW.ASSET_ID); END;
    
CREATE TRIGGER TRG_ASSREQUELK	                           
 AFTER UPDATE OF REC_DATETIME ON ASSET     
 REFERENCING  NEW AS NEWROW                                                           
		OLD AS OLDROW                                                                      
	FOR EACH ROW MODE DB2SQL                                                             
BEGIN ATOMIC                                                                           
    DELETE FROM ASSET_REQUEST_LOOKUP WHERE ASSET_ID=NEWROW.ASSET_ID; END;                                                                                          

CREATE TRIGGER TRG_ASSRESOULK 
 AFTER UPDATE OF REC_DATETIME ON ASSET   
 REFERENCING  NEW AS NEWROW                                                           
		OLD AS OLDROW                                                                      
	FOR EACH ROW MODE DB2SQL                                                             
BEGIN ATOMIC                                                                           
    DELETE FROM ASSET_RESOURCE_LOOKUP WHERE ASSET_ID=NEWROW.ASSET_ID; END;      

CREATE TRIGGER TRG_ASSENTITLK 
 AFTER UPDATE OF REC_DATETIME ON ASSET_ROLE
 REFERENCING  NEW AS NEWROW                                                           
		OLD AS OLDROW                                                                      
	FOR EACH ROW MODE DB2SQL                                                             
BEGIN ATOMIC                                                                           
    DELETE FROM ASSET_ROLE_ENTITLEMENT_LOOKUP WHERE ASSET_ROLE_ID=NEWROW.ASSET_ROLE_ID; END; 

CREATE TRIGGER TRG_ASSTSTCASELK 
 AFTER UPDATE OF REC_DATETIME ON ASSET       
 REFERENCING  NEW AS NEWROW                                                           
		OLD AS OLDROW                                                                      
	FOR EACH ROW MODE DB2SQL                                                             
BEGIN ATOMIC                                                                           
    DELETE FROM ASSET_TESTCASE_LOOKUP WHERE ASSET_ID=NEWROW.ASSET_ID; END;  

CREATE TRIGGER TRG_TSTPLNLK 
 AFTER UPDATE OF REC_DATETIME ON ASSET    
 REFERENCING  NEW AS NEWROW                                                           
		OLD AS OLDROW                                                                      
	FOR EACH ROW MODE DB2SQL                                                             
BEGIN ATOMIC                                                                           
    DELETE FROM ASSET_TESTPLAN_LOOKUP WHERE ASSET_ID=NEWROW.ASSET_ID; END;
    
CREATE TRIGGER TRG_ASSRLRESELK 
 AFTER UPDATE OF REC_DATETIME ON ASSET_ROLE    
 REFERENCING  NEW AS NEWROW                                                           
		OLD AS OLDROW                                                                      
	FOR EACH ROW MODE DB2SQL                                                             
BEGIN ATOMIC                                                                           
    DELETE FROM ASSET_ROLE_RESOURCE_LOOKUP WHERE ASSET_ROLE_ID=NEWROW.ASSET_ROLE_ID; END;    
      
CREATE TRIGGER TRG_ASSRLTEAMLK 
 AFTER UPDATE OF REC_DATETIME ON ASSET_ROLE    
 REFERENCING  NEW AS NEWROW                                                           
		OLD AS OLDROW                                                                      
	FOR EACH ROW MODE DB2SQL                                                             
BEGIN ATOMIC                                                                           
    DELETE FROM ASSET_ROLE_TEAM_LOOKUP WHERE ASSET_ROLE_ID=NEWROW.ASSET_ROLE_ID; END; 

CREATE TRIGGER TRG_ASSREQUILK 
 AFTER UPDATE OF REC_DATETIME ON ASSET  
 REFERENCING  NEW AS NEWROW                                                           
		OLD AS OLDROW                                                                      
	FOR EACH ROW MODE DB2SQL                                                             
BEGIN ATOMIC                                                                           
    DELETE FROM ASSET_REQUIREMENT_LOOKUP WHERE ASSET_ID=NEWROW.ASSET_ID; END;
                                                                                  
SET CURRENT SCHEMA $RISCHK; 

-- FOREIGN KEYS

ALTER TABLE SC_SESSION ADD CONSTRAINT SCSESS_FK1 FOREIGN KEY (PROJECT_ID)
		REFERENCES $NF_SCHEMA.PROJECT (PROJECT_ID);
		
ALTER TABLE SC_SESSION ADD CONSTRAINT SCSESS_FK2 FOREIGN KEY (TEAM_ID)
		REFERENCES $NF_SCHEMA.TEAM (TEAM_ID);		
		
ALTER TABLE SC_SESSION ADD CONSTRAINT SCSESS_FK3 FOREIGN KEY (BALLOT_DEFINITION_ID)
		REFERENCES  BALLOT_DEFINITION (BALLOT_DEFINITION_ID);							

ALTER TABLE SCSESSION_PARTICIPANT_LOOKUP ADD CONSTRAINT SCSESSPART_FK1 FOREIGN KEY (SESSION_ID)
		REFERENCES  SC_SESSION (SESSION_ID);
		
ALTER TABLE SCSESSION_PARTICIPANT_LOOKUP ADD CONSTRAINT SCSESSPART_FK2 FOREIGN KEY (PARTICIPANT_ID)
		REFERENCES  $NF_SCHEMA.RESOURCE (RESOURCE_ID);			

ALTER TABLE SCSESSION_COFACILIT_LOOKUP ADD CONSTRAINT SCSESSFASC_FK1 FOREIGN KEY (SESSION_ID)
		REFERENCES  SC_SESSION (SESSION_ID);

ALTER TABLE SCSESSION_COFACILIT_LOOKUP ADD CONSTRAINT SCSESSFASC_FK2 FOREIGN KEY (FACILITATOR_ID)
		REFERENCES  $NF_SCHEMA.RESOURCE (RESOURCE_ID);	
    
ALTER TABLE BALLOT_DEFINITION ADD CONSTRAINT BALLOTDEF_FK3 FOREIGN KEY (SCALE_ID)
		REFERENCES SC_SCALE (SCALE_ID);		     

ALTER TABLE BALLOTDEF_BALLOT_TAB_LOOKUP ADD CONSTRAINT BALDEFTAB_FK1 FOREIGN KEY (BALLOT_DEFINITION_ID)
		REFERENCES  BALLOT_DEFINITION(BALLOT_DEFINITION_ID);

ALTER TABLE BALLOTDEF_BALLOT_TAB_LOOKUP ADD CONSTRAINT BALDEFTAB_FK2 FOREIGN KEY (BALLOT_TAB_ID)
		REFERENCES  BALLOT_TAB (BALLOT_TAB_ID);		

ALTER TABLE ANSWER ADD CONSTRAINT ANSWER_FK1 FOREIGN KEY (QUESTION_ID)
		REFERENCES QUESTION (QUESTION_ID);	

ALTER TABLE ANSWER ADD CONSTRAINT ANSWER_FK2 FOREIGN KEY (BALLOT_ID)
		REFERENCES BALLOT (BALLOT_ID);
		
ALTER TABLE ANSWER ADD CONSTRAINT ANSWER_FK3 FOREIGN KEY (BALLOT_TAB_ID)
		REFERENCES BALLOT_TAB (BALLOT_TAB_ID);		
						
ALTER TABLE QUESTION ADD CONSTRAINT QUESTION_FK3 FOREIGN KEY (SCALE_ID)
		REFERENCES SC_SCALE (SCALE_ID);		
		 
ALTER TABLE BALLOT_TAB_QUESTION_LOOKUP ADD CONSTRAINT BALTBQUELK_FK1 FOREIGN KEY (BALLOT_TAB_ID)
		REFERENCES BALLOT_TAB (BALLOT_TAB_ID);		
		
ALTER TABLE BALLOT_TAB_QUESTION_LOOKUP ADD CONSTRAINT BALTBQUELK_FK2 FOREIGN KEY (QUESTION_ID)
		REFERENCES QUESTION (QUESTION_ID);	
		 		
ALTER TABLE SC_BALLOT_TAB_RESULT ADD CONSTRAINT SCRESULT_FK3 FOREIGN KEY (SESSION_ID)
		REFERENCES SC_SESSION (SESSION_ID);
		
ALTER TABLE SC_BALLOT_TAB_RESULT ADD CONSTRAINT SCRESULT_FK4 FOREIGN KEY (BALLOT_TAB_ID)
		REFERENCES BALLOT_TAB (BALLOT_TAB_ID);			

--TRIGGERS

CREATE TRIGGER TRG_BALDEFBALTAB
	AFTER UPDATE OF REC_DATETIME ON BALLOT_DEFINITION
	REFERENCING  NEW AS NEWROW                                                           
		OLD AS OLDROW                                                                      
	FOR EACH ROW MODE DB2SQL                                                             
BEGIN ATOMIC                                                                           
    DELETE FROM BALLOTDEF_BALLOT_TAB_LOOKUP WHERE BALLOT_DEFINITION_ID=NEWROW.BALLOT_DEFINITION_ID; END;
     
CREATE TRIGGER TRG_BALTABQUES
	AFTER UPDATE OF REC_DATETIME ON QUESTION
	REFERENCING  NEW AS NEWROW                                                           
		OLD AS OLDROW                                                                      
	FOR EACH ROW MODE DB2SQL                                                             
BEGIN ATOMIC                                                                           
    DELETE FROM BALLOT_TAB_QUESTION_LOOKUP WHERE QUESTION_ID=NEWROW.QUESTION_ID; END;    
    
CREATE TRIGGER TRG_SESCOFACILI
	AFTER UPDATE OF REC_DATETIME ON SC_SESSION
	REFERENCING  NEW AS NEWROW                                                           
		OLD AS OLDROW                                                                      
	FOR EACH ROW MODE DB2SQL                                                             
BEGIN ATOMIC                                                                           
    DELETE FROM SCSESSION_COFACILIT_LOOKUP WHERE SESSION_ID=NEWROW.SESSION_ID; END;    
        
CREATE TRIGGER TRG_SESPARTICI
	AFTER UPDATE OF REC_DATETIME ON SC_SESSION
	REFERENCING  NEW AS NEWROW                                                           
		OLD AS OLDROW                                                                      
	FOR EACH ROW MODE DB2SQL                                                             
BEGIN ATOMIC                                                                           
    DELETE FROM SCSESSION_PARTICIPANT_LOOKUP WHERE SESSION_ID=NEWROW.SESSION_ID; END;  
    
COMMIT;
    
SET CURRENT SCHEMA $RIBA_SCHEMA;

-- FOREIGN KEY CONSTRAINTS


ALTER TABLE SCORECARD_METRICS ADD CONSTRAINT SCORECARD_MET_FK1 FOREIGN KEY (SCORECARD_ID) 
	REFERENCES SCORECARD (SCORECARD_ID);

ALTER TABLE SCORECARD_METRICS ADD CONSTRAINT SCORECARD_MET_FK2 FOREIGN KEY (METRIC_TYPE_ID) 
	REFERENCES METRIC_TYPE (METRIC_TYPE_ID);

ALTER TABLE METRIC_TYPE_HIERARCHY ADD CONSTRAINT METRIC_TYP_MET_FK1 FOREIGN KEY (PARENT_TYPE_ID) 
	REFERENCES METRIC_TYPE (METRIC_TYPE_ID);

ALTER TABLE METRIC_TYPE_HIERARCHY ADD CONSTRAINT METRIC_TYP_MET_FK2 FOREIGN KEY (CHILD_TYPE_ID) 
	REFERENCES METRIC_TYPE (METRIC_TYPE_ID);

ALTER TABLE PM_METRIC_CURRENT ADD CONSTRAINT PM_METRIC_METR_FK FOREIGN KEY	(METRIC_TYPE_ID)
	REFERENCES METRIC_TYPE	(METRIC_TYPE_ID);

ALTER TABLE METRIC_TYPE ADD CONSTRAINT METRIC_TYPE_FK FOREIGN KEY	(OBJECTIVE_ID)
	REFERENCES OBJECTIVE	(OBJECTIVE_ID);

ALTER TABLE PM_METRIC_CURRENT ADD CONSTRAINT PM_METRIC_SCOP_FK FOREIGN KEY	(SCOPE_ID)
	REFERENCES SCOPE	(SCOPE_ID);

ALTER TABLE PM_METRIC_CURRENT ADD CONSTRAINT PM_METRIC_TIME_FK FOREIGN KEY	(PERIOD_ID)
	REFERENCES TIME_PERIOD	(PERIOD_ID);

ALTER TABLE METRIC_STAGING ADD CONSTRAINT METRIC_S_METRI_FK FOREIGN KEY	(METRIC_TYPE_ID)
	REFERENCES METRIC_TYPE	(METRIC_TYPE_ID);

ALTER TABLE METRIC_STAGING ADD CONSTRAINT METRIC_STA_SCOP_FK FOREIGN KEY	(SCOPE_ID)
	REFERENCES SCOPE	(SCOPE_ID);

ALTER TABLE METRIC_STAGING ADD CONSTRAINT METRIC_S_TIME__FK FOREIGN KEY	(PERIOD_ID)
	REFERENCES TIME_PERIOD	(PERIOD_ID);

ALTER TABLE PM_METRIC ADD CONSTRAINT PM_MTYPE_FK FOREIGN KEY	(METRIC_TYPE_ID)
	REFERENCES METRIC_TYPE	(METRIC_TYPE_ID);

ALTER TABLE PM_METRIC ADD CONSTRAINT PM_METRIC_SCOPE_FK FOREIGN KEY	(SCOPE_ID)
	REFERENCES SCOPE	(SCOPE_ID);

ALTER TABLE PM_METRIC ADD CONSTRAINT PM_MET_TIME_PER_FK FOREIGN KEY	(PERIOD_ID)
	REFERENCES TIME_PERIOD	(PERIOD_ID);

COMMIT;


SET CURRENT SCHEMA $STAR_SCHEMA; 


ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);
	
ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK13 FOREIGN KEY (RELEASE_ID)
	REFERENCES D_RELEASE (RELEASE_ID);

ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK14 FOREIGN KEY (FIXEDINRELEASE_ID)
	REFERENCES D_RELEASE (RELEASE_ID);

ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK15 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK16 FOREIGN KEY (REQUEST_CLASS_ID)
	REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);

ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK17 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);
	
ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK19 FOREIGN KEY (STATUS_ID)
	REFERENCES D_REQUEST_STATUS (STATUS_ID);	

ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK2 FOREIGN KEY (STATE_ID)
	REFERENCES D_REQUEST_STATE (STATE_ID);

ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK21 FOREIGN KEY (REQUEST_CATEGORY_ID)
	REFERENCES D_REQUEST_CATEGORY (REQUEST_CATEGORY_ID);
	
ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK3 FOREIGN KEY (PRIORITY_ID)
	REFERENCES D_REQUEST_PRIORITY (PRIORITY_ID);

ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK4 FOREIGN KEY (SEVERITY_ID)
	REFERENCES D_REQUEST_SEVERITY (SEVERITY_ID);

ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK5 FOREIGN KEY (TEAM_ID)
	REFERENCES D_TEAM (TEAM_ID);

ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK6 FOREIGN KEY (PLATFORM_ID)
	REFERENCES D_PLATFORM (PLATFORM_ID);

ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK8 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);

ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK9 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);

ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK10 FOREIGN KEY (REQUEST_TYPE_ID)
	REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID);
	
ALTER TABLE H_REQUEST_METRICS_TOTAL ADD CONSTRAINT HREQMETRIC_FK1 FOREIGN KEY (REQUEST_METRIC_ID)
	REFERENCES F_REQUEST_METRICS (REQUEST_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_REQUEST_METRICS_TOTAL ADD CONSTRAINT HREQMETRIC_FK2 FOREIGN KEY (REQUEST_ID)
	REFERENCES D_REQUEST (REQUEST_ID) ON DELETE CASCADE;
	
ALTER TABLE H_REQUEST_METRICS_BLOCKING ADD CONSTRAINT HREQMETRICB_FK1 FOREIGN KEY (REQUEST_METRIC_ID)
	REFERENCES F_REQUEST_METRICS (REQUEST_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_REQUEST_METRICS_BLOCKING ADD CONSTRAINT HREQMETRICB_FK2 FOREIGN KEY (REQUEST_ID)
	REFERENCES D_REQUEST (REQUEST_ID) ON DELETE CASCADE;

ALTER TABLE F_REQUEST_AGING ADD CONSTRAINT F_REQ_AGD_FK1 FOREIGN KEY (STATE_ID)
	REFERENCES D_REQUEST_STATE (STATE_ID);

ALTER TABLE F_REQUEST_AGING ADD CONSTRAINT F_REQ_AGD_FK2 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_REQUEST_AGING ADD CONSTRAINT F_REQ_AGD_FK3 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_REQUEST_AGING ADD CONSTRAINT F_REQ_AGD_FK4 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);

ALTER TABLE F_REQUEST_AGING ADD CONSTRAINT F_REQ_AGD_FK5 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);

ALTER TABLE F_REQUEST_AGING ADD CONSTRAINT F_REQ_AGD_FK6 FOREIGN KEY (SEVERITY_ID)
	REFERENCES D_REQUEST_SEVERITY (SEVERITY_ID);

ALTER TABLE F_REQUEST_AGING ADD CONSTRAINT F_REQ_AGD_FK7 FOREIGN KEY (PRIORITY_ID)
	REFERENCES D_REQUEST_PRIORITY (PRIORITY_ID);

ALTER TABLE F_REQUEST_AGING ADD CONSTRAINT F_REQ_AGD_FK8 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);
			
ALTER TABLE F_REQUEST_AGING ADD CONSTRAINT F_REQ_AGD_FK9 FOREIGN KEY (REQUEST_CLASS_ID)
	REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);		

ALTER TABLE F_REQUEST_AGING ADD CONSTRAINT F_REQ_AGD_FK10 FOREIGN KEY (REQUEST_TYPE_ID)
	REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID);	
	
ALTER TABLE H_REQUEST_AGING_MIN ADD CONSTRAINT HREQAGM_FK1 FOREIGN KEY (AGING_METRIC_ID)
	REFERENCES F_REQUEST_AGING (AGING_METRIC_ID) ON DELETE CASCADE;
	
ALTER TABLE H_REQUEST_AGING_MIN ADD CONSTRAINT HREQAGM_FK2 FOREIGN KEY (REQUEST_ID)
	REFERENCES D_REQUEST (REQUEST_ID)  ON DELETE CASCADE;
	
ALTER TABLE H_REQUEST_AGING_MAX ADD CONSTRAINT HREQAGX_FK1 FOREIGN KEY (AGING_METRIC_ID)
	REFERENCES F_REQUEST_AGING (AGING_METRIC_ID) ON DELETE CASCADE;
	
ALTER TABLE H_REQUEST_AGING_MAX ADD CONSTRAINT HREQAGX_FK2 FOREIGN KEY (REQUEST_ID)
	REFERENCES D_REQUEST (REQUEST_ID)  ON DELETE CASCADE;
		
ALTER TABLE H_REQUEST_AGING_TOTAL ADD CONSTRAINT HREQAG_FK1 FOREIGN KEY (AGING_METRIC_ID)
	REFERENCES F_REQUEST_AGING (AGING_METRIC_ID) ON DELETE CASCADE;
	
ALTER TABLE H_REQUEST_AGING_TOTAL ADD CONSTRAINT HREQAG_FK2 FOREIGN KEY (REQUEST_ID)
	REFERENCES D_REQUEST (REQUEST_ID)  ON DELETE CASCADE;	
	
ALTER TABLE F_REQUEST_CLOSURE_DATE_METRICS ADD CONSTRAINT F_REQCDT_FK1 FOREIGN KEY (RELEASE_ID)
	REFERENCES D_RELEASE (RELEASE_ID);

ALTER TABLE F_REQUEST_CLOSURE_DATE_METRICS ADD CONSTRAINT F_REQCDT_FK2 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);

ALTER TABLE F_REQUEST_CLOSURE_DATE_METRICS ADD CONSTRAINT F_REQCDT_FK3 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_REQUEST_CLOSURE_DATE_METRICS ADD CONSTRAINT F_REQCDT_FK5 FOREIGN KEY (REQUEST_CLASS_ID)
	REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);

ALTER TABLE F_REQUEST_CLOSURE_DATE_METRICS ADD CONSTRAINT F_REQCDT_FK7 FOREIGN KEY (STATUS_ID)
	REFERENCES D_REQUEST_STATUS (STATUS_ID);

ALTER TABLE F_REQUEST_CLOSURE_DATE_METRICS ADD CONSTRAINT F_REQCDT_FK8 FOREIGN KEY (CUSTOMER_PRIORITY_ID)
	REFERENCES D_CUSTOMER_PRIORITY (CUSTOMER_PRIORITY_ID);

ALTER TABLE F_REQUEST_CLOSURE_DATE_METRICS ADD CONSTRAINT F_REQCDT_FK9 FOREIGN KEY (CLOSED_DATE_ID)
	REFERENCES D_DATE (DATE_ID);	

ALTER TABLE F_REQUEST_CLOSURE_DATE_METRICS ADD CONSTRAINT F_REQCDT_FK10 FOREIGN KEY (SEVERITY_ID)
	REFERENCES D_REQUEST_SEVERITY (SEVERITY_ID);
	
ALTER TABLE F_REQUEST_CLOSURE_DATE_METRICS ADD CONSTRAINT F_REQCDT_FK11 FOREIGN KEY (REQUEST_TYPE_ID)
	REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID);
		
ALTER TABLE F_TEXT_FILE_VERSION_METRICS ADD CONSTRAINT F_TFV_FK1 FOREIGN KEY (FILE_ID)
	REFERENCES D_FILE (FILE_ID);
	
ALTER TABLE F_TEXT_FILE_VERSION_METRICS ADD CONSTRAINT F_TFV_FK2 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);	
	
ALTER TABLE F_TEXT_FILE_VERSION_METRICS ADD CONSTRAINT F_TFV_FK3 FOREIGN KEY (FILE_STREAM_ID)
	REFERENCES D_FILE_STREAM (FILE_STREAM_ID);	
	
ALTER TABLE F_TEXT_FILE_VERSION_METRICS ADD CONSTRAINT F_TFV_FK4 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);	
	
ALTER TABLE F_TEXT_FILE_VERSION_METRICS ADD CONSTRAINT F_TFV_FK6 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);	
	
ALTER TABLE F_TEXT_FILE_VERSION_METRICS ADD CONSTRAINT F_TFV_FK7 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);			

ALTER TABLE F_TEXT_FILE_VERSION_METRICS ADD CONSTRAINT F_TFV_FK10 FOREIGN KEY (FILE_CLASS_ID)
	REFERENCES D_FILE_CLASSIFICATION (FILE_CLASS_ID);								

ALTER TABLE H_TEXT_FILE_VERSION_METRICS_CH ADD CONSTRAINT H_TFVCH_FK1 FOREIGN KEY (SLOC_METRICS_ID)
	REFERENCES F_TEXT_FILE_VERSION_METRICS (SLOC_METRICS_ID) ON DELETE CASCADE;
	
ALTER TABLE H_TEXT_FILE_VERSION_METRICS_CH ADD CONSTRAINT H_TFVCH_FK2 FOREIGN KEY (FILE_VERSION_ID)
	REFERENCES D_FILE_VERSION (FILE_VERSION_ID) ON DELETE CASCADE;	
		
ALTER TABLE H_TEXT_FILE_VERSION_METRICS_TO ADD CONSTRAINT H_TFVT_FK1 FOREIGN KEY (SLOC_METRICS_ID)
	REFERENCES F_TEXT_FILE_VERSION_METRICS (SLOC_METRICS_ID) ON DELETE CASCADE;
	
ALTER TABLE H_TEXT_FILE_VERSION_METRICS_TO ADD CONSTRAINT H_TFVT_FK2 FOREIGN KEY (FILE_VERSION_ID)
	REFERENCES D_FILE_VERSION (FILE_VERSION_ID) ON DELETE CASCADE;	
	
ALTER TABLE F_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_EXERES_FK2 FOREIGN KEY (ASSETREGISTRY_ID)
	REFERENCES D_ASSETREGISTRY (ASSETREGISTRY_ID);

ALTER TABLE F_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_EXERES_FK3 FOREIGN KEY (TESTCASE_ID)
	REFERENCES D_TESTCASE (TESTCASE_ID);

ALTER TABLE F_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_EXERES_FK4 FOREIGN KEY (VERDICT_ID)
	REFERENCES D_VERDICT (VERDICT_ID);

ALTER TABLE F_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_EXERES_FK5 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_EXERES_FK6 FOREIGN KEY (EXECRES_CLASS_ID)
	REFERENCES D_EXECRESULT_CLASSIFICATION (EXECRES_CLASS_ID);
	
ALTER TABLE F_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_EXERES_FK7 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES D_TESTPLAN (TESTPLAN_ID);	
	
ALTER TABLE F_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_EXERES_FK8 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);	

ALTER TABLE H_EXECRESULT_DATE_METRICS ADD CONSTRAINT H_EXECRESDTK_FK1 FOREIGN KEY (EXECRESDT_METRICS_ID)
	REFERENCES F_EXECRESULT_DATE_METRICS (EXECRESDT_METRICS_ID) ON DELETE CASCADE;
	
ALTER TABLE H_EXECRESULT_DATE_METRICS ADD CONSTRAINT H_EXECRESDTK_FK2 FOREIGN KEY (EXECUTION_RESULT_ID)
	REFERENCES D_EXECUTION_RESULT (EXECUTION_RESULT_ID) ON DELETE CASCADE;	

ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK1 FOREIGN KEY (RELEASE_ID)
	REFERENCES D_RELEASE (RELEASE_ID);

ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK2 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);

ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK3 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK5 FOREIGN KEY (REQUEST_CLASS_ID)
	REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);

ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK7 FOREIGN KEY (STATUS_ID)
	REFERENCES D_REQUEST_STATUS (STATUS_ID);

ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK8 FOREIGN KEY (CUSTOMER_PRIORITY_ID)
	REFERENCES D_CUSTOMER_PRIORITY (CUSTOMER_PRIORITY_ID);

ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK9 FOREIGN KEY (CREATION_DATE_ID)
	REFERENCES D_DATE (DATE_ID);	
	
ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK10 FOREIGN KEY (SEVERITY_ID)
	REFERENCES D_REQUEST_SEVERITY (SEVERITY_ID);	
	
ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK11 FOREIGN KEY (REQUEST_TYPE_ID)
	REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID);	
	
ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK12 FOREIGN KEY (TEAM_ID)
	REFERENCES D_TEAM (TEAM_ID);
	
ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK13 FOREIGN KEY (REQUEST_CATEGORY_ID)
	REFERENCES D_REQUEST_CATEGORY (REQUEST_CATEGORY_ID);
	
ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK14 FOREIGN KEY (STATE_ID)
	REFERENCES D_REQUEST_STATE (STATE_ID);	
	
ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK15 FOREIGN KEY (PRIORITY_ID)
	REFERENCES D_REQUEST_PRIORITY (PRIORITY_ID);	

ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK16 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);							

ALTER TABLE F_REQUEST_FAILURE_METRICS ADD CONSTRAINT F_REQFL_FK1 FOREIGN KEY (RELEASE_ID)
	REFERENCES D_RELEASE (RELEASE_ID);

ALTER TABLE F_REQUEST_FAILURE_METRICS ADD CONSTRAINT F_REQFL_FK2 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);

ALTER TABLE F_REQUEST_FAILURE_METRICS ADD CONSTRAINT F_REQFL_FK3 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_REQUEST_FAILURE_METRICS ADD CONSTRAINT F_REQFL_FK4 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);

ALTER TABLE F_REQUEST_FAILURE_METRICS ADD CONSTRAINT F_REQFL_FK5 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);			

ALTER TABLE H_REQUEST_FAILURE_METRICS ADD CONSTRAINT HREQFMETRIC_FK1 FOREIGN KEY (REQFAIL_METRIC_ID)
	REFERENCES F_REQUEST_FAILURE_METRICS (REQFAIL_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_REQUEST_FAILURE_METRICS ADD CONSTRAINT HREQFMETRIC_FK2 FOREIGN KEY (REQUEST_ID)
	REFERENCES D_REQUEST (REQUEST_ID) ON DELETE CASCADE;

ALTER TABLE F_REQUIREMENT_METRICS ADD CONSTRAINT F_REQMET_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_REQUIREMENT_METRICS ADD CONSTRAINT F_REQMET_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_REQUIREMENT_METRICS ADD CONSTRAINT F_REQMET_FK3 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);

ALTER TABLE F_REQUIREMENT_METRICS ADD CONSTRAINT F_REQMET_FK4 FOREIGN KEY (STATE_ID)
	REFERENCES D_REQUIREMENT_STATE (STATE_ID);

ALTER TABLE F_REQUIREMENT_METRICS ADD CONSTRAINT F_REQMET_FK5 FOREIGN KEY (REQUIREMENT_CLASS_ID)
	REFERENCES D_REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID);

ALTER TABLE F_REQUIREMENT_METRICS ADD CONSTRAINT F_REQMET_FK6 FOREIGN KEY (STATUS_ID)
	REFERENCES D_STATUS (STATUS_ID);

ALTER TABLE F_REQUIREMENT_METRICS ADD CONSTRAINT F_REQMET_FK7 FOREIGN KEY (STABILITY_ID)
	REFERENCES D_STABILITY (STABILITY_ID);

ALTER TABLE F_REQUIREMENT_METRICS ADD CONSTRAINT F_REQMET_FK8 FOREIGN KEY (DIFFICULTY_ID)
	REFERENCES D_DIFFICULTY (DIFFICULTY_ID);
	
ALTER TABLE F_REQUIREMENT_METRICS ADD CONSTRAINT F_REQMET_FK11 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);	

ALTER TABLE F_REQUIREMENT_METRICS ADD CONSTRAINT F_REQMET_FK12 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);	
	
ALTER TABLE F_REQUIREMENT_METRICS ADD CONSTRAINT F_REQMET_FK13 FOREIGN KEY (PRIORITY_ID)
	REFERENCES D_PRIORITY (PRIORITY_ID);	
	
ALTER TABLE F_REQUIREMENT_METRICS ADD CONSTRAINT F_REQMET_FK14 FOREIGN KEY (REQUIREMENT_TYPE_ID)
	REFERENCES D_REQUIREMENT_TYPE (REQUIREMENT_TYPE_ID);	
			
ALTER TABLE H_REQUIREMENT_METRICS_TOTAL ADD CONSTRAINT HREQUIMETTOT_FK1 FOREIGN KEY (REQ_METRIC_ID)
	REFERENCES F_REQUIREMENT_METRICS (REQ_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_REQUIREMENT_METRICS_TOTAL ADD CONSTRAINT HREQUIMETTOT_FK2 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES D_REQUIREMENT (REQUIREMENT_ID) ON DELETE CASCADE;
	
ALTER TABLE H_REQUIREMENT_METRICS_CHANGES ADD CONSTRAINT HREQUIMETCH_FK1 FOREIGN KEY (REQ_METRIC_ID)
	REFERENCES F_REQUIREMENT_METRICS (REQ_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_REQUIREMENT_METRICS_CHANGES ADD CONSTRAINT HREQUIMETCH_FK2 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES D_REQUIREMENT (REQUIREMENT_ID) ON DELETE CASCADE;	

ALTER TABLE F_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT F_CFGTST_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT F_CFGTST_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT F_CFGTST_FK4 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES D_TESTPLAN (TESTPLAN_ID);

ALTER TABLE F_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT F_CFGTST_FK5 FOREIGN KEY (VERDICT_ID)
	REFERENCES D_VERDICT (VERDICT_ID);

ALTER TABLE F_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT F_CFGTST_FK6 FOREIGN KEY (EXECWORKIT_CLASS_ID)
	REFERENCES D_EXECWORKITEM_CLASSIFICATION (EXECWORKIT_CLASS_ID);
	
ALTER TABLE F_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT F_CFGTST_FK7 FOREIGN KEY (CONFIGURATION_ID)
	REFERENCES D_CONFIGURATION (CONFIGURATION_ID);	

ALTER TABLE H_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT HEXECWKMETRIC_FK1 FOREIGN KEY (EXECWORKITEM_METRIC_ID)
	REFERENCES F_EXECUTION_WORKITEM_METRICS (EXECWORKITEM_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT HEXECWKMETRIC_FK2 FOREIGN KEY (EXECWORKITEM_ID)
	REFERENCES D_EXECUTION_WORKITEM (EXECWORKITEM_ID) ON DELETE CASCADE;	

ALTER TABLE F_TESTCASE_METRICS ADD CONSTRAINT F_TSTCASE_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_TESTCASE_METRICS ADD CONSTRAINT F_TSTCASE_FK5 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES D_TESTPLAN (TESTPLAN_ID);

ALTER TABLE F_TESTCASE_METRICS ADD CONSTRAINT F_TSTCASE_FK7 FOREIGN KEY (TESTCASE_CLASS_ID)
	REFERENCES D_TESTCASE_CLASSIFICATION (TESTCASE_CLASS_ID);		
	
ALTER TABLE F_TESTCASE_METRICS ADD CONSTRAINT F_TSTCASE_FK8 FOREIGN KEY (STATE_ID)
	REFERENCES D_TESTCASE_STATE (STATE_ID);	
	
ALTER TABLE F_TESTCASE_METRICS ADD CONSTRAINT F_TSTCASE_FK9 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);	

ALTER TABLE H_TESTCASE_METRICS ADD CONSTRAINT HTSTCMETRIC_FK1 FOREIGN KEY (TSTCASE_METRIC_ID)
	REFERENCES F_TESTCASE_METRICS (TSTCASE_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_TESTCASE_METRICS ADD CONSTRAINT HTSTCMETRIC_FK2 FOREIGN KEY (TESTCASE_ID)
	REFERENCES D_TESTCASE (TESTCASE_ID) ON DELETE CASCADE;

ALTER TABLE H_BUILD_ATTEMPTS ADD CONSTRAINT HBLDATTE_FK1 FOREIGN KEY (BUILD_METRIC_ID)
	REFERENCES F_BUILD_METRICS (BUILD_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_BUILD_ATTEMPTS ADD CONSTRAINT HBLDATTE_FK2 FOREIGN KEY (BUILD_ID)
	REFERENCES D_BUILD (BUILD_ID) ON DELETE CASCADE;
	
ALTER TABLE H_BUILD_PASS ADD CONSTRAINT HBLDPAS_FK1 FOREIGN KEY (BUILD_METRIC_ID)
	REFERENCES F_BUILD_METRICS (BUILD_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_BUILD_PASS ADD CONSTRAINT HBLDPAS_FK2 FOREIGN KEY (BUILD_ID)
	REFERENCES D_BUILD (BUILD_ID) ON DELETE CASCADE;	
	
ALTER TABLE H_BUILD_FAIL ADD CONSTRAINT HBLDFAIL_FK1 FOREIGN KEY (BUILD_METRIC_ID)
	REFERENCES F_BUILD_METRICS (BUILD_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_BUILD_FAIL ADD CONSTRAINT HBLDFAIL_FK2 FOREIGN KEY (BUILD_ID)
	REFERENCES D_BUILD (BUILD_ID) ON DELETE CASCADE;	

ALTER TABLE F_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_CHREQM_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_CHREQM_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_CHREQM_FK3 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);

ALTER TABLE F_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_CHREQM_FK4 FOREIGN KEY (RELEASE_ID)
	REFERENCES D_RELEASE (RELEASE_ID);

ALTER TABLE F_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_CHREQM_FK5 FOREIGN KEY (PARENT_REQUIREMENT_ID)
	REFERENCES D_REQUIREMENT (REQUIREMENT_ID);
	
ALTER TABLE F_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_CHREQM_FK6 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);	
	
ALTER TABLE F_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_CHREQM_FK7 FOREIGN KEY (REQUIREMENT_CLASS_ID)
	REFERENCES D_REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID);	

ALTER TABLE F_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_CHREQM_FK8 FOREIGN KEY (REQUIREMENT_TYPE_ID)  
  REFERENCES D_REQUIREMENT_TYPE (REQUIREMENT_TYPE_ID);
		
ALTER TABLE F_PROJECT_PERFORMANCE_METRICS ADD CONSTRAINT F_PPM_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_PROJECT_PERFORMANCE_METRICS ADD CONSTRAINT F_PPM_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_BUILD_METRICS ADD CONSTRAINT F_BUILD_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_BUILD_METRICS ADD CONSTRAINT F_BUILD_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_BUILD_METRICS ADD CONSTRAINT F_BUILD_FK5 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);

ALTER TABLE F_BUILD_METRICS ADD CONSTRAINT F_BUILD_FK7 FOREIGN KEY (BUILD_TYPE_ID)
	REFERENCES D_BUILD_TYPE (BUILD_TYPE_ID);
	
ALTER TABLE F_BUILD_METRICS ADD CONSTRAINT F_BUILD_FK8 FOREIGN KEY (BUILD_CLASS_ID)
	REFERENCES D_BUILD_CLASSIFICATION (BUILD_CLASS_ID);
		
ALTER TABLE H_REQUEST_CLOSURE_DATE_METRICS ADD CONSTRAINT H_REQCLD_FK1 FOREIGN KEY (REQCDT_METRIC_ID)
	REFERENCES F_REQUEST_CLOSURE_DATE_METRICS (REQCDT_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_REQUEST_CLOSURE_DATE_METRICS ADD CONSTRAINT H_REQCLD_FK2 FOREIGN KEY (REQUEST_ID)
	REFERENCES D_REQUEST (REQUEST_ID) ON DELETE CASCADE;

ALTER TABLE H_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT H_REQDT_FK1 FOREIGN KEY (REQDT_METRIC_ID)
	REFERENCES F_REQUEST_CREATION_DT_METRICS (REQDT_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT H_REQDT_FK2 FOREIGN KEY (REQUEST_ID)
	REFERENCES D_REQUEST (REQUEST_ID) ON DELETE CASCADE;

ALTER TABLE H_EXECUTION_RESULT_METRICS ADD CONSTRAINT H_EXERES_FK1 FOREIGN KEY (EXERES_METRICS_ID)
	REFERENCES F_EXECUTION_RESULT_METRICS (EXERES_METRICS_ID) ON DELETE CASCADE;

ALTER TABLE H_EXECUTION_RESULT_METRICS ADD CONSTRAINT H_EXERES_FK2 FOREIGN KEY (EXECUTION_RESULT_ID)
	REFERENCES D_EXECUTION_RESULT(EXECUTION_RESULT_ID) ON DELETE CASCADE;

ALTER TABLE H_CHILDREQUIREMENT_METRICS ADD CONSTRAINT H_CHREQ_FK1 FOREIGN KEY (CHILDREQ_METRICS_ID)
	REFERENCES F_CHILDREQUIREMENT_METRICS  (CHILDREQ_METRICS_ID) ON DELETE CASCADE;

ALTER TABLE H_CHILDREQUIREMENT_METRICS ADD CONSTRAINT H_CHREQ_FK2 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES D_REQUIREMENT(REQUIREMENT_ID) ON DELETE CASCADE;
	
ALTER TABLE F_EXECRESULT_DATE_METRICS ADD CONSTRAINT F_EXECRESDT_FK1 FOREIGN KEY (TESTCASE_ID)
	REFERENCES D_TESTCASE (TESTCASE_ID);
	
ALTER TABLE F_EXECRESULT_DATE_METRICS ADD CONSTRAINT F_EXECRESDT_FK2 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);	
	
ALTER TABLE F_EXECRESULT_DATE_METRICS ADD CONSTRAINT F_EXECRESDT_FK4 FOREIGN KEY (DAY_OF_ID)
	REFERENCES D_DATE (DATE_ID);	

ALTER TABLE F_EXECRESULT_DATE_METRICS ADD CONSTRAINT F_EXECRESDT_FK5 FOREIGN KEY (EXECRES_CLASS_ID)
	REFERENCES D_EXECRESULT_CLASSIFICATION (EXECRES_CLASS_ID);	
	
ALTER TABLE F_EXECRESULT_DATE_METRICS ADD CONSTRAINT F_EXECRESDT_FK6 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES D_TESTPLAN (TESTPLAN_ID);		
	
ALTER TABLE F_EXECRESULT_DATE_METRICS ADD CONSTRAINT F_EXECRESDT_FK7 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);			
		
ALTER TABLE F_ACTIVITY_METRICS ADD CONSTRAINT F_ACTM_FK1 FOREIGN KEY (ACTIVITY_CLASS_ID)
	REFERENCES D_ACTIVITY_CLASSIFICATION (ACTIVITY_CLASS_ID);
	
ALTER TABLE F_ACTIVITY_METRICS ADD CONSTRAINT F_ACTM_FK2 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);	
	
ALTER TABLE F_ACTIVITY_METRICS ADD CONSTRAINT F_ACTM_FK4 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);	

ALTER TABLE F_ACTIVITY_METRICS ADD CONSTRAINT F_ACTM_FK5 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);			

ALTER TABLE F_ACTIVITY_METRICS ADD CONSTRAINT F_ACTM_FK7 FOREIGN KEY (STATE_ID)
	REFERENCES D_ACTIVITY_STATE (STATE_ID);			
		 
ALTER TABLE F_ACTIVITY_METRICS ADD CONSTRAINT F_ACTM_FK8 FOREIGN KEY (PRIORITY_ID)
	REFERENCES D_PRIORITY (PRIORITY_ID);	 
		
ALTER TABLE  H_ACTIVITY_METRICS ADD CONSTRAINT H_ACTM_STATE_FK1 FOREIGN KEY (ACTIVITY_METRICS_ID)
		REFERENCES F_ACTIVITY_METRICS (ACTIVITY_METRICS_ID) ON DELETE CASCADE;
		
ALTER TABLE  H_ACTIVITY_METRICS ADD CONSTRAINT H_ACTM_STATE_FK2 FOREIGN KEY (ACTIVITY_ID)
		REFERENCES D_ACTIVITY (ACTIVITY_ID) ON DELETE CASCADE;	
		
ALTER TABLE F_ACTIVITY_CREATION_DT_METRICS ADD CONSTRAINT	F_ACTCRDM_FK1 FOREIGN KEY (ACTIVITY_CLASS_ID)
		REFERENCES D_ACTIVITY_CLASSIFICATION (ACTIVITY_CLASS_ID);	
		
ALTER TABLE F_ACTIVITY_CREATION_DT_METRICS ADD CONSTRAINT	F_ACTCRDM_FK2 FOREIGN KEY (STATE_ID)
		REFERENCES D_ACTIVITY_STATE (STATE_ID);	
		
ALTER TABLE F_ACTIVITY_CREATION_DT_METRICS ADD CONSTRAINT	F_ACTCRDM_FK3 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);	
		
ALTER TABLE F_ACTIVITY_CREATION_DT_METRICS ADD CONSTRAINT	F_ACTCRDM_FK5 FOREIGN KEY (RESOURCE_ID)
		REFERENCES D_RESOURCE (RESOURCE_ID);	
		
ALTER TABLE F_ACTIVITY_CREATION_DT_METRICS ADD CONSTRAINT	F_ACTCRDM_FK6 FOREIGN KEY (PRIORITY_ID)
		REFERENCES D_PRIORITY (PRIORITY_ID);					

ALTER TABLE H_ACTIVITY_CREATION_DT_METRICS ADD CONSTRAINT	H_ACTCRDM_FK1 FOREIGN KEY (ACTIVITYCRD_METRICS_ID)
		REFERENCES F_ACTIVITY_CREATION_DT_METRICS (ACTIVITYCRD_METRICS_ID)  ON DELETE CASCADE;	
		
ALTER TABLE H_ACTIVITY_CREATION_DT_METRICS ADD CONSTRAINT	H_ACTCRDM_FK2 FOREIGN KEY (ACTIVITY_ID)
		REFERENCES D_ACTIVITY (ACTIVITY_ID) ON DELETE CASCADE;	

ALTER TABLE F_EXECRESPOINTS_METRICS ADD CONSTRAINT F_EXECPTS_FK2 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_EXECRESPOINTS_METRICS ADD CONSTRAINT F_EXECPTS_FK3 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES D_TESTPLAN (TESTPLAN_ID);	

ALTER TABLE F_EXECRESPOINTS_METRICS ADD CONSTRAINT F_EXECPTS_FK4 FOREIGN KEY (TESTCASE_ID)
	REFERENCES D_TESTCASE (TESTCASE_ID);	
	
ALTER TABLE F_EXECRESPOINTS_METRICS ADD CONSTRAINT F_EXECPTS_FK5 FOREIGN KEY (EXECRES_CLASS_ID)
	REFERENCES D_EXECRESULT_CLASSIFICATION (EXECRES_CLASS_ID);	

ALTER TABLE F_EXECRESPOINTS_METRICS ADD CONSTRAINT F_EXECPTS_FK6 FOREIGN KEY (VERDICT_ID)
	REFERENCES D_VERDICT (VERDICT_ID);	
	
ALTER TABLE F_EXECRESPOINTS_METRICS ADD CONSTRAINT F_EXECPTS_FK7 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);		

ALTER TABLE H_EXECRESPOINTS_METRICS ADD CONSTRAINT H_EXECPTS_FK1 FOREIGN KEY (EXECRES_METRIC_ID)
	REFERENCES F_EXECRESPOINTS_METRICS (EXECRES_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_EXECRESPOINTS_METRICS ADD CONSTRAINT H_EXECPTS_FK2 FOREIGN KEY (EXECUTION_RESULT_ID)
	REFERENCES D_EXECUTION_RESULT (EXECUTION_RESULT_ID) ON DELETE CASCADE;												

ALTER TABLE F_REQUEST_TURNAROUND ADD CONSTRAINT F_REQTURN_FK1 FOREIGN KEY (REQUEST_CLASS_ID)
		REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);        
		        
ALTER TABLE F_REQUEST_TURNAROUND ADD CONSTRAINT F_REQTURN_FK2 FOREIGN KEY (PROJECT_ID)      
		REFERENCES D_PROJECT (PROJECT_ID);         
		                
ALTER TABLE F_REQUEST_TURNAROUND ADD CONSTRAINT F_REQTURN_FK4 FOREIGN KEY (COMPONENT_ID)    
		REFERENCES D_COMPONENT (COMPONENT_ID); 
		                
ALTER TABLE F_REQUEST_TURNAROUND ADD CONSTRAINT F_REQTURN_FK5 FOREIGN KEY (RESOURCE_ID)     
		REFERENCES D_RESOURCE(RESOURCE_ID); 
		                
ALTER TABLE F_REQUEST_TURNAROUND ADD CONSTRAINT F_REQTURN_FK6 FOREIGN KEY (SEVERITY_ID)    
		REFERENCES D_REQUEST_SEVERITY (SEVERITY_ID); 
		                
ALTER TABLE F_REQUEST_TURNAROUND ADD CONSTRAINT F_REQTURN_FK7 FOREIGN KEY (PRIORITY_ID)     
		REFERENCES D_REQUEST_PRIORITY (PRIORITY_ID); 
		                
ALTER TABLE F_REQUEST_TURNAROUND ADD CONSTRAINT F_REQTURN_FK8 FOREIGN KEY (ITERATION_ID)    
		REFERENCES D_ITERATION (ITERATION_ID); 
		                
ALTER TABLE F_REQUEST_TURNAROUND ADD CONSTRAINT F_REQTURN_FK9 FOREIGN KEY (DATE_ID)         
		REFERENCES D_DATE (DATE_ID); 

ALTER TABLE F_REQUEST_TURNAROUND ADD CONSTRAINT F_REQTURN_FK10 FOREIGN KEY (REQUEST_TYPE_ID)         
		REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID); 
		
ALTER TABLE H_REQUEST_TURNAROUND_TOTAL ADD CONSTRAINT H_REQTURNTOT_FK1 FOREIGN KEY (TURNAROUND_METRIC_ID)
		REFERENCES F_REQUEST_TURNAROUND (TURNAROUND_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_REQUEST_TURNAROUND_TOTAL ADD CONSTRAINT H_REQTURNTOT_FK2 FOREIGN KEY (REQUEST_ID)
		REFERENCES D_REQUEST (REQUEST_ID) ON DELETE CASCADE;
		
ALTER TABLE H_REQUEST_TURNAROUND_MIN ADD CONSTRAINT H_REQTURNMIN_FK1 FOREIGN KEY (TURNAROUND_METRIC_ID)
		REFERENCES F_REQUEST_TURNAROUND (TURNAROUND_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_REQUEST_TURNAROUND_MIN ADD CONSTRAINT H_REQTURNMIN_FK2 FOREIGN KEY (REQUEST_ID)
		REFERENCES D_REQUEST (REQUEST_ID)  ON DELETE CASCADE;

ALTER TABLE H_REQUEST_TURNAROUND_MAX ADD CONSTRAINT H_REQTURNMAX_FK1 FOREIGN KEY (TURNAROUND_METRIC_ID)
		REFERENCES F_REQUEST_TURNAROUND (TURNAROUND_METRIC_ID)  ON DELETE CASCADE;

ALTER TABLE H_REQUEST_TURNAROUND_MAX ADD CONSTRAINT H_REQTURNMAX_FK2 FOREIGN KEY (REQUEST_ID)
		REFERENCES D_REQUEST (REQUEST_ID) ON DELETE CASCADE;
		
ALTER TABLE F_TASK_METRICS ADD CONSTRAINT F_TSKMET_FK1 FOREIGN KEY (TASK_CLASS_ID)
		REFERENCES D_TASK_CLASSIFICATION (TASK_CLASS_ID);
		
ALTER TABLE F_TASK_METRICS ADD CONSTRAINT F_TSKMET_FK2 FOREIGN KEY (DATE_ID)
		REFERENCES D_DATE (DATE_ID);		
		
ALTER TABLE F_TASK_METRICS ADD CONSTRAINT F_TSKMET_FK3 FOREIGN KEY (RESOURCE_ID)
		REFERENCES D_RESOURCE (RESOURCE_ID);			

ALTER TABLE F_TASK_METRICS ADD CONSTRAINT F_TSKMET_FK4 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);		
		
ALTER TABLE F_TASK_METRICS ADD CONSTRAINT F_TSKMET_FK6 FOREIGN KEY (STATE_ID)
		REFERENCES D_TASK_STATE (STATE_ID);			
		
ALTER TABLE F_TASK_METRICS ADD CONSTRAINT F_TSKMET_FK7 FOREIGN KEY (PRIORITY_ID)
		REFERENCES D_PRIORITY (PRIORITY_ID);							
	
ALTER TABLE F_TASK_METRICS ADD CONSTRAINT F_TSKMET_FK8 FOREIGN KEY (ITERATION_ID)
		REFERENCES D_ITERATION (ITERATION_ID);	
		
ALTER TABLE F_TASK_METRICS ADD CONSTRAINT F_TSKMET_FK9 FOREIGN KEY (TASK_TYPE_ID)
		REFERENCES D_TASK_TYPE (TASK_TYPE_ID);			
		
ALTER TABLE H_TASK_METRICS ADD CONSTRAINT H_TSKMET_FK1 FOREIGN KEY (TASK_METRICS_ID)
		REFERENCES F_TASK_METRICS (TASK_METRICS_ID) ON DELETE CASCADE;

ALTER TABLE H_TASK_METRICS ADD CONSTRAINT H_TSKMET_FK2 FOREIGN KEY (TASK_ID)
		REFERENCES D_TASK (TASK_ID) ON DELETE CASCADE;

ALTER TABLE F_TASK_CREATION_DT_METRICS ADD CONSTRAINT F_TSKCRDTMET_FK1 FOREIGN KEY (TASK_CLASS_ID)
		REFERENCES D_TASK_CLASSIFICATION (TASK_CLASS_ID);
		
ALTER TABLE F_TASK_CREATION_DT_METRICS ADD CONSTRAINT F_TSKCRDTMET_FK2 FOREIGN KEY (CREATION_DATE_ID)
		REFERENCES D_DATE (DATE_ID);		
		
ALTER TABLE F_TASK_CREATION_DT_METRICS ADD CONSTRAINT F_TSKCRDTMET_FK3 FOREIGN KEY (RESOURCE_ID)
		REFERENCES D_RESOURCE (RESOURCE_ID);			

ALTER TABLE F_TASK_CREATION_DT_METRICS ADD CONSTRAINT F_TSKCRDTMET_FK4 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);				
		
ALTER TABLE F_TASK_CREATION_DT_METRICS ADD CONSTRAINT F_TSKCRDTMET_FK6 FOREIGN KEY (STATE_ID)
		REFERENCES D_TASK_STATE (STATE_ID);			
		
ALTER TABLE F_TASK_CREATION_DT_METRICS ADD CONSTRAINT F_TSKCRDTMET_FK7 FOREIGN KEY (PRIORITY_ID)
		REFERENCES D_PRIORITY (PRIORITY_ID);							
	
ALTER TABLE F_TASK_CREATION_DT_METRICS ADD CONSTRAINT F_TSKCRDTMET_FK8 FOREIGN KEY (ITERATION_ID)
		REFERENCES D_ITERATION (ITERATION_ID);	
		
ALTER TABLE F_TASK_CREATION_DT_METRICS ADD CONSTRAINT F_TSKCRDTMET_FK9 FOREIGN KEY (TASK_TYPE_ID)
		REFERENCES D_TASK_TYPE (TASK_TYPE_ID);			

ALTER TABLE H_TASK_CREATION_DT_METRICS ADD CONSTRAINT H_TSKCRDTMET_FK1 FOREIGN KEY (TASKCRD_METRICS_ID)
		REFERENCES F_TASK_CREATION_DT_METRICS (TASKCRD_METRICS_ID) ON DELETE CASCADE;

ALTER TABLE H_TASK_CREATION_DT_METRICS ADD CONSTRAINT H_TSKCRDTMET_FK2 FOREIGN KEY (TASK_ID)
		REFERENCES D_TASK (TASK_ID) ON DELETE CASCADE;	

ALTER TABLE F_TASK_CLOSURE_DT_METRICS ADD CONSTRAINT F_TSKCLDTMET_FK1 FOREIGN KEY (TASK_CLASS_ID)
		REFERENCES D_TASK_CLASSIFICATION (TASK_CLASS_ID);
		
ALTER TABLE F_TASK_CLOSURE_DT_METRICS ADD CONSTRAINT F_TSKCLDTMET_FK2 FOREIGN KEY (CLOSURE_DATE_ID)
		REFERENCES D_DATE (DATE_ID);		
		
ALTER TABLE F_TASK_CLOSURE_DT_METRICS ADD CONSTRAINT F_TSKCLDTMET_FK3 FOREIGN KEY (RESOURCE_ID)
		REFERENCES D_RESOURCE (RESOURCE_ID);			

ALTER TABLE F_TASK_CLOSURE_DT_METRICS ADD CONSTRAINT F_TSKCLDTMET_FK4 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);			
		
ALTER TABLE F_TASK_CLOSURE_DT_METRICS ADD CONSTRAINT F_TSKCLDTMET_FK6 FOREIGN KEY (STATE_ID)
		REFERENCES D_TASK_STATE (STATE_ID);			
		
ALTER TABLE F_TASK_CLOSURE_DT_METRICS ADD CONSTRAINT F_TSKCLDTMET_FK7 FOREIGN KEY (PRIORITY_ID)
		REFERENCES D_PRIORITY (PRIORITY_ID);							
	
ALTER TABLE F_TASK_CLOSURE_DT_METRICS ADD CONSTRAINT F_TSKCLDTMET_FK8 FOREIGN KEY (ITERATION_ID)
		REFERENCES D_ITERATION (ITERATION_ID);	
		
ALTER TABLE F_TASK_CLOSURE_DT_METRICS ADD CONSTRAINT F_TSKCLDTMET_FK9 FOREIGN KEY (TASK_TYPE_ID)
		REFERENCES D_TASK_TYPE (TASK_TYPE_ID);			
		
ALTER TABLE H_TASK_CLOSURE_DT_METRICS ADD CONSTRAINT H_TSKCLDTMET_FK1 FOREIGN KEY (TASKCLS_METRICS_ID)
		REFERENCES F_TASK_CLOSURE_DT_METRICS (TASKCLS_METRICS_ID) ON DELETE CASCADE;

ALTER TABLE H_TASK_CLOSURE_DT_METRICS ADD CONSTRAINT H_TSKCLDTMET_FK2 FOREIGN KEY (TASK_ID)
		REFERENCES D_TASK (TASK_ID) ON DELETE CASCADE;						

ALTER TABLE H_BUILD_EXEC_DT_METRICS_TOT ADD CONSTRAINT H_BLDEXDTMET_FK1 FOREIGN KEY (BUILD_EXEC_METRIC_ID)
		REFERENCES F_BUILD_EXECUTION_DT_METRICS (BUILD_EXEC_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_BUILD_EXEC_DT_METRICS_TOT ADD CONSTRAINT H_BLDEXDTMET_FK2 FOREIGN KEY (BUILD_ID)
		REFERENCES D_BUILD (BUILD_ID)  ON DELETE CASCADE;	

ALTER TABLE F_BUILD_EXECUTION_DT_METRICS ADD CONSTRAINT F_BLDEXDTMET_FK1 FOREIGN KEY (END_DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_BUILD_EXECUTION_DT_METRICS ADD CONSTRAINT F_BLDEXDTMET_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);
	
ALTER TABLE F_BUILD_EXECUTION_DT_METRICS ADD CONSTRAINT F_BLDEXDTMET_FK7 FOREIGN KEY (BUILD_TYPE_ID)
	REFERENCES D_BUILD_TYPE (BUILD_TYPE_ID);		

ALTER TABLE F_BUILD_EXECUTION_DT_METRICS ADD CONSTRAINT F_BLDEXDTMET_FK8 FOREIGN KEY (STATUS_ID)
	REFERENCES D_STATUS (STATUS_ID);	

ALTER TABLE F_BUILD_EXECUTION_DT_METRICS ADD CONSTRAINT F_BLDEXDTMET_FK9 FOREIGN KEY (BUILD_CLASS_ID)
	REFERENCES D_BUILD_CLASSIFICATION (BUILD_CLASS_ID);		
	
ALTER TABLE F_LAB_RESUTILIZATION_METRICS ADD CONSTRAINT F_LABRESUTL_FK1 FOREIGN KEY (RESOURCE_GROUP_ID)
		REFERENCES D_RESOURCE_GROUP (RESOURCE_GROUP_ID);
		
ALTER TABLE F_LAB_RESUTILIZATION_METRICS ADD CONSTRAINT F_LABRESUTL_FK2 FOREIGN KEY (OWNER_ID)
		REFERENCES D_RESOURCE (RESOURCE_ID);		

ALTER TABLE F_LAB_RESUTILIZATION_METRICS ADD CONSTRAINT F_LABRESUTL_FK3 FOREIGN KEY (OS_TYPE_ID)
		REFERENCES D_OS_TYPE (OS_TYPE_ID);		
		
ALTER TABLE F_LAB_RESUTILIZATION_METRICS ADD CONSTRAINT F_LABRESUTL_FK4 FOREIGN KEY (RESERVATION_DATE_ID)
		REFERENCES D_DATE (DATE_ID);		
		
ALTER TABLE F_LAB_RESUTILIZATION_METRICS ADD CONSTRAINT F_LABRESUTL_FK5 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);			
		
ALTER TABLE H_LAB_RESUTILIZATION_METRICS ADD CONSTRAINT H_LABRESUTL_FK1 FOREIGN KEY (LAB_RESUTIL_ID)
		REFERENCES F_LAB_RESUTILIZATION_METRICS (LAB_RESUTIL_ID) ON DELETE CASCADE;		
		
ALTER TABLE H_LAB_RESUTILIZATION_METRICS ADD CONSTRAINT H_LABRESUTL_FK2 FOREIGN KEY (LAB_RESOURCE_ID)
		REFERENCES D_LAB_RESOURCE (LAB_RESOURCE_ID) ON DELETE CASCADE;			

ALTER TABLE F_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT FFTXTCHNGM_FK1 FOREIGN KEY (FILE_CLASS_ID)
		REFERENCES D_FILE_CLASSIFICATION (FILE_CLASS_ID);
		
ALTER TABLE F_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT FFTXTCHNGM_FK2 FOREIGN KEY (DATE_ID)
		REFERENCES D_DATE (DATE_ID);	
		
ALTER TABLE F_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT FFTXTCHNGM_FK3 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);			
		
ALTER TABLE F_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT FFTXTCHNGM_FK4 FOREIGN KEY (TEAM_ID)
		REFERENCES D_TEAM (TEAM_ID);		
		
ALTER TABLE F_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT FFTXTCHNGM_FK5 FOREIGN KEY (FILE_STREAM_ID)
		REFERENCES D_FILE_STREAM (FILE_STREAM_ID);			
		
ALTER TABLE F_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT FFTXTCHNGM_FK6 FOREIGN KEY (COMPONENT_ID)
		REFERENCES D_COMPONENT (COMPONENT_ID);			
		
ALTER TABLE H_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT HFTXTCHNGM_FK1 FOREIGN KEY (FTEXTCHNG_METRICS_ID)
		REFERENCES F_TEXT_FILE_CHANGE_METRICS (FTEXTCHNG_METRICS_ID) ON DELETE CASCADE;

ALTER TABLE H_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT HFTXTCHNGM_FK2 FOREIGN KEY (FILE_ID)
		REFERENCES D_FILE (FILE_ID) ON DELETE CASCADE;	
		
ALTER TABLE F_FILE_STREAM_METRICS	ADD CONSTRAINT 	FFILESTRMET_FK1 FOREIGN KEY (DATE_ID)
		REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_FILE_STREAM_METRICS	ADD CONSTRAINT 	FFILESTRMET_FK2 FOREIGN KEY (FILE_STREAM_CLASS_ID)
		REFERENCES D_FILE_STREAM_CLASSIFICATION (FILE_STREAM_CLASS_ID);

ALTER TABLE F_FILE_STREAM_METRICS	ADD CONSTRAINT 	FFILESTRMET_FK3 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_FILE_STREAM_METRICS	ADD CONSTRAINT 	FFILESTRMET_FK4 FOREIGN KEY (TEAM_ID)
		REFERENCES D_TEAM (TEAM_ID);

ALTER TABLE F_FILE_STREAM_METRICS	ADD CONSTRAINT 	FFILESTRMET_FK5 FOREIGN KEY (FILE_STREAM_ID)
		REFERENCES D_FILE_STREAM (FILE_STREAM_ID);

ALTER TABLE H_FILE_STREAM_METRICS ADD CONSTRAINT HFILESTRMET_FK1 FOREIGN KEY (FSTREAM_METRICS_ID)		
		REFERENCES F_FILE_STREAM_METRICS (FSTREAM_METRICS_ID) ON DELETE CASCADE;

ALTER TABLE H_FILE_STREAM_METRICS ADD CONSTRAINT HFILESTRMET_FK2 FOREIGN KEY (FILE_STREAM_ID)	
		REFERENCES D_FILE_STREAM (FILE_STREAM_ID) ON DELETE CASCADE;

ALTER TABLE F_JOB_EXECUTION_DT_METRICS ADD CONSTRAINT F_JOBEXECRES_FK1 FOREIGN KEY (OWNER_ID)
	REFERENCES D_RESOURCE(RESOURCE_ID);
	
ALTER TABLE F_JOB_EXECUTION_DT_METRICS ADD CONSTRAINT F_JOBEXECRES_FK2 FOREIGN KEY (JOB_ID)
	REFERENCES D_JOB (JOB_ID);	
	
ALTER TABLE F_JOB_EXECUTION_DT_METRICS ADD CONSTRAINT F_JOBEXECRES_FK3 FOREIGN KEY (LAB_RESOURCE_ID)
	REFERENCES D_LAB_RESOURCE (LAB_RESOURCE_ID);		

ALTER TABLE F_JOB_EXECUTION_DT_METRICS ADD CONSTRAINT F_JOBEXECRES_FK4 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_JOB_EXECUTION_DT_METRICS ADD CONSTRAINT F_JOBEXECRES_FK5 FOREIGN KEY (VERDICT_ID)
	REFERENCES D_VERDICT (VERDICT_ID);	
	
ALTER TABLE F_JOB_EXECUTION_DT_METRICS ADD CONSTRAINT F_JOBEXECRES_FK6 FOREIGN KEY (STATE_ID)
	REFERENCES D_JOB_RESULT_STATE (STATE_ID);	
	
ALTER TABLE F_JOB_EXECUTION_DT_METRICS ADD CONSTRAINT F_JOBEXECRES_FK7 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);	

ALTER TABLE H_JOB_EXECUTION_DT_METRICS ADD CONSTRAINT H_JOBEXECRES_FK1 FOREIGN KEY (F_JOBRES_METRIC_ID)
	REFERENCES F_JOB_EXECUTION_DT_METRICS (F_JOBRES_METRIC_ID) ON DELETE CASCADE;
	
ALTER TABLE H_JOB_EXECUTION_DT_METRICS ADD CONSTRAINT H_JOBEXECRES_FK2 FOREIGN KEY (JOB_RESULT_ID)
	REFERENCES D_JOB_RESULT (JOB_RESULT_ID) ON DELETE CASCADE;	
	
ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK1 FOREIGN KEY (RELEASE_ID)
	REFERENCES D_RELEASE (RELEASE_ID);

ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK2 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);

ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK3 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);
	
ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK5 FOREIGN KEY (REQUEST_CLASS_ID)
	REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);

ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK7 FOREIGN KEY (STATUS_ID)
	REFERENCES D_REQUEST_STATUS (STATUS_ID);

ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK8 FOREIGN KEY (CUSTOMER_PRIORITY_ID)
	REFERENCES D_CUSTOMER_PRIORITY (CUSTOMER_PRIORITY_ID);

ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK9 FOREIGN KEY (RESOLUTION_DATE_ID)
	REFERENCES D_DATE (DATE_ID);	
	
ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK10 FOREIGN KEY (SEVERITY_ID)
	REFERENCES D_REQUEST_SEVERITY (SEVERITY_ID);	
	
ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK11 FOREIGN KEY (REQUEST_TYPE_ID)
	REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID);	
	
ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK12 FOREIGN KEY (TEAM_ID)
	REFERENCES D_TEAM (TEAM_ID);
	
ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK13 FOREIGN KEY (REQUEST_CATEGORY_ID)
	REFERENCES D_REQUEST_CATEGORY (REQUEST_CATEGORY_ID);
	
ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK14 FOREIGN KEY (STATE_ID)
	REFERENCES D_REQUEST_STATE (STATE_ID);	
	
ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK15 FOREIGN KEY (PRIORITY_ID)
	REFERENCES D_REQUEST_PRIORITY (PRIORITY_ID);	

ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK16 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);							

ALTER TABLE H_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT H_REQRESDT_FK1 FOREIGN KEY (REQDT_METRIC_ID)
	REFERENCES F_REQUEST_RESOLUTIO_DT_METRICS (REQDT_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT H_REQRESDT_FK2 FOREIGN KEY (REQUEST_ID)
	REFERENCES D_REQUEST (REQUEST_ID) ON DELETE CASCADE;

ALTER TABLE F_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_RELREQ_FK1 FOREIGN KEY (DATE_ID)
		REFERENCES D_DATE (DATE_ID);
		
ALTER TABLE F_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_RELREQ_FK2 FOREIGN KEY (REQUEST_CLASS_ID)
		REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);

ALTER TABLE F_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_RELREQ_FK3 FOREIGN KEY (RELEASE_ID)
		REFERENCES D_RELEASE (RELEASE_ID);	
		
ALTER TABLE F_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_RELREQ_FK4 FOREIGN KEY (PRODUCT_ID)
		REFERENCES D_PRODUCT (PRODUCT_ID);	
		
ALTER TABLE F_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_RELREQ_FK5 FOREIGN KEY (STATE_ID)
		REFERENCES D_REQUEST_STATE (STATE_ID);			
		
ALTER TABLE F_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_RELREQ_FK6 FOREIGN KEY (SEVERITY_ID)
		REFERENCES D_REQUEST_SEVERITY (SEVERITY_ID);	
		
ALTER TABLE F_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_RELREQ_FK7 FOREIGN KEY (REQUEST_TYPE_ID)
		REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID);	
		
ALTER TABLE F_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_RELREQ_FK8 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);			
		
ALTER TABLE H_RELEASE_REQUEST_METRICS ADD CONSTRAINT H_RELREQ_FK1 FOREIGN KEY (F_RELREQ_METRIC_ID)
		REFERENCES F_RELEASE_REQUEST_METRICS (F_RELREQ_METRIC_ID) ON DELETE CASCADE;			
		
ALTER TABLE H_RELEASE_REQUEST_METRICS ADD CONSTRAINT H_RELREQ_FK2 FOREIGN KEY (REQUEST_ID)
		REFERENCES D_REQUEST (REQUEST_ID) ON DELETE CASCADE;										

ALTER TABLE F_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_RELREQTU_FK1 FOREIGN KEY (DATE_ID)
		REFERENCES D_DATE (DATE_ID);
		
ALTER TABLE F_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_RELREQTU_FK2 FOREIGN KEY (REQUEST_CLASS_ID)
		REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);

ALTER TABLE F_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_RELREQTU_FK3 FOREIGN KEY (RELEASE_ID)
		REFERENCES D_RELEASE (RELEASE_ID);	
		
ALTER TABLE F_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_RELREQTU_FK4 FOREIGN KEY (PRODUCT_ID)
		REFERENCES D_PRODUCT (PRODUCT_ID);	
		
ALTER TABLE F_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_RELREQTU_FK5 FOREIGN KEY (STATE_ID)
		REFERENCES D_REQUEST_STATE (STATE_ID);			
		
ALTER TABLE F_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_RELREQTU_FK6 FOREIGN KEY (SEVERITY_ID)
		REFERENCES D_REQUEST_SEVERITY (SEVERITY_ID);	
		
ALTER TABLE F_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_RELREQTU_FK7 FOREIGN KEY (REQUEST_TYPE_ID)
		REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID);								

ALTER TABLE F_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_RELREQTU_FK8 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);		

ALTER TABLE H_REL_REQUEST_TURN_METRICS ADD CONSTRAINT H_RELREQTU_FK1 FOREIGN KEY (F_RELREQ_TURN_METRIC_ID)
		REFERENCES F_REL_REQUEST_TURN_METRICS (F_RELREQ_TURN_METRIC_ID) ON DELETE CASCADE;										

ALTER TABLE H_REL_REQUEST_TURN_METRICS ADD CONSTRAINT H_RELREQTU_FK2 FOREIGN KEY (REQUEST_ID)
		REFERENCES D_REQUEST (REQUEST_ID) ON DELETE CASCADE;										
	
ALTER TABLE F_TIME_TO_MARKET_RELEA_METRICS ADD CONSTRAINT F_TTMKTREL_FK1 FOREIGN KEY (RELEASE_DATE_ID)
		REFERENCES D_DATE (DATE_ID);
		
ALTER TABLE F_TIME_TO_MARKET_RELEA_METRICS ADD CONSTRAINT F_TTMKTREL_FK2 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);			
		
ALTER TABLE F_TIME_TO_MARKET_RELEA_METRICS ADD CONSTRAINT F_TTMKTREL_FK3 FOREIGN KEY (PRODUCT_ID)
		REFERENCES D_PRODUCT (PRODUCT_ID);			
		
ALTER TABLE H_TIME_TO_MARKET_REL_METRICS ADD CONSTRAINT H_TTMKTREL_FK1 FOREIGN KEY (F_TIME_TO_MRKT_METRIC_ID)
		REFERENCES F_TIME_TO_MARKET_RELEA_METRICS (F_TIME_TO_MRKT_METRIC_ID) ON DELETE CASCADE;										

ALTER TABLE H_TIME_TO_MARKET_REL_METRICS ADD CONSTRAINT H_TTMKTREL_FK2 FOREIGN KEY (RELEASE_ID)
		REFERENCES D_RELEASE (RELEASE_ID) ON DELETE CASCADE;			

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK13 FOREIGN KEY (RELEASE_ID)
	REFERENCES D_RELEASE (RELEASE_ID);

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK14 FOREIGN KEY (FIXEDINRELEASE_ID)
	REFERENCES D_RELEASE (RELEASE_ID);

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK15 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK16 FOREIGN KEY (REQUEST_CLASS_ID)
	REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK17 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);
	
ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK19 FOREIGN KEY (STATUS_ID)
	REFERENCES D_REQUEST_STATUS (STATUS_ID);	

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK2 FOREIGN KEY (STATE_ID)
	REFERENCES D_REQUEST_STATE (STATE_ID);

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK21 FOREIGN KEY (REQUEST_CATEGORY_ID)
	REFERENCES D_REQUEST_CATEGORY (REQUEST_CATEGORY_ID);
	
ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK3 FOREIGN KEY (PRIORITY_ID)
	REFERENCES D_REQUEST_PRIORITY (PRIORITY_ID);

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK4 FOREIGN KEY (SEVERITY_ID)
	REFERENCES D_REQUEST_SEVERITY (SEVERITY_ID);

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK5 FOREIGN KEY (TEAM_ID)
	REFERENCES D_TEAM (TEAM_ID);

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK6 FOREIGN KEY (PLATFORM_ID)
	REFERENCES D_PLATFORM (PLATFORM_ID);

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK8 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK9 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK10 FOREIGN KEY (REQUEST_TYPE_ID)
	REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID);

ALTER TABLE F_C_REQUEST_AGING ADD CONSTRAINT F_C_REQ_AGD_FK1 FOREIGN KEY (STATE_ID)
	REFERENCES D_REQUEST_STATE (STATE_ID);

ALTER TABLE F_C_REQUEST_AGING ADD CONSTRAINT F_C_REQ_AGD_FK2 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_C_REQUEST_AGING ADD CONSTRAINT F_C_REQ_AGD_FK3 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_C_REQUEST_AGING ADD CONSTRAINT F_C_REQ_AGD_FK4 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);

ALTER TABLE F_C_REQUEST_AGING ADD CONSTRAINT F_C_REQ_AGD_FK5 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);

ALTER TABLE F_C_REQUEST_AGING ADD CONSTRAINT F_C_REQ_AGD_FK6 FOREIGN KEY (SEVERITY_ID)
	REFERENCES D_REQUEST_SEVERITY (SEVERITY_ID);

ALTER TABLE F_C_REQUEST_AGING ADD CONSTRAINT F_C_REQ_AGD_FK7 FOREIGN KEY (PRIORITY_ID)
	REFERENCES D_REQUEST_PRIORITY (PRIORITY_ID);

ALTER TABLE F_C_REQUEST_AGING ADD CONSTRAINT F_C_REQ_AGD_FK8 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);
			
ALTER TABLE F_C_REQUEST_AGING ADD CONSTRAINT F_C_REQ_AGD_FK9 FOREIGN KEY (REQUEST_CLASS_ID)
	REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);		

ALTER TABLE F_C_REQUEST_AGING ADD CONSTRAINT F_C_REQ_AGD_FK10 FOREIGN KEY (REQUEST_TYPE_ID)
	REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID);		

ALTER TABLE F_C_REQUEST_TURNAROUND ADD CONSTRAINT F_C_REQTURN_FK1 FOREIGN KEY (REQUEST_CLASS_ID)
		REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);        
		        
ALTER TABLE F_C_REQUEST_TURNAROUND ADD CONSTRAINT F_C_REQTURN_FK2 FOREIGN KEY (PROJECT_ID)      
		REFERENCES D_PROJECT (PROJECT_ID);         
		                
ALTER TABLE F_C_REQUEST_TURNAROUND ADD CONSTRAINT F_C_REQTURN_FK4 FOREIGN KEY (COMPONENT_ID)    
		REFERENCES D_COMPONENT (COMPONENT_ID); 
		                
ALTER TABLE F_C_REQUEST_TURNAROUND ADD CONSTRAINT F_C_REQTURN_FK5 FOREIGN KEY (RESOURCE_ID)     
		REFERENCES D_RESOURCE(RESOURCE_ID); 
		                
ALTER TABLE F_C_REQUEST_TURNAROUND ADD CONSTRAINT F_C_REQTURN_FK6 FOREIGN KEY (SEVERITY_ID)    
		REFERENCES D_REQUEST_SEVERITY (SEVERITY_ID); 
		                
ALTER TABLE F_C_REQUEST_TURNAROUND ADD CONSTRAINT F_C_REQTURN_FK7 FOREIGN KEY (PRIORITY_ID)     
		REFERENCES D_REQUEST_PRIORITY (PRIORITY_ID); 
		                
ALTER TABLE F_C_REQUEST_TURNAROUND ADD CONSTRAINT F_C_REQTURN_FK8 FOREIGN KEY (ITERATION_ID)    
		REFERENCES D_ITERATION (ITERATION_ID); 
		                
ALTER TABLE F_C_REQUEST_TURNAROUND ADD CONSTRAINT F_C_REQTURN_FK9 FOREIGN KEY (DATE_ID)         
		REFERENCES D_DATE (DATE_ID); 

ALTER TABLE F_C_REQUEST_TURNAROUND ADD CONSTRAINT F_C_REQTURN_FK10 FOREIGN KEY (REQUEST_TYPE_ID)         
		REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID); 		

ALTER TABLE F_C_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_C_EXERES_FK1 FOREIGN KEY (ASSETREGISTRY_ID)
	REFERENCES D_ASSETREGISTRY (ASSETREGISTRY_ID);

ALTER TABLE F_C_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_C_EXERES_FK2 FOREIGN KEY (TESTCASE_ID)
	REFERENCES D_TESTCASE (TESTCASE_ID);

ALTER TABLE F_C_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_C_EXERES_FK3 FOREIGN KEY (VERDICT_ID)
	REFERENCES D_VERDICT (VERDICT_ID);

ALTER TABLE F_C_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_C_EXERES_FK4 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_C_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_C_EXERES_FK5 FOREIGN KEY (EXECRES_CLASS_ID)
	REFERENCES D_EXECRESULT_CLASSIFICATION (EXECRES_CLASS_ID);
	
ALTER TABLE F_C_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_C_EXERES_FK6 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES D_TESTPLAN (TESTPLAN_ID);	
	
ALTER TABLE F_C_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_C_EXERES_FK7 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);		

ALTER TABLE F_C_REQUEST_FAILURE_METRICS ADD CONSTRAINT F_C_REQFL_FK1 FOREIGN KEY (RELEASE_ID)
	REFERENCES D_RELEASE (RELEASE_ID);

ALTER TABLE F_C_REQUEST_FAILURE_METRICS ADD CONSTRAINT F_C_REQFL_FK2 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);

ALTER TABLE F_C_REQUEST_FAILURE_METRICS ADD CONSTRAINT F_C_REQFL_FK3 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_C_REQUEST_FAILURE_METRICS ADD CONSTRAINT F_C_REQFL_FK5 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);

ALTER TABLE F_C_REQUEST_FAILURE_METRICS ADD CONSTRAINT F_C_REQFL_FK6 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);	

ALTER TABLE F_C_REQUIREMENT_METRICS ADD CONSTRAINT F_C_REQMET_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_C_REQUIREMENT_METRICS ADD CONSTRAINT F_C_REQMET_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_C_REQUIREMENT_METRICS ADD CONSTRAINT F_C_REQMET_FK3 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);

ALTER TABLE F_C_REQUIREMENT_METRICS ADD CONSTRAINT F_C_REQMET_FK4 FOREIGN KEY (STATE_ID)
	REFERENCES D_REQUIREMENT_STATE (STATE_ID);

ALTER TABLE F_C_REQUIREMENT_METRICS ADD CONSTRAINT F_C_REQMET_FK5 FOREIGN KEY (REQUIREMENT_CLASS_ID)
	REFERENCES D_REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID);

ALTER TABLE F_C_REQUIREMENT_METRICS ADD CONSTRAINT F_C_REQMET_FK6 FOREIGN KEY (STATUS_ID)
	REFERENCES D_STATUS (STATUS_ID);

ALTER TABLE F_C_REQUIREMENT_METRICS ADD CONSTRAINT F_C_REQMET_FK7 FOREIGN KEY (STABILITY_ID)
	REFERENCES D_STABILITY (STABILITY_ID);

ALTER TABLE F_C_REQUIREMENT_METRICS ADD CONSTRAINT F_C_REQMET_FK8 FOREIGN KEY (DIFFICULTY_ID)
	REFERENCES D_DIFFICULTY (DIFFICULTY_ID);
	
ALTER TABLE F_C_REQUIREMENT_METRICS ADD CONSTRAINT F_C_REQMET_FK11 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);	

ALTER TABLE F_C_REQUIREMENT_METRICS ADD CONSTRAINT F_C_REQMET_FK12 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);	
	
ALTER TABLE F_C_REQUIREMENT_METRICS ADD CONSTRAINT F_C_REQMET_FK13 FOREIGN KEY (PRIORITY_ID)
	REFERENCES D_PRIORITY (PRIORITY_ID);		
	
ALTER TABLE F_C_REQUIREMENT_METRICS ADD CONSTRAINT F_C_REQMET_FK14 FOREIGN KEY (REQUIREMENT_TYPE_ID)
	REFERENCES D_REQUIREMENT_TYPE (REQUIREMENT_TYPE_ID);
		
ALTER TABLE F_C_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT F_C_CFGTST_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_C_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT F_C_CFGTST_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_C_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT F_C_CFGTST_FK3 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES D_TESTPLAN (TESTPLAN_ID);

ALTER TABLE F_C_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT F_C_CFGTST_FK4 FOREIGN KEY (VERDICT_ID)
	REFERENCES D_VERDICT (VERDICT_ID);

ALTER TABLE F_C_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT F_C_CFGTST_FK5 FOREIGN KEY (EXECWORKIT_CLASS_ID)
	REFERENCES D_EXECWORKITEM_CLASSIFICATION (EXECWORKIT_CLASS_ID);
	
ALTER TABLE F_C_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT F_C_CFGTST_FK6 FOREIGN KEY (CONFIGURATION_ID)
	REFERENCES D_CONFIGURATION (CONFIGURATION_ID);	

ALTER TABLE F_C_TESTCASE_METRICS ADD CONSTRAINT F_C_TSTCASE_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_C_TESTCASE_METRICS ADD CONSTRAINT F_C_TSTCASE_FK5 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES D_TESTPLAN (TESTPLAN_ID);

ALTER TABLE F_C_TESTCASE_METRICS ADD CONSTRAINT F_C_TSTCASE_FK7 FOREIGN KEY (TESTCASE_CLASS_ID)
	REFERENCES D_TESTCASE_CLASSIFICATION (TESTCASE_CLASS_ID);		
	
ALTER TABLE F_C_TESTCASE_METRICS ADD CONSTRAINT F_C_TSTCASE_FK8 FOREIGN KEY (STATE_ID)
	REFERENCES D_TESTCASE_STATE (STATE_ID);	
	
ALTER TABLE F_C_TESTCASE_METRICS ADD CONSTRAINT F_C_TSTCASE_FK9 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);		

ALTER TABLE F_C_BUILD_METRICS ADD CONSTRAINT F_C_BUILD_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_C_BUILD_METRICS ADD CONSTRAINT F_C_BUILD_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_C_BUILD_METRICS ADD CONSTRAINT F_C_BUILD_FK5 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);

ALTER TABLE F_C_BUILD_METRICS ADD CONSTRAINT F_C_BUILD_FK7 FOREIGN KEY (BUILD_TYPE_ID)
	REFERENCES D_BUILD_TYPE (BUILD_TYPE_ID);
	
ALTER TABLE F_C_BUILD_METRICS ADD CONSTRAINT F_C_BUILD_FK8 FOREIGN KEY (BUILD_CLASS_ID)
	REFERENCES D_BUILD_CLASSIFICATION (BUILD_CLASS_ID);
	
ALTER TABLE F_C_PROJECT_PERFORM_METRICS ADD CONSTRAINT F_CPPM_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_C_PROJECT_PERFORM_METRICS ADD CONSTRAINT F_CPPM_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);
	
ALTER TABLE F_C_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_C_CHREQM_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_C_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_C_CHREQM_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_C_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_C_CHREQM_FK3 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);

ALTER TABLE F_C_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_C_CHREQM_FK4 FOREIGN KEY (RELEASE_ID)
	REFERENCES D_RELEASE (RELEASE_ID);

ALTER TABLE F_C_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_C_CHREQM_FK5 FOREIGN KEY (PARENT_REQUIREMENT_ID)
	REFERENCES D_REQUIREMENT (REQUIREMENT_ID);
	
ALTER TABLE F_C_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_C_CHREQM_FK6 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);	
	
ALTER TABLE F_C_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_C_CHREQM_FK7 FOREIGN KEY (REQUIREMENT_CLASS_ID)
	REFERENCES D_REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID);	

ALTER TABLE F_C_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_C_CHREQM_FK8 FOREIGN KEY (REQUIREMENT_TYPE_ID)  
  REFERENCES D_REQUIREMENT_TYPE (REQUIREMENT_TYPE_ID);

ALTER TABLE F_C_EXECRESPOINTS_METRICS ADD CONSTRAINT F_C_EXECPTS_FK2 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_C_EXECRESPOINTS_METRICS ADD CONSTRAINT F_C_EXECPTS_FK3 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES D_TESTPLAN (TESTPLAN_ID);	

ALTER TABLE F_C_EXECRESPOINTS_METRICS ADD CONSTRAINT F_C_EXECPTS_FK4 FOREIGN KEY (TESTCASE_ID)
	REFERENCES D_TESTCASE (TESTCASE_ID);	
	
ALTER TABLE F_C_EXECRESPOINTS_METRICS ADD CONSTRAINT F_C_EXECPTS_FK5 FOREIGN KEY (EXECRES_CLASS_ID)
	REFERENCES D_EXECRESULT_CLASSIFICATION (EXECRES_CLASS_ID);	

ALTER TABLE F_C_EXECRESPOINTS_METRICS ADD CONSTRAINT F_C_EXECPTS_FK6 FOREIGN KEY (VERDICT_ID)
	REFERENCES D_VERDICT (VERDICT_ID);
	
ALTER TABLE F_C_EXECRESPOINTS_METRICS ADD CONSTRAINT F_C_EXECPTS_FK7 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);	
	
ALTER TABLE F_C_ACTIVITY_METRICS ADD CONSTRAINT F_C_ACTM_FK1 FOREIGN KEY (ACTIVITY_CLASS_ID)
	REFERENCES D_ACTIVITY_CLASSIFICATION (ACTIVITY_CLASS_ID);
	
ALTER TABLE F_C_ACTIVITY_METRICS ADD CONSTRAINT F_C_ACTM_FK2 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);	
	
ALTER TABLE F_C_ACTIVITY_METRICS ADD CONSTRAINT F_C_ACTM_FK4 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);	

ALTER TABLE F_C_ACTIVITY_METRICS ADD CONSTRAINT F_C_ACTM_FK5 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);				

ALTER TABLE F_C_ACTIVITY_METRICS ADD CONSTRAINT F_C_ACTM_FK7 FOREIGN KEY (STATE_ID)
	REFERENCES D_ACTIVITY_STATE (STATE_ID);			
		 
ALTER TABLE F_C_ACTIVITY_METRICS ADD CONSTRAINT F_C_ACTM_FK8 FOREIGN KEY (PRIORITY_ID)
	REFERENCES D_PRIORITY (PRIORITY_ID);	
	
ALTER TABLE F_C_TASK_METRICS ADD CONSTRAINT F_C_TSKMET_FK1 FOREIGN KEY (TASK_CLASS_ID)
		REFERENCES D_TASK_CLASSIFICATION (TASK_CLASS_ID);
		
ALTER TABLE F_C_TASK_METRICS ADD CONSTRAINT F_C_TSKMET_FK2 FOREIGN KEY (DATE_ID)
		REFERENCES D_DATE (DATE_ID);		
		
ALTER TABLE F_C_TASK_METRICS ADD CONSTRAINT F_C_TSKMET_FK3 FOREIGN KEY (RESOURCE_ID)
		REFERENCES D_RESOURCE (RESOURCE_ID);			

ALTER TABLE F_C_TASK_METRICS ADD CONSTRAINT F_C_TSKMET_FK4 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);				
		
ALTER TABLE F_C_TASK_METRICS ADD CONSTRAINT F_C_TSKMET_FK6 FOREIGN KEY (STATE_ID)
		REFERENCES D_TASK_STATE (STATE_ID);			
		
ALTER TABLE F_C_TASK_METRICS ADD CONSTRAINT F_C_TSKMET_FK7 FOREIGN KEY (PRIORITY_ID)
		REFERENCES D_PRIORITY (PRIORITY_ID);							
	
ALTER TABLE F_C_TASK_METRICS ADD CONSTRAINT F_C_TSKMET_FK8 FOREIGN KEY (ITERATION_ID)
		REFERENCES D_ITERATION (ITERATION_ID);	
		
ALTER TABLE F_C_TASK_METRICS ADD CONSTRAINT F_C_TSKMET_FK9 FOREIGN KEY (TASK_TYPE_ID)
		REFERENCES D_TASK_TYPE (TASK_TYPE_ID);	

ALTER TABLE F_C_LAB_RESUTILIZATION_METRICS ADD CONSTRAINT F_C_LABRESUTL_FK1 FOREIGN KEY (RESOURCE_GROUP_ID)
		REFERENCES D_RESOURCE_GROUP (RESOURCE_GROUP_ID);
		
ALTER TABLE F_C_LAB_RESUTILIZATION_METRICS ADD CONSTRAINT F_C_LABRESUTL_FK2 FOREIGN KEY (OWNER_ID)
		REFERENCES D_RESOURCE (RESOURCE_ID);		

ALTER TABLE F_C_LAB_RESUTILIZATION_METRICS ADD CONSTRAINT F_C_LABRESUTL_FK3 FOREIGN KEY (OS_TYPE_ID)
		REFERENCES D_OS_TYPE (OS_TYPE_ID);		
		
ALTER TABLE F_C_LAB_RESUTILIZATION_METRICS ADD CONSTRAINT F_C_LABRESUTL_FK4 FOREIGN KEY (RESERVATION_DATE_ID)
		REFERENCES D_DATE (DATE_ID);	
		
ALTER TABLE F_C_LAB_RESUTILIZATION_METRICS ADD CONSTRAINT F_C_LABRESUTL_FK5 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);			

ALTER TABLE F_C_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT FCFTXTCHNGM_FK1 FOREIGN KEY (FILE_CLASS_ID)
		REFERENCES D_FILE_CLASSIFICATION (FILE_CLASS_ID);
		
ALTER TABLE F_C_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT FCFTXTCHNGM_FK2 FOREIGN KEY (DATE_ID)
		REFERENCES D_DATE (DATE_ID);	
		
ALTER TABLE F_C_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT FCFTXTCHNGM_FK3 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);			
		
ALTER TABLE F_C_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT FCFTXTCHNGM_FK4 FOREIGN KEY (TEAM_ID)
		REFERENCES D_TEAM (TEAM_ID);		
		
ALTER TABLE F_C_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT FCFTXTCHNGM_FK5 FOREIGN KEY (FILE_STREAM_ID)
		REFERENCES D_FILE_STREAM (FILE_STREAM_ID);			
		
ALTER TABLE F_C_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT FCFTXTCHNGM_FK6 FOREIGN KEY (COMPONENT_ID)
		REFERENCES D_COMPONENT (COMPONENT_ID);			

ALTER TABLE F_C_FILE_STREAM_METRICS	ADD CONSTRAINT 	FCFILESTRMET_FK1 FOREIGN KEY (DATE_ID)
		REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_C_FILE_STREAM_METRICS	ADD CONSTRAINT 	FCFILESTRMET_FK2 FOREIGN KEY (FILE_STREAM_CLASS_ID)
		REFERENCES D_FILE_STREAM_CLASSIFICATION (FILE_STREAM_CLASS_ID);

ALTER TABLE F_C_FILE_STREAM_METRICS	ADD CONSTRAINT 	FCFILESTRMET_FK3 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_C_FILE_STREAM_METRICS	ADD CONSTRAINT 	FCFILESTRMET_FK4 FOREIGN KEY (TEAM_ID)
		REFERENCES D_TEAM (TEAM_ID);

ALTER TABLE F_C_FILE_STREAM_METRICS	ADD CONSTRAINT 	FCFILESTRMET_FK5 FOREIGN KEY (FILE_STREAM_ID)
		REFERENCES D_FILE_STREAM (FILE_STREAM_ID);

ALTER TABLE F_C_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_C_RELREQ_FK1 FOREIGN KEY (DATE_ID)
		REFERENCES D_DATE (DATE_ID);
		
ALTER TABLE F_C_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_C_RELREQ_FK2 FOREIGN KEY (REQUEST_CLASS_ID)
		REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);

ALTER TABLE F_C_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_C_RELREQ_FK3 FOREIGN KEY (RELEASE_ID)
		REFERENCES D_RELEASE (RELEASE_ID);	
		
ALTER TABLE F_C_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_C_RELREQ_FK4 FOREIGN KEY (PRODUCT_ID)
		REFERENCES D_PRODUCT (PRODUCT_ID);	
		
ALTER TABLE F_C_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_C_RELREQ_FK5 FOREIGN KEY (STATE_ID)
		REFERENCES D_REQUEST_STATE (STATE_ID);			
		
ALTER TABLE F_C_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_C_RELREQ_FK6 FOREIGN KEY (SEVERITY_ID)
		REFERENCES D_REQUEST_SEVERITY (SEVERITY_ID);	
		
ALTER TABLE F_C_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_C_RELREQ_FK7 FOREIGN KEY (REQUEST_TYPE_ID)
		REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID);	
		
ALTER TABLE F_C_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_C_RELREQ_FK8 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);			

ALTER TABLE F_C_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_C_RELREQTU_FK1 FOREIGN KEY (DATE_ID)
		REFERENCES D_DATE (DATE_ID);
		
ALTER TABLE F_C_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_C_RELREQTU_FK2 FOREIGN KEY (REQUEST_CLASS_ID)
		REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);

ALTER TABLE F_C_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_C_RELREQTU_FK3 FOREIGN KEY (RELEASE_ID)
		REFERENCES D_RELEASE (RELEASE_ID);	
		
ALTER TABLE F_C_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_C_RELREQTU_FK4 FOREIGN KEY (PRODUCT_ID)
		REFERENCES D_PRODUCT (PRODUCT_ID);	
		
ALTER TABLE F_C_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_C_RELREQTU_FK5 FOREIGN KEY (STATE_ID)
		REFERENCES D_REQUEST_STATE (STATE_ID);			
		
ALTER TABLE F_C_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_C_RELREQTU_FK6 FOREIGN KEY (SEVERITY_ID)
		REFERENCES D_REQUEST_SEVERITY (SEVERITY_ID);	
		
ALTER TABLE F_C_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_C_RELREQTU_FK7 FOREIGN KEY (REQUEST_TYPE_ID)
		REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID);								

ALTER TABLE F_C_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_C_RELREQTU_FK8 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);		

ALTER TABLE D_PROJECT ADD CONSTRAINT PROJECT_FK1 FOREIGN KEY (PROGRAM_ID)
  REFERENCES D_PROGRAM (PROGRAM_ID);
  
ALTER TABLE D_COMPONENT  ADD CONSTRAINT  D_COMPONENT_FK1  FOREIGN KEY (PRODUCT_ID)
  REFERENCES D_PRODUCT(PRODUCT_ID);
  
ALTER TABLE F_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_ACTITER_MET_FK1  FOREIGN KEY (ACTIVITY_CLASS_ID)
  REFERENCES D_ACTIVITY_CLASSIFICATION(ACTIVITY_CLASS_ID);
  
ALTER TABLE F_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_ACTITER_MET_FK4  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_ACTITER_MET_FK5  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_ACTITER_MET_FK6  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_ACTITER_MET_FK7  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_ACTITER_MET_FK8  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_ACTITER_MET_FK9  FOREIGN KEY (STATE_ID)
  REFERENCES D_ACTIVITY_STATE(STATE_ID);
  
ALTER TABLE F_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_ACTREQ_MET_FK1  FOREIGN KEY (ACTIVITY_CLASS_ID)
  REFERENCES D_ACTIVITY_CLASSIFICATION(ACTIVITY_CLASS_ID);
  
ALTER TABLE F_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_ACTREQ_MET_FK4  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_ACTREQ_MET_FK5  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_ACTREQ_MET_FK6  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_ACTREQ_MET_FK7  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_ACTREQ_MET_FK8  FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_ACTREQ_MET_FK9  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_ACTREQ_MET_FK10 FOREIGN KEY (STATE_ID)
  REFERENCES D_ACTIVITY_STATE(STATE_ID);
 
ALTER TABLE F_ACT_ITER_CREATION_DT_METRICS  ADD CONSTRAINT  F_AICRDT_MET_FK2  FOREIGN KEY (ACTIVITY_CLASS_ID)
  REFERENCES D_ACTIVITY_CLASSIFICATION(ACTIVITY_CLASS_ID);
  
ALTER TABLE F_ACT_ITER_CREATION_DT_METRICS  ADD CONSTRAINT  F_AICRDT_MET_FK4  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_ACT_ITER_CREATION_DT_METRICS  ADD CONSTRAINT  F_AICRDT_MET_FK5  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_ACT_ITER_CREATION_DT_METRICS  ADD CONSTRAINT  F_AICRDT_MET_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_ACT_ITER_CREATION_DT_METRICS  ADD CONSTRAINT  F_AICRDT_MET_FK7  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_ACT_ITER_CREATION_DT_METRICS  ADD CONSTRAINT  F_AICRDT_MET_FK8  FOREIGN KEY (STATE_ID)
  REFERENCES D_ACTIVITY_STATE(STATE_ID);
 
ALTER TABLE F_ACT_REQU_CREATION_DT_METRICS  ADD CONSTRAINT  F_ARCRDT_MET_FK2  FOREIGN KEY (ACTIVITY_CLASS_ID)
  REFERENCES D_ACTIVITY_CLASSIFICATION(ACTIVITY_CLASS_ID);
  
ALTER TABLE F_ACT_REQU_CREATION_DT_METRICS  ADD CONSTRAINT  F_ARCRDT_MET_FK4  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_ACT_REQU_CREATION_DT_METRICS  ADD CONSTRAINT  F_ARCRDT_MET_FK5  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_ACT_REQU_CREATION_DT_METRICS  ADD CONSTRAINT  F_ARCRDT_MET_FK6  FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_ACT_REQU_CREATION_DT_METRICS  ADD CONSTRAINT  F_ARCRDT_MET_FK7  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_ACT_REQU_CREATION_DT_METRICS  ADD CONSTRAINT  F_ARCRDT_MET_FK8  FOREIGN KEY (STATE_ID)
  REFERENCES D_ACTIVITY_STATE(STATE_ID);
  
ALTER TABLE F_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_BLDREQUI_MET_FK1 FOREIGN KEY (BUILD_CLASS_ID)
  REFERENCES D_BUILD_CLASSIFICATION(BUILD_CLASS_ID);
  
ALTER TABLE F_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_BLDREQUI_MET_FK3 FOREIGN KEY (BUILD_TYPE_ID)
  REFERENCES D_BUILD_TYPE(BUILD_TYPE_ID);
 
ALTER TABLE F_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_BLDREQUI_MET_FK4 FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_BLDREQUI_MET_FK5 FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_BLDREQUI_MET_FK6 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_BLDREQUI_MET_FK7 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_BLDREQUI_MET_FK8 FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_BLDREQUI_MET_FK9 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_BUILD_REQU_EXEC_DT_METRICS  ADD CONSTRAINT  F_BREDT_MET_FK1 FOREIGN KEY (BUILD_CLASS_ID)
  REFERENCES D_BUILD_CLASSIFICATION(BUILD_CLASS_ID); 
 
ALTER TABLE F_BUILD_REQU_EXEC_DT_METRICS  ADD CONSTRAINT  F_BREDT_MET_FK3 FOREIGN KEY (BUILD_TYPE_ID)
  REFERENCES D_BUILD_TYPE(BUILD_TYPE_ID);
 
ALTER TABLE F_BUILD_REQU_EXEC_DT_METRICS  ADD CONSTRAINT  F_BREDT_MET_FK4 FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_BUILD_REQU_EXEC_DT_METRICS  ADD CONSTRAINT  F_BREDT_MET_FK5 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_BUILD_REQU_EXEC_DT_METRICS  ADD CONSTRAINT  F_BREDT_MET_FK6 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_BUILD_REQU_EXEC_DT_METRICS  ADD CONSTRAINT  F_BREDT_MET_FK7 FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_BUILD_REQU_EXEC_DT_METRICS  ADD CONSTRAINT  F_BREDT_MET_FK8 FOREIGN KEY (STATUS_ID)
  REFERENCES D_STATUS(STATUS_ID);
 
ALTER TABLE F_BUILD_REQU_METRICS  ADD CONSTRAINT  F_BLDREQU_MET_FK1 FOREIGN KEY (BUILD_CLASS_ID)
  REFERENCES D_BUILD_CLASSIFICATION(BUILD_CLASS_ID); 
  
ALTER TABLE F_BUILD_REQU_METRICS  ADD CONSTRAINT  F_BLDREQU_MET_FK3 FOREIGN KEY (BUILD_TYPE_ID)
  REFERENCES D_BUILD_TYPE(BUILD_TYPE_ID);
 
ALTER TABLE F_BUILD_REQU_METRICS  ADD CONSTRAINT  F_BLDREQU_MET_FK4 FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_BUILD_REQU_METRICS  ADD CONSTRAINT  F_BLDREQU_MET_FK5 FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_BUILD_REQU_METRICS  ADD CONSTRAINT  F_BLDREQU_MET_FK6 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_BUILD_REQU_METRICS  ADD CONSTRAINT  F_BLDREQU_MET_FK7 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_BUILD_REQU_METRICS  ADD CONSTRAINT  F_BLDREQU_MET_FK8 FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_C_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_CACTITER_MET_FK1  FOREIGN KEY (ACTIVITY_CLASS_ID)
  REFERENCES D_ACTIVITY_CLASSIFICATION(ACTIVITY_CLASS_ID);  
  
ALTER TABLE F_C_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_CACTITER_MET_FK4  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_CACTITER_MET_FK5  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_CACTITER_MET_FK6  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_C_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_CACTITER_MET_FK7  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_CACTITER_MET_FK8  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_C_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_CACTITER_MET_FK9  FOREIGN KEY (STATE_ID)
  REFERENCES D_ACTIVITY_STATE(STATE_ID);
 
ALTER TABLE F_C_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_C_ACTREQ_MET_FK1  FOREIGN KEY (ACTIVITY_CLASS_ID)
  REFERENCES D_ACTIVITY_CLASSIFICATION(ACTIVITY_CLASS_ID);
  
ALTER TABLE F_C_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_C_ACTREQ_MET_FK4  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_C_ACTREQ_MET_FK5  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_C_ACTREQ_MET_FK6  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_C_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_C_ACTREQ_MET_FK7  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_C_ACTREQ_MET_FK8  FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_C_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_C_ACTREQ_MET_FK9  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_C_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_CACTREQ_MET_FK10 FOREIGN KEY (STATE_ID)
  REFERENCES D_ACTIVITY_STATE(STATE_ID);
 
ALTER TABLE F_C_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_CBLDREQ_MET_FK1 FOREIGN KEY (BUILD_CLASS_ID)
  REFERENCES D_BUILD_CLASSIFICATION(BUILD_CLASS_ID);
  
ALTER TABLE F_C_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_CBLDREQ_MET_FK3 FOREIGN KEY (BUILD_TYPE_ID)
  REFERENCES D_BUILD_TYPE(BUILD_TYPE_ID);
 
ALTER TABLE F_C_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_CBLDREQ_MET_FK4 FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_CBLDREQ_MET_FK5 FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_CBLDREQ_MET_FK6 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_CBLDREQ_MET_FK7 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_CBLDREQ_MET_FK8 FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_C_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_CBLDREQ_MET_FK9 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_C_BUILD_REQU_METRICS  ADD CONSTRAINT  F_CBLDREQU_MET_FK1 FOREIGN KEY (BUILD_CLASS_ID)
  REFERENCES D_BUILD_CLASSIFICATION(BUILD_CLASS_ID);
   
ALTER TABLE F_C_BUILD_REQU_METRICS  ADD CONSTRAINT  F_CBLDREQU_MET_FK3 FOREIGN KEY (BUILD_TYPE_ID)
  REFERENCES D_BUILD_TYPE(BUILD_TYPE_ID);
 
ALTER TABLE F_C_BUILD_REQU_METRICS  ADD CONSTRAINT  F_CBLDREQU_MET_FK4 FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_BUILD_REQU_METRICS  ADD CONSTRAINT  F_CBLDREQU_MET_FK5 FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_BUILD_REQU_METRICS  ADD CONSTRAINT  F_CBLDREQU_MET_FK6 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_BUILD_REQU_METRICS  ADD CONSTRAINT  F_CBLDREQU_MET_FK7 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_BUILD_REQU_METRICS  ADD CONSTRAINT  F_CBLDREQU_MET_FK8 FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_C_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_CEPTI_MET_FK1 FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_CEPTI_MET_FK2 FOREIGN KEY (EXECRES_CLASS_ID)
  REFERENCES D_EXECRESULT_CLASSIFICATION(EXECRES_CLASS_ID); 
  
ALTER TABLE F_C_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_CEPTI_MET_FK4 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_CEPTI_MET_FK5 FOREIGN KEY (TESTCASE_ID)
  REFERENCES D_TESTCASE(TESTCASE_ID);
 
ALTER TABLE F_C_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_CEPTI_MET_FK6 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_C_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_CEPTI_MET_FK7 FOREIGN KEY (VERDICT_ID)
  REFERENCES D_VERDICT(VERDICT_ID);
  
ALTER TABLE F_C_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_CEPTI_MET_FK8 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT (PROJECT_ID);  
  
ALTER TABLE F_C_EXEC_RESULT_ITER_METRICS  ADD CONSTRAINT  F_CEREI_MET_FK1 FOREIGN KEY (ASSETREGISTRY_ID)
  REFERENCES D_ASSETREGISTRY(ASSETREGISTRY_ID);
  
ALTER TABLE F_C_EXEC_RESULT_ITER_METRICS  ADD CONSTRAINT  F_CEREI_MET_FK2 FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_EXEC_RESULT_ITER_METRICS  ADD CONSTRAINT  F_CEREI_MET_FK3 FOREIGN KEY (EXECRES_CLASS_ID)
  REFERENCES D_EXECRESULT_CLASSIFICATION(EXECRES_CLASS_ID);
   
ALTER TABLE F_C_EXEC_RESULT_ITER_METRICS  ADD CONSTRAINT  F_CEREI_MET_FK4 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_EXEC_RESULT_ITER_METRICS  ADD CONSTRAINT  F_CEREI_MET_FK5 FOREIGN KEY (TESTCASE_ID)
  REFERENCES D_TESTCASE(TESTCASE_ID);
 
ALTER TABLE F_C_EXEC_RESULT_ITER_METRICS  ADD CONSTRAINT  F_CEREI_MET_FK6 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_C_EXEC_RESULT_ITER_METRICS  ADD CONSTRAINT  F_CEREI_MET_FK7 FOREIGN KEY (VERDICT_ID)
  REFERENCES D_VERDICT(VERDICT_ID);
  
ALTER TABLE F_C_EXEC_RESULT_ITER_METRICS  ADD CONSTRAINT  F_CEREI_MET_FK8 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT (PROJECT_ID);   
  
ALTER TABLE F_C_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_CEWI_MET_FK1  FOREIGN KEY (CONFIGURATION_ID)
  REFERENCES D_CONFIGURATION(CONFIGURATION_ID);
  
ALTER TABLE F_C_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_CEWI_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_CEWI_MET_FK4  FOREIGN KEY (EXECWORKIT_CLASS_ID)
  REFERENCES D_EXECWORKITEM_CLASSIFICATION(EXECWORKIT_CLASS_ID);
  
ALTER TABLE F_C_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_CEWI_MET_FK5  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_CEWI_MET_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_CEWI_MET_FK7  FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_C_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_CEWI_MET_FK8  FOREIGN KEY (VERDICT_ID)
  REFERENCES D_VERDICT(VERDICT_ID);
  
ALTER TABLE F_C_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_CEWIR_MET_FK1 FOREIGN KEY (CONFIGURATION_ID)
  REFERENCES D_CONFIGURATION(CONFIGURATION_ID);
  
ALTER TABLE F_C_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_CEWIR_MET_FK2 FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID); 
 
ALTER TABLE F_C_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_CEWIR_MET_FK3 FOREIGN KEY (EXECWORKIT_CLASS_ID)
  REFERENCES D_EXECWORKITEM_CLASSIFICATION(EXECWORKIT_CLASS_ID);
  
ALTER TABLE F_C_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_CEWIR_MET_FK4 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_CEWIR_MET_FK5 FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_C_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_CEWIR_MET_FK6 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_C_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_CEWIR_MET_FK7 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_C_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_CEWIR_MET_FK8 FOREIGN KEY (VERDICT_ID)
  REFERENCES D_VERDICT(VERDICT_ID);
  
ALTER TABLE F_C_FILE_STREAM_METRICS  ADD CONSTRAINT  F_C_FILESTRMET_FK1 FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK4  FOREIGN KEY (PLATFORM_ID)
  REFERENCES D_PLATFORM(PLATFORM_ID);
 
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK5  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_REQUEST_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK7  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK8  FOREIGN KEY (REQUEST_CATEGORY_ID)
  REFERENCES D_REQUEST_CATEGORY(REQUEST_CATEGORY_ID);
 
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK9  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
   
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK11 FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK12 FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK13 FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_REQUEST_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK14 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUEST_STATE(STATE_ID);
  
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK20 FOREIGN KEY (STATUS_ID)
  REFERENCES D_REQUEST_STATUS(STATUS_ID);
 
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK21 FOREIGN KEY (TEAM_ID)
  REFERENCES D_TEAM(TEAM_ID);
 
ALTER TABLE F_C_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  F_CREQRQF_MET_FK1 FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  F_CREQRQF_MET_FK2 FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  F_CREQRQF_MET_FK3 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  F_CREQRQF_MET_FK4 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  F_CREQRQF_MET_FK5 FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
    
ALTER TABLE F_C_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  F_CREQRQF_MET_FK7 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK4  FOREIGN KEY (PLATFORM_ID)
  REFERENCES D_PLATFORM(PLATFORM_ID);
 
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK5  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_REQUEST_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK7  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK8  FOREIGN KEY (REQUEST_CATEGORY_ID)
  REFERENCES D_REQUEST_CATEGORY(REQUEST_CATEGORY_ID);
 
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK9  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
   
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK11 FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK12 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK13 FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK14 FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_REQUEST_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK15 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUEST_STATE(STATE_ID);
 
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK21 FOREIGN KEY (STATUS_ID)
  REFERENCES D_REQUEST_STATUS(STATUS_ID);
 
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK22 FOREIGN KEY (TEAM_ID)
  REFERENCES D_TEAM(TEAM_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_C_REQTPLN_AG_FK2  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_C_REQTPLN_AG_FK3  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_C_REQTPLN_AG_FK4  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_C_REQTPLN_AG_FK5  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_REQUEST_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_C_REQTPLN_AG_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_C_REQTPLN_AG_FK7  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_C_REQTPLN_AG_FK8  FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_C_REQTPLN_AG_FK9  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_CREQTPLN_AG_FK10 FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_REQUEST_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_CREQTPLN_AG_FK11 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUEST_STATE(STATE_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_CREQTPLN_AG_FK17 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  F_CREQTPF_MET_FK1 FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  F_CREQTPF_MET_FK2 FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  F_CREQTPF_MET_FK3 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  F_CREQTPF_MET_FK4 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  F_CREQTPF_MET_FK5 FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);  
  
ALTER TABLE F_C_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  F_CREQTPF_MET_FK7 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK4  FOREIGN KEY (PLATFORM_ID)
  REFERENCES D_PLATFORM(PLATFORM_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK5  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_REQUEST_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK7  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK8  FOREIGN KEY (REQUEST_CATEGORY_ID)
  REFERENCES D_REQUEST_CATEGORY(REQUEST_CATEGORY_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK9  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK11 FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK13 FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK14 FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_REQUEST_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK15 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUEST_STATE(STATE_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK21 FOREIGN KEY (STATUS_ID)
  REFERENCES D_REQUEST_STATUS(STATUS_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK22 FOREIGN KEY (TEAM_ID)
  REFERENCES D_TEAM(TEAM_ID);

ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK23 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_CREQTPT_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_CREQTPT_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_CREQTPT_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_CREQTPT_MET_FK4  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_REQUEST_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_CREQTPT_MET_FK5  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_CREQTPT_MET_FK6  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_CREQTPT_MET_FK7  FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_CREQTPT_MET_FK8  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_CREQTPT_MET_FK9  FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_REQUEST_SEVERITY(SEVERITY_ID);
 
 ALTER TABLE F_C_REQUEST_TPLN_TURNAROUND ADD CONSTRAINT F_CREQTPT_MET_FK10 FOREIGN KEY (TESTPLAN_ID)         
  REFERENCES D_TESTPLAN (TESTPLAN_ID);
		
ALTER TABLE F_C_REQUIREMENT_METRICS  ADD CONSTRAINT  F_C_REQU_MET_FK1 FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK3  FOREIGN KEY (DIFFICULTY_ID)
  REFERENCES D_DIFFICULTY(DIFFICULTY_ID);
 
ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK4  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK5  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK7  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK8  FOREIGN KEY (REQUIREMENT_CLASS_ID)
  REFERENCES D_REQUIREMENT_CLASSIFICATION(REQUIREMENT_CLASS_ID);
 
ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK10 FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK11 FOREIGN KEY (STABILITY_ID)
  REFERENCES D_STABILITY(STABILITY_ID);
  
ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK12 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUIREMENT_STATE(STATE_ID);
 
ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK18 FOREIGN KEY (STATUS_ID)
  REFERENCES D_STATUS(STATUS_ID);
 
ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK19 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
 ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK20 FOREIGN KEY (REQUIREMENT_TYPE_ID)  
  REFERENCES D_REQUIREMENT_TYPE (REQUIREMENT_TYPE_ID); 
  
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK3  FOREIGN KEY (DIFFICULTY_ID)
  REFERENCES D_DIFFICULTY(DIFFICULTY_ID);
 
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK4  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK5  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK7  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK8  FOREIGN KEY (REQUIREMENT_CLASS_ID)
  REFERENCES D_REQUIREMENT_CLASSIFICATION(REQUIREMENT_CLASS_ID);
   
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK10 FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK11 FOREIGN KEY (STABILITY_ID)
  REFERENCES D_STABILITY(STABILITY_ID);
  
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK12 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUIREMENT_STATE(STATE_ID);
  
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK18 FOREIGN KEY (STATUS_ID)
  REFERENCES D_STATUS(STATUS_ID);
 
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK19 FOREIGN KEY (TESTCASE_ID)
  REFERENCES D_TESTCASE(TESTCASE_ID);
  
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK20 FOREIGN KEY (REQUIREMENT_TYPE_ID)
  REFERENCES D_REQUIREMENT_TYPE (REQUIREMENT_TYPE_ID);   
 
ALTER TABLE F_C_TASK_COMP_METRICS  ADD CONSTRAINT  F_CTKCM_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_TASK_COMP_METRICS  ADD CONSTRAINT  F_CTKCM_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_TASK_COMP_METRICS  ADD CONSTRAINT  F_CTKCM_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_TASK_COMP_METRICS  ADD CONSTRAINT  F_CTKCM_MET_FK4  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_C_TASK_COMP_METRICS  ADD CONSTRAINT  F_CTKCM_MET_FK5  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_TASK_COMP_METRICS  ADD CONSTRAINT  F_CTKCM_MET_FK6  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_C_TASK_COMP_METRICS  ADD CONSTRAINT  F_CTKCM_MET_FK7  FOREIGN KEY (STATE_ID)
  REFERENCES D_TASK_STATE(STATE_ID);
 
ALTER TABLE F_C_TASK_COMP_METRICS  ADD CONSTRAINT  F_CTKCM_MET_FK13 FOREIGN KEY (TASK_CLASS_ID)
  REFERENCES D_TASK_CLASSIFICATION(TASK_CLASS_ID);
   
ALTER TABLE F_C_TASK_COMP_METRICS  ADD CONSTRAINT  F_CTKCM_MET_FK15 FOREIGN KEY (TASK_TYPE_ID)
  REFERENCES D_TASK_TYPE(TASK_TYPE_ID);
  
ALTER TABLE F_C_TESTCASE_ITER_METRICS  ADD CONSTRAINT  F_CTSI_MET_FK1  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_TESTCASE_ITER_METRICS  ADD CONSTRAINT  F_CTSI_MET_FK2  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_TESTCASE_ITER_METRICS  ADD CONSTRAINT  F_CTSI_MET_FK3  FOREIGN KEY (STATE_ID)
  REFERENCES D_TESTCASE_STATE(STATE_ID);
 
ALTER TABLE F_C_TESTCASE_ITER_METRICS  ADD CONSTRAINT  F_CTSI_MET_FK9  FOREIGN KEY (TESTCASE_CLASS_ID)
  REFERENCES D_TESTCASE_CLASSIFICATION(TESTCASE_CLASS_ID);
  
ALTER TABLE F_C_TESTCASE_ITER_METRICS  ADD CONSTRAINT  F_CTSI_MET_FK10 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
  
ALTER TABLE F_C_TESTCASE_ITER_METRICS  ADD CONSTRAINT  F_CTSI_MET_FK11 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT (PROJECT_ID);  
 
ALTER TABLE F_C_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  F_CTPJR_MET_FK1  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  F_CTPJR_MET_FK2  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  F_CTPJR_MET_FK3  FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_C_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  F_CTPJR_MET_FK4  FOREIGN KEY (STATE_ID)
  REFERENCES D_TESTCASE_STATE(STATE_ID);
 
ALTER TABLE F_C_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  F_CTPJR_MET_FK10 FOREIGN KEY (TESTCASE_CLASS_ID)
  REFERENCES D_TESTCASE_CLASSIFICATION(TESTCASE_CLASS_ID);
  
ALTER TABLE F_C_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  F_CTPJR_MET_FK11 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_C_TEXT_FILE_VERSION_METRICS  ADD CONSTRAINT  F_CTXFV_MET_FK1  FOREIGN KEY (ACTIVITY_ID)
  REFERENCES D_ACTIVITY(ACTIVITY_ID);
 
ALTER TABLE F_C_TEXT_FILE_VERSION_METRICS  ADD CONSTRAINT  F_CTXFV_MET_FK2  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_TEXT_FILE_VERSION_METRICS  ADD CONSTRAINT  F_CTXFV_MET_FK3  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
  
ALTER TABLE F_C_TEXT_FILE_VERSION_METRICS  ADD CONSTRAINT  F_CTXFV_MET_FK5  FOREIGN KEY (FILE_CLASS_ID)
  REFERENCES D_FILE_CLASSIFICATION(FILE_CLASS_ID);
  
ALTER TABLE F_C_TEXT_FILE_VERSION_METRICS  ADD CONSTRAINT  F_CTXFV_MET_FK6  FOREIGN KEY (FILE_ID)
  REFERENCES D_FILE(FILE_ID);
 
ALTER TABLE F_C_TEXT_FILE_VERSION_METRICS  ADD CONSTRAINT  F_CTXFV_MET_FK7  FOREIGN KEY (FILE_STREAM_ID)
  REFERENCES D_FILE_STREAM(FILE_STREAM_ID);
  
ALTER TABLE F_C_TEXT_FILE_VERSION_METRICS  ADD CONSTRAINT  F_CTXFV_MET_FK8  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_TEXT_FILE_VERSION_METRICS  ADD CONSTRAINT  F_CTXFV_MET_FK9  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
  
ALTER TABLE F_C_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_CTXFVR_MET_FK1  FOREIGN KEY (ACTIVITY_ID)
  REFERENCES D_ACTIVITY(ACTIVITY_ID);
 
ALTER TABLE F_C_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_CTXFVR_MET_FK2  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_CTXFVR_MET_FK3  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
  
ALTER TABLE F_C_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_CTXFVR_MET_FK5  FOREIGN KEY (FILE_CLASS_ID)
  REFERENCES D_FILE_CLASSIFICATION(FILE_CLASS_ID);
  
ALTER TABLE F_C_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_CTXFVR_MET_FK6  FOREIGN KEY (FILE_ID)
  REFERENCES D_FILE(FILE_ID);
 
ALTER TABLE F_C_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_CTXFVR_MET_FK7  FOREIGN KEY (FILE_STREAM_ID)
  REFERENCES D_FILE_STREAM(FILE_STREAM_ID);
  
ALTER TABLE F_C_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_CTXFVR_MET_FK8  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_CTXFVR_MET_FK9  FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID);
  
ALTER TABLE F_C_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_CTXFVR_MET_FK10 FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
 ALTER TABLE F_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_EXPI_MET_FK1  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_EXPI_MET_FK2  FOREIGN KEY (EXECRES_CLASS_ID)
  REFERENCES D_EXECRESULT_CLASSIFICATION(EXECRES_CLASS_ID);
   
ALTER TABLE F_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_EXPI_MET_FK4  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_EXPI_MET_FK5  FOREIGN KEY (TESTCASE_ID)
  REFERENCES D_TESTCASE(TESTCASE_ID);
 
ALTER TABLE F_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_EXPI_MET_FK6  FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_EXPI_MET_FK7  FOREIGN KEY (VERDICT_ID)
  REFERENCES D_VERDICT(VERDICT_ID);
  
ALTER TABLE F_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_EXPI_MET_FK8  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT (PROJECT_ID);  
  
ALTER TABLE F_EXECUTION_RES_ITER_METRICS  ADD CONSTRAINT  F_ERI_MET_FK1  FOREIGN KEY (ASSETREGISTRY_ID)
  REFERENCES D_ASSETREGISTRY(ASSETREGISTRY_ID);
  
ALTER TABLE F_EXECUTION_RES_ITER_METRICS  ADD CONSTRAINT  F_ERI_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_EXECUTION_RES_ITER_METRICS  ADD CONSTRAINT  F_ERI_MET_FK3 FOREIGN KEY (EXECRES_CLASS_ID)
  REFERENCES D_EXECRESULT_CLASSIFICATION(EXECRES_CLASS_ID);
  
ALTER TABLE F_EXECUTION_RES_ITER_METRICS  ADD CONSTRAINT  F_ERI_MET_FK4 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_EXECUTION_RES_ITER_METRICS  ADD CONSTRAINT  F_ERI_MET_FK5 FOREIGN KEY (TESTCASE_ID)
  REFERENCES D_TESTCASE(TESTCASE_ID);
 
ALTER TABLE F_EXECUTION_RES_ITER_METRICS  ADD CONSTRAINT  F_ERI_MET_FK6 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_EXECUTION_RES_ITER_METRICS  ADD CONSTRAINT  F_ERI_MET_FK7 FOREIGN KEY (VERDICT_ID)
  REFERENCES D_VERDICT(VERDICT_ID);
  
ALTER TABLE F_EXECUTION_RES_ITER_METRICS  ADD CONSTRAINT  F_ERI_MET_FK8 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT (PROJECT_ID);  
  
ALTER TABLE F_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_EWI_MET_FK1 FOREIGN KEY (CONFIGURATION_ID)
  REFERENCES D_CONFIGURATION(CONFIGURATION_ID);
  
ALTER TABLE F_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_EWI_MET_FK2 FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID); 
 
ALTER TABLE F_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_EWI_MET_FK3 FOREIGN KEY (EXECWORKIT_CLASS_ID)
  REFERENCES D_EXECWORKITEM_CLASSIFICATION(EXECWORKIT_CLASS_ID);
  
ALTER TABLE F_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_EWI_MET_FK4 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_EWI_MET_FK5 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_EWI_MET_FK6 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_EWI_MET_FK7 FOREIGN KEY (VERDICT_ID)
  REFERENCES D_VERDICT(VERDICT_ID);
  
ALTER TABLE F_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_EWR_MET_FK1 FOREIGN KEY (CONFIGURATION_ID)
  REFERENCES D_CONFIGURATION(CONFIGURATION_ID);
  
ALTER TABLE F_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_EWR_MET_FK2 FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
  
ALTER TABLE F_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_EWR_MET_FK3 FOREIGN KEY (EXECWORKIT_CLASS_ID)
  REFERENCES D_EXECWORKITEM_CLASSIFICATION(EXECWORKIT_CLASS_ID);
  
ALTER TABLE F_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_EWR_MET_FK4 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_EWR_MET_FK5 FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_EWR_MET_FK6 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_EWR_MET_FK7 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_EWR_MET_FK8 FOREIGN KEY (VERDICT_ID)
  REFERENCES D_VERDICT(VERDICT_ID);
  
ALTER TABLE F_FILE_STREAM_METRICS  ADD CONSTRAINT  F_FSTR_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUEST_CLOSURE_DATE_METRICS  ADD CONSTRAINT  F_RCLDT_MET_FK1 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK4  FOREIGN KEY (PLATFORM_ID)
  REFERENCES D_PLATFORM(PLATFORM_ID);
 
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK5  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_REQUEST_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK7  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK8  FOREIGN KEY (REQUEST_CATEGORY_ID)
  REFERENCES D_REQUEST_CATEGORY(REQUEST_CATEGORY_ID);
 
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK9  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
   
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK11 FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK12 FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK13 FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_REQUEST_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK14 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUEST_STATE(STATE_ID);
 
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK20 FOREIGN KEY (STATUS_ID)
  REFERENCES D_REQUEST_STATUS(STATUS_ID);
 
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK21 FOREIGN KEY (TEAM_ID)
  REFERENCES D_TEAM(TEAM_ID);
 
ALTER TABLE F_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  F_RQRUF_MET_FK1 FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  F_RQRUF_MET_FK2 FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  F_RQRUF_MET_FK3 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  F_RQRUF_MET_FK4 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  F_RQRUF_MET_FK5 FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  F_RQRUF_MET_FK7 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_REQREQUI_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_REQREQUI_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_REQREQUI_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_REQREQUI_MET_FK4  FOREIGN KEY (PLATFORM_ID)
  REFERENCES D_PLATFORM(PLATFORM_ID);
 
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_REQREQUI_MET_FK5  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_REQUEST_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_REQREQUI_MET_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_REQREQUI_MET_FK7  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_REQREQUI_MET_FK8  FOREIGN KEY (REQUEST_CATEGORY_ID)
  REFERENCES D_REQUEST_CATEGORY(REQUEST_CATEGORY_ID);
 
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_REQREQUI_MET_FK9  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
  
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_RRUI_MET_FK11 FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_RRUI_MET_FK12 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_RRUI_MET_FK13 FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_RRUI_MET_FK14 FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_REQUEST_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_RRUI_MET_FK15 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUEST_STATE(STATE_ID);
 
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_RRUI_MET_FK21 FOREIGN KEY (STATUS_ID)
  REFERENCES D_REQUEST_STATUS(STATUS_ID);
 
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_RRUI_MET_FK22 FOREIGN KEY (TEAM_ID)
  REFERENCES D_TEAM(TEAM_ID);
 
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK2  FOREIGN KEY (CUSTOMER_PRIORITY_ID)
  REFERENCES D_CUSTOMER_PRIORITY(CUSTOMER_PRIORITY_ID);
  
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK4  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_REQUEST_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK5  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK6  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
   
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK8  FOREIGN KEY (REQUEST_CATEGORY_ID)
  REFERENCES D_REQUEST_CATEGORY(REQUEST_CATEGORY_ID);
 
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK9  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
 
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK10 FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK11 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK12 FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_REQUEST_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK13 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUEST_STATE(STATE_ID);
 
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK19 FOREIGN KEY (STATUS_ID)
  REFERENCES D_REQUEST_STATUS(STATUS_ID);
 
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK20 FOREIGN KEY (TEAM_ID)
  REFERENCES D_TEAM(TEAM_ID);
 
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK2  FOREIGN KEY (CUSTOMER_PRIORITY_ID)
  REFERENCES D_CUSTOMER_PRIORITY(CUSTOMER_PRIORITY_ID);
  
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK4  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_REQUEST_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK5  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK6  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
    
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK8  FOREIGN KEY (REQUEST_CATEGORY_ID)
  REFERENCES D_REQUEST_CATEGORY(REQUEST_CATEGORY_ID);
 
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK9  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
 
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK10 FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK11 FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_REQUEST_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK12 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUEST_STATE(STATE_ID);
 
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK18 FOREIGN KEY (STATUS_ID)
  REFERENCES D_REQUEST_STATUS(STATUS_ID);
 
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK19 FOREIGN KEY (TEAM_ID)
  REFERENCES D_TEAM(TEAM_ID);
 
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK20 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_REQTPLN_AG_FK2  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_REQTPLN_AG_FK3  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_REQTPLN_AG_FK4  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_REQTPLN_AG_FK5  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_REQUEST_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_REQTPLN_AG_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_REQTPLN_AG_FK7  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
 
ALTER TABLE F_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_REQTPLN_AG_FK8  FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_REQTPLN_AG_FK9  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_REQTPLN_AG_FK10 FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_REQUEST_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_REQTPLN_AG_FK11 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUEST_STATE(STATE_ID);
  
ALTER TABLE F_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_REQTPLN_AG_FK17 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  F_RPLF_MET_FK1 FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  F_RPLF_MET_FK2 FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  F_RPLF_MET_FK3 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  F_RPLF_MET_FK4 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  F_RPLF_MET_FK5 FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
    
ALTER TABLE F_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  F_RPLF_MET_FK7 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK4  FOREIGN KEY (PLATFORM_ID)
  REFERENCES D_PLATFORM(PLATFORM_ID);
 
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK5  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_REQUEST_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK7  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK8  FOREIGN KEY (REQUEST_CATEGORY_ID)
  REFERENCES D_REQUEST_CATEGORY(REQUEST_CATEGORY_ID);
 
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK9  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
  
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK11 FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK12 FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK13 FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_REQUEST_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK14 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUEST_STATE(STATE_ID);
 
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK20 FOREIGN KEY (STATUS_ID)
  REFERENCES D_REQUEST_STATUS(STATUS_ID);
 
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK21 FOREIGN KEY (TEAM_ID)
  REFERENCES D_TEAM(TEAM_ID);
 
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK22 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_RQTPT_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_RQTPT_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_RQTPT_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_RQTPT_FK4  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_REQUEST_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_RQTPT_FK5  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_RQTPT_FK6  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
 
ALTER TABLE F_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_RQTPT_FK7  FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_RQTPT_FK8  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_RQTPT_FK9  FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_REQUEST_SEVERITY(SEVERITY_ID);
  
ALTER TABLE F_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_REQTU_FK1 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_REQUE_CLOSE_REQUI_DT_METRICS  ADD CONSTRAINT  F_RCRDT_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUE_CLOSE_REQUI_DT_METRICS  ADD CONSTRAINT  F_RCRDT_MET_FK2  FOREIGN KEY (CUSTOMER_PRIORITY_ID)
  REFERENCES D_CUSTOMER_PRIORITY(CUSTOMER_PRIORITY_ID);
  
ALTER TABLE F_REQUE_CLOSE_REQUI_DT_METRICS  ADD CONSTRAINT  F_RCRDT_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUE_CLOSE_REQUI_DT_METRICS  ADD CONSTRAINT  F_RCRDT_MET_FK4  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQUE_CLOSE_REQUI_DT_METRICS  ADD CONSTRAINT  F_RCRDT_MET_FK5  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_REQUE_CLOSE_REQUI_DT_METRICS  ADD CONSTRAINT  F_RCRDT_MET_FK7  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
 
ALTER TABLE F_REQUE_CLOSE_REQUI_DT_METRICS  ADD CONSTRAINT  F_RCRDT_MET_FK8  FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_REQUE_CLOSE_REQUI_DT_METRICS  ADD CONSTRAINT  F_RCRDT_MET_FK9  FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_REQUE_CLOSE_REQUI_DT_METRICS  ADD CONSTRAINT  F_RCRDT_MET_FK10 FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_REQUEST_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_REQUE_CLOSE_REQUI_DT_METRICS  ADD CONSTRAINT  F_RCRDT_MET_FK11 FOREIGN KEY (STATUS_ID)
  REFERENCES D_REQUEST_STATUS(STATUS_ID);
 
ALTER TABLE F_REQUE_CLOSE_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCTD_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUE_CLOSE_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCTD_MET_FK2  FOREIGN KEY (CUSTOMER_PRIORITY_ID)
  REFERENCES D_CUSTOMER_PRIORITY(CUSTOMER_PRIORITY_ID);
  
ALTER TABLE F_REQUE_CLOSE_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCTD_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUE_CLOSE_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCTD_MET_FK4  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQUE_CLOSE_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCTD_MET_FK5  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);  
 
ALTER TABLE F_REQUE_CLOSE_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCTD_MET_FK7  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
 
ALTER TABLE F_REQUE_CLOSE_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCTD_MET_FK8  FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_REQUE_CLOSE_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCTD_MET_FK9  FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_REQUEST_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_REQUE_CLOSE_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCTD_MET_FK10 FOREIGN KEY (STATUS_ID)
  REFERENCES D_REQUEST_STATUS(STATUS_ID);
 
ALTER TABLE F_REQUE_CLOSE_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCTD_MET_FK11 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_REQUIREMENT_METRICS  ADD CONSTRAINT  F_REQ_MET_FK1 FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RTPLN_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RQTP_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RQTP_MET_FK3  FOREIGN KEY (DIFFICULTY_ID)
  REFERENCES D_DIFFICULTY(DIFFICULTY_ID);
 
ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RQTP_MET_FK4  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RQTP_MET_FK5  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RQTP_MET_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RQTP_MET_FK7  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RQTP_MET_FK8  FOREIGN KEY (REQUIREMENT_CLASS_ID)
  REFERENCES D_REQUIREMENT_CLASSIFICATION(REQUIREMENT_CLASS_ID);
 
ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RTPLN_MET_FK10 FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RTPLN_MET_FK11 FOREIGN KEY (STABILITY_ID)
  REFERENCES D_STABILITY(STABILITY_ID);
  
ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RTPLN_MET_FK12 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUIREMENT_STATE(STATE_ID);
 
ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RTPLN_MET_FK18 FOREIGN KEY (STATUS_ID)
  REFERENCES D_STATUS(STATUS_ID);
 
ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RTPLN_MET_FK19 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);

ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RTPLN_MET_FK20 FOREIGN KEY (REQUIREMENT_TYPE_ID)  
  REFERENCES D_REQUIREMENT_TYPE (REQUIREMENT_TYPE_ID);    
 
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK3  FOREIGN KEY (DIFFICULTY_ID)
  REFERENCES D_DIFFICULTY(DIFFICULTY_ID);
 
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK4  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK5  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK7  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK8  FOREIGN KEY (REQUIREMENT_CLASS_ID)
  REFERENCES D_REQUIREMENT_CLASSIFICATION(REQUIREMENT_CLASS_ID);
  
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK10 FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK11 FOREIGN KEY (STABILITY_ID)
  REFERENCES D_STABILITY(STABILITY_ID);
  
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK12 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUIREMENT_STATE(STATE_ID);
 
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK18 FOREIGN KEY (STATUS_ID)
  REFERENCES D_STATUS(STATUS_ID);
 
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK19 FOREIGN KEY (TESTCASE_ID)
  REFERENCES D_TESTCASE(TESTCASE_ID);
  
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK20 FOREIGN KEY (REQUIREMENT_TYPE_ID)
  REFERENCES D_REQUIREMENT_TYPE (REQUIREMENT_TYPE_ID);  
 
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK2  FOREIGN KEY (CUSTOMER_PRIORITY_ID)
  REFERENCES D_CUSTOMER_PRIORITY(CUSTOMER_PRIORITY_ID);
  
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK3  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_REQUEST_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK4  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK5  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);  
  
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK7  FOREIGN KEY (REQUEST_CATEGORY_ID)
  REFERENCES D_REQUEST_CATEGORY(REQUEST_CATEGORY_ID);
 
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK8  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
 
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK9  FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK10 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK11 FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_REQUEST_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK12 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUEST_STATE(STATE_ID);
 
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK18 FOREIGN KEY (STATUS_ID)
  REFERENCES D_REQUEST_STATUS(STATUS_ID);
 
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK19 FOREIGN KEY (TEAM_ID)
  REFERENCES D_TEAM(TEAM_ID);
  
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK20 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);  
   
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK2  FOREIGN KEY (CUSTOMER_PRIORITY_ID)
  REFERENCES D_CUSTOMER_PRIORITY(CUSTOMER_PRIORITY_ID);
  
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK4  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_REQUEST_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK5  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK6  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);  
  
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK8  FOREIGN KEY (REQUEST_CATEGORY_ID)
  REFERENCES D_REQUEST_CATEGORY(REQUEST_CATEGORY_ID);
 
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK9  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
 
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK10 FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK11 FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_REQUEST_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK12 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUEST_STATE(STATE_ID);
 
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK18 FOREIGN KEY (STATUS_ID)
  REFERENCES D_REQUEST_STATUS(STATUS_ID);
 
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK19 FOREIGN KEY (TEAM_ID)
  REFERENCES D_TEAM(TEAM_ID);
 
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK20 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_TASK_CLOSE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCCMD_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_TASK_CLOSE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCCMD_MET_FK2  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_TASK_CLOSE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCCMD_MET_FK3  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_TASK_CLOSE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCCMD_MET_FK4  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_TASK_CLOSE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCCMD_MET_FK5  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_TASK_CLOSE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCCMD_MET_FK6  FOREIGN KEY (STATE_ID)
  REFERENCES D_TASK_STATE(STATE_ID); 
  
ALTER TABLE F_TASK_CLOSE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCCMD_MET_FK13 FOREIGN KEY (TASK_CLASS_ID)
  REFERENCES D_TASK_CLASSIFICATION(TASK_CLASS_ID);
  
ALTER TABLE F_TASK_CLOSE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCCMD_MET_FK14 FOREIGN KEY (TASK_TYPE_ID)
  REFERENCES D_TASK_TYPE(TASK_TYPE_ID);
  
ALTER TABLE F_TASK_COMP_METRICS  ADD CONSTRAINT  F_TKC_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_TASK_COMP_METRICS  ADD CONSTRAINT  F_TKC_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_TASK_COMP_METRICS  ADD CONSTRAINT  F_TKC_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_TASK_COMP_METRICS  ADD CONSTRAINT  F_TKC_MET_FK4  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_TASK_COMP_METRICS  ADD CONSTRAINT  F_TKC_MET_FK5  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_TASK_COMP_METRICS  ADD CONSTRAINT  F_TKC_MET_FK6  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_TASK_COMP_METRICS  ADD CONSTRAINT  F_TKC_MET_FK7  FOREIGN KEY (STATE_ID)
  REFERENCES D_TASK_STATE(STATE_ID);
 
ALTER TABLE F_TASK_COMP_METRICS  ADD CONSTRAINT  F_TKC_MET_FK13 FOREIGN KEY (TASK_CLASS_ID)
  REFERENCES D_TASK_CLASSIFICATION(TASK_CLASS_ID); 
 
ALTER TABLE F_TASK_COMP_METRICS  ADD CONSTRAINT  F_TKC_MET_FK15 FOREIGN KEY (TASK_TYPE_ID)
  REFERENCES D_TASK_TYPE(TASK_TYPE_ID);
  
ALTER TABLE F_TASK_CREATE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCRCMD_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_TASK_CREATE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCRCMD_MET_FK2  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_TASK_CREATE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCRCMD_MET_FK3  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_TASK_CREATE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCRCMD_MET_FK4  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_TASK_CREATE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCRCMD_MET_FK5  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_TASK_CREATE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCRCMD_MET_FK6  FOREIGN KEY (STATE_ID)
  REFERENCES D_TASK_STATE(STATE_ID);
 
ALTER TABLE F_TASK_CREATE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCRCMD_MET_FK13 FOREIGN KEY (TASK_CLASS_ID)
  REFERENCES D_TASK_CLASSIFICATION(TASK_CLASS_ID);
  
ALTER TABLE F_TASK_CREATE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCRCMD_MET_FK14 FOREIGN KEY (TASK_TYPE_ID)
  REFERENCES D_TASK_TYPE(TASK_TYPE_ID);
  
ALTER TABLE F_TESTCASE_ITER_METRICS  ADD CONSTRAINT  F_TESTITER_MET_FK1  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_TESTCASE_ITER_METRICS  ADD CONSTRAINT  F_TESTITER_MET_FK2  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_TESTCASE_ITER_METRICS  ADD CONSTRAINT  F_TESTITER_MET_FK3  FOREIGN KEY (STATE_ID)
  REFERENCES D_TESTCASE_STATE(STATE_ID);
 
ALTER TABLE F_TESTCASE_ITER_METRICS  ADD CONSTRAINT  F_TESTITER_MET_FK9  FOREIGN KEY (TESTCASE_CLASS_ID)
  REFERENCES D_TESTCASE_CLASSIFICATION(TESTCASE_CLASS_ID);
  
ALTER TABLE F_TESTCASE_ITER_METRICS  ADD CONSTRAINT  F_TSIT_MET_FK10 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
  
ALTER TABLE F_TESTCASE_ITER_METRICS  ADD CONSTRAINT  F_TSIT_MET_FK11 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT (PROJECT_ID);  
  
ALTER TABLE F_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  F_TPJR_MET_FK1  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  F_TPJR_MET_FK2  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  F_TPJR_MET_FK3  FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  F_TPJR_MET_FK4  FOREIGN KEY (STATE_ID)
  REFERENCES D_TESTCASE_STATE(STATE_ID);
 
ALTER TABLE F_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  F_TPJR_MET_FK10 FOREIGN KEY (TESTCASE_CLASS_ID)
  REFERENCES D_TESTCASE_CLASSIFICATION(TESTCASE_CLASS_ID);
  
ALTER TABLE F_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  F_TPJR_MET_FK11 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
  
ALTER TABLE F_TEXT_FILE_VERSION_DT_METRICS  ADD CONSTRAINT  F_TFVD_MET_FK1  FOREIGN KEY (ACTIVITY_ID)
  REFERENCES D_ACTIVITY(ACTIVITY_ID);
 
ALTER TABLE F_TEXT_FILE_VERSION_DT_METRICS  ADD CONSTRAINT  F_TFVD_MET_FK2  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_TEXT_FILE_VERSION_DT_METRICS  ADD CONSTRAINT  F_TFVD_MET_FK3  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
  
ALTER TABLE F_TEXT_FILE_VERSION_DT_METRICS  ADD CONSTRAINT  F_TFVD_MET_FK5  FOREIGN KEY (FILE_CLASS_ID)
  REFERENCES D_FILE_CLASSIFICATION(FILE_CLASS_ID);
  
ALTER TABLE F_TEXT_FILE_VERSION_DT_METRICS  ADD CONSTRAINT  F_TFVD_MET_FK6  FOREIGN KEY (FILE_ID)
  REFERENCES D_FILE(FILE_ID);
 
ALTER TABLE F_TEXT_FILE_VERSION_DT_METRICS  ADD CONSTRAINT  F_TFVD_MET_FK7  FOREIGN KEY (FILE_STREAM_ID)
  REFERENCES D_FILE_STREAM(FILE_STREAM_ID);
  
ALTER TABLE F_TEXT_FILE_VERSION_DT_METRICS  ADD CONSTRAINT  F_TFVD_MET_FK8  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_TEXT_FILE_VERSION_DT_METRICS  ADD CONSTRAINT  F_TFVD_MET_FK9  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
   
ALTER TABLE F_TEXT_FILE_VERSION_METRICS  ADD CONSTRAINT  F_TFV_MET_FK1 FOREIGN KEY (ACTIVITY_ID)
  REFERENCES D_ACTIVITY(ACTIVITY_ID);
 
ALTER TABLE F_TEXT_FILE_VERSREQ_DT_METRICS  ADD CONSTRAINT  F_TFVRD_MET_FK1  FOREIGN KEY (ACTIVITY_ID)
  REFERENCES D_ACTIVITY(ACTIVITY_ID);
 
ALTER TABLE F_TEXT_FILE_VERSREQ_DT_METRICS  ADD CONSTRAINT  F_TFVRD_MET_FK2  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_TEXT_FILE_VERSREQ_DT_METRICS  ADD CONSTRAINT  F_TFVRD_MET_FK3  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
  
ALTER TABLE F_TEXT_FILE_VERSREQ_DT_METRICS  ADD CONSTRAINT  F_TFVRD_MET_FK5  FOREIGN KEY (FILE_CLASS_ID)
  REFERENCES D_FILE_CLASSIFICATION(FILE_CLASS_ID);
  
ALTER TABLE F_TEXT_FILE_VERSREQ_DT_METRICS  ADD CONSTRAINT  F_TFVRD_MET_FK6  FOREIGN KEY (FILE_ID)
  REFERENCES D_FILE(FILE_ID);
 
ALTER TABLE F_TEXT_FILE_VERSREQ_DT_METRICS  ADD CONSTRAINT  F_TFVRD_MET_FK7  FOREIGN KEY (FILE_STREAM_ID)
  REFERENCES D_FILE_STREAM(FILE_STREAM_ID);
  
ALTER TABLE F_TEXT_FILE_VERSREQ_DT_METRICS  ADD CONSTRAINT  F_TFVRD_MET_FK8  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_TEXT_FILE_VERSREQ_DT_METRICS  ADD CONSTRAINT  F_TFVRD_MET_FK9  FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID);
  
ALTER TABLE F_TEXT_FILE_VERSREQ_DT_METRICS  ADD CONSTRAINT  F_TFVRD_MET_FK10 FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
   
ALTER TABLE F_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_TXFVR_MET_FK1  FOREIGN KEY (ACTIVITY_ID)
  REFERENCES D_ACTIVITY(ACTIVITY_ID);
 
ALTER TABLE F_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_TXFVR_MET_FK2  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_TXFVR_MET_FK3  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
  
ALTER TABLE F_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_TXFVR_MET_FK5  FOREIGN KEY (FILE_CLASS_ID)
  REFERENCES D_FILE_CLASSIFICATION(FILE_CLASS_ID);
  
ALTER TABLE F_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_TXFVR_MET_FK6  FOREIGN KEY (FILE_ID)
  REFERENCES D_FILE(FILE_ID);
 
ALTER TABLE F_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_TXFVR_MET_FK7  FOREIGN KEY (FILE_STREAM_ID)
  REFERENCES D_FILE_STREAM(FILE_STREAM_ID);
  
ALTER TABLE F_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_TXFVR_MET_FK8  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_TXFVR_MET_FK9  FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID);
  
ALTER TABLE F_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_TXFVR_MET_FK10 FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
  
ALTER TABLE F_ACTIVITY_COMP_METRICS ADD CONSTRAINT F_ACTCMPM_FK1 FOREIGN KEY (ACTIVITY_CLASS_ID)
	REFERENCES D_ACTIVITY_CLASSIFICATION (ACTIVITY_CLASS_ID);
	
ALTER TABLE F_ACTIVITY_COMP_METRICS ADD CONSTRAINT F_ACTCMPM_FK2 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);	
	
ALTER TABLE F_ACTIVITY_COMP_METRICS ADD CONSTRAINT F_ACTCMPM_FK4 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);	

ALTER TABLE F_ACTIVITY_COMP_METRICS ADD CONSTRAINT F_ACTCMPM_FK5 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);			

ALTER TABLE F_ACTIVITY_COMP_METRICS ADD CONSTRAINT F_ACTCMPM_FK7 FOREIGN KEY (STATE_ID)
	REFERENCES D_ACTIVITY_STATE (STATE_ID);			
		 
ALTER TABLE F_ACTIVITY_COMP_METRICS ADD CONSTRAINT F_ACTCMPM_FK8 FOREIGN KEY (PRIORITY_ID)
	REFERENCES D_PRIORITY (PRIORITY_ID);	 
	
ALTER TABLE F_ACTIVITY_COMP_METRICS ADD CONSTRAINT F_ACTCMPM_FK9 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);	

ALTER TABLE F_C_ACTIVITY_COMP_METRICS ADD CONSTRAINT F_C_ACTCMPM_FK1 FOREIGN KEY (ACTIVITY_CLASS_ID)
	REFERENCES D_ACTIVITY_CLASSIFICATION (ACTIVITY_CLASS_ID);
	
ALTER TABLE F_C_ACTIVITY_COMP_METRICS ADD CONSTRAINT F_C_ACTCMPM_FK2 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);	
	
ALTER TABLE F_C_ACTIVITY_COMP_METRICS ADD CONSTRAINT F_C_ACTCMPM_FK4 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);	

ALTER TABLE F_C_ACTIVITY_COMP_METRICS ADD CONSTRAINT F_C_ACTCMPM_FK5 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);			

ALTER TABLE F_C_ACTIVITY_COMP_METRICS ADD CONSTRAINT F_C_ACTCMPM_FK7 FOREIGN KEY (STATE_ID)
	REFERENCES D_ACTIVITY_STATE (STATE_ID);			
		 
ALTER TABLE F_C_ACTIVITY_COMP_METRICS ADD CONSTRAINT F_C_ACTCMPM_FK8 FOREIGN KEY (PRIORITY_ID)
	REFERENCES D_PRIORITY (PRIORITY_ID);	 
	
ALTER TABLE F_C_ACTIVITY_COMP_METRICS ADD CONSTRAINT F_C_ACTCMPM_FK9 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);	

ALTER TABLE F_ACT_COM_CREATION_DT_METRICS ADD CONSTRAINT	F_ACTCOMCRDM_FK1 FOREIGN KEY (ACTIVITY_CLASS_ID)
		REFERENCES D_ACTIVITY_CLASSIFICATION (ACTIVITY_CLASS_ID);	
		
ALTER TABLE F_ACT_COM_CREATION_DT_METRICS ADD CONSTRAINT	F_ACTCOMCRDM_FK2 FOREIGN KEY (STATE_ID)
		REFERENCES D_ACTIVITY_STATE (STATE_ID);	
		
ALTER TABLE F_ACT_COM_CREATION_DT_METRICS ADD CONSTRAINT	F_ACTCOMCRDM_FK3 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);	
		
ALTER TABLE F_ACT_COM_CREATION_DT_METRICS ADD CONSTRAINT	F_ACTCOMCRDM_FK5 FOREIGN KEY (RESOURCE_ID)
		REFERENCES D_RESOURCE (RESOURCE_ID);	
		
ALTER TABLE F_ACT_COM_CREATION_DT_METRICS ADD CONSTRAINT	F_ACTCOMCRDM_FK6 FOREIGN KEY (PRIORITY_ID)
		REFERENCES D_PRIORITY (PRIORITY_ID);		
		
ALTER TABLE F_ACT_COM_CREATION_DT_METRICS ADD CONSTRAINT	F_ACTCOMCRDM_FK7 FOREIGN KEY (COMPONENT_ID)
		REFERENCES D_COMPONENT (COMPONENT_ID);						
		  
 ALTER TABLE H_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  H_ACT_ITER_MET_FK1 FOREIGN KEY (ACTIVITY_ID)
  REFERENCES D_ACTIVITY(ACTIVITY_ID) ON DELETE CASCADE; 
 
ALTER TABLE H_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  H_ACT_ITER_MET_FK2 FOREIGN KEY (ACTIVITY_METRICS_ID)
  REFERENCES F_ACTIVITY_ITER_METRICS(ACTIVITY_METRICS_ID) ON DELETE CASCADE;
 
ALTER TABLE H_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  H_ACT_REQ_MET_FK1 FOREIGN KEY (ACTIVITY_ID)
  REFERENCES D_ACTIVITY(ACTIVITY_ID) ON DELETE CASCADE;
 
ALTER TABLE H_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  H_ACT_REQ_MET_FK2 FOREIGN KEY (ACTIVITY_METRICS_ID)
  REFERENCES F_ACTIVITY_REQ_METRICS(ACTIVITY_METRICS_ID) ON DELETE CASCADE;
 
ALTER TABLE H_ACT_ITER_CREATION_DT_METRICS  ADD CONSTRAINT  H_AICRD_MET_FK1 FOREIGN KEY (ACTIVITYCRD_METRICS_ID)
  REFERENCES F_ACT_ITER_CREATION_DT_METRICS(ACTIVITYCRD_METRICS_ID) ON DELETE CASCADE;
 
ALTER TABLE H_ACT_ITER_CREATION_DT_METRICS  ADD CONSTRAINT  H_AICRD_MET_FK2 FOREIGN KEY (ACTIVITY_ID)
  REFERENCES D_ACTIVITY(ACTIVITY_ID) ON DELETE CASCADE;
 
ALTER TABLE H_ACT_REQUI_CREAT_DT_METRICS  ADD CONSTRAINT  H_ARCRD_MET_FK1 FOREIGN KEY (ACTIVITYCRD_METRICS_ID)
  REFERENCES F_ACT_REQU_CREATION_DT_METRICS(ACTIVITYCRD_METRICS_ID) ON DELETE CASCADE;
 
ALTER TABLE H_ACT_REQUI_CREAT_DT_METRICS  ADD CONSTRAINT  H_ARCRD_MET_FK2 FOREIGN KEY (ACTIVITY_ID)
  REFERENCES D_ACTIVITY(ACTIVITY_ID) ON DELETE CASCADE;
   
ALTER TABLE H_BUILD_REQUI_ATTEMPTS  ADD CONSTRAINT  H_BRRQA_FK2 FOREIGN KEY (BUILD_METRIC_ID)
  REFERENCES F_BUILD_REQUI_METRICS (BUILD_METRIC_ID) ON DELETE CASCADE;  

ALTER TABLE H_BUILD_REQUI_ATTEMPTS  ADD CONSTRAINT  H_BRQA_FK1 FOREIGN KEY (BUILD_ID)
  REFERENCES D_BUILD(BUILD_ID) ON DELETE CASCADE;
  
ALTER TABLE H_BUILD_REQUI_FAIL  ADD CONSTRAINT  H_BRQF_FK1 FOREIGN KEY (BUILD_ID)
  REFERENCES D_BUILD(BUILD_ID) ON DELETE CASCADE;
  
ALTER TABLE H_BUILD_REQUI_FAIL  ADD CONSTRAINT  H_BRQF_FK2 FOREIGN KEY (BUILD_METRIC_ID)
  REFERENCES F_BUILD_REQUI_METRICS(BUILD_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_BUILD_REQUI_PASS  ADD CONSTRAINT  H_BRQP_FK1 FOREIGN KEY (BUILD_ID)
  REFERENCES D_BUILD(BUILD_ID) ON DELETE CASCADE;
  
ALTER TABLE H_BUILD_REQUI_PASS  ADD CONSTRAINT  H_BRQP_FK2 FOREIGN KEY (BUILD_METRIC_ID)
  REFERENCES F_BUILD_REQUI_METRICS(BUILD_METRIC_ID) ON DELETE CASCADE;  
  
ALTER TABLE H_BUILD_REQU_ATTEMPTS  ADD CONSTRAINT  H_BRQUA_FK1 FOREIGN KEY (BUILD_ID)
  REFERENCES D_BUILD(BUILD_ID) ON DELETE CASCADE;
  
ALTER TABLE H_BUILD_REQU_ATTEMPTS  ADD CONSTRAINT  H_BRQUA_FK2 FOREIGN KEY (BUILD_METRIC_ID)
  REFERENCES F_BUILD_REQU_METRICS(BUILD_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_BUILD_REQU_EXEC_DT_MET_TOT  ADD CONSTRAINT  H_BREDT_MET_FK1 FOREIGN KEY (BUILD_EXEC_METRIC_ID)
  REFERENCES F_BUILD_REQU_EXEC_DT_METRICS(BUILD_EXEC_METRIC_ID) ON DELETE CASCADE;
 
ALTER TABLE H_BUILD_REQU_EXEC_DT_MET_TOT  ADD CONSTRAINT  H_BREDT_MET_FK2 FOREIGN KEY (BUILD_ID)
  REFERENCES D_BUILD(BUILD_ID) ON DELETE CASCADE;
    
ALTER TABLE H_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  H_EXPI_MET_FK1 FOREIGN KEY (EXECRES_METRIC_ID)
  REFERENCES F_EXECRESPOINTS_ITER_METRICS(EXECRES_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  H_EXPI_MET_FK2 FOREIGN KEY (EXECUTION_RESULT_ID)
  REFERENCES D_EXECUTION_RESULT(EXECUTION_RESULT_ID) ON DELETE CASCADE;
 
ALTER TABLE H_EXECUTION_RES_ITER_METRICS  ADD CONSTRAINT  H_ERI_MET_FK1 FOREIGN KEY (EXECUTION_RESULT_ID)
  REFERENCES D_EXECUTION_RESULT(EXECUTION_RESULT_ID) ON DELETE CASCADE;
 
ALTER TABLE H_EXECUTION_RES_ITER_METRICS  ADD CONSTRAINT  H_ERI_MET_FK2 FOREIGN KEY (EXERES_METRICS_ID)
  REFERENCES F_EXECUTION_RES_ITER_METRICS(EXERES_METRICS_ID) ON DELETE CASCADE; 
 
ALTER TABLE H_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  HEWI_MET_FK1 FOREIGN KEY (EXECWORKITEM_ID)
  REFERENCES D_EXECUTION_WORKITEM(EXECWORKITEM_ID) ON DELETE CASCADE;
 
ALTER TABLE H_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  HEWI_MET_FK2 FOREIGN KEY (EXECWORKITEM_METRIC_ID)
  REFERENCES F_EXEC_WORKITEM_ITER_METRICS(EXECWORKITEM_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  HEWR_MET_FK1 FOREIGN KEY (EXECWORKITEM_ID)
  REFERENCES D_EXECUTION_WORKITEM(EXECWORKITEM_ID) ON DELETE CASCADE;
 
ALTER TABLE H_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  HEWR_MET_FK2 FOREIGN KEY (EXECWORKITEM_METRIC_ID)
  REFERENCES F_EXEC_WORKITEM_REQU_METRICS(EXECWORKITEM_METRIC_ID) ON DELETE CASCADE;
 
ALTER TABLE H_REQUEST_AGING_TPLN_MAX  ADD CONSTRAINT  H_RAT_MX_FK1 FOREIGN KEY (AGING_METRIC_ID)
  REFERENCES F_REQUEST_TPLN_AGING(AGING_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_AGING_TPLN_MAX  ADD CONSTRAINT  H_RAT_MX_FK2 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
    
ALTER TABLE H_REQUEST_AGING_TPLN_MIN  ADD CONSTRAINT  H_RAT_MI_FK1 FOREIGN KEY (AGING_METRIC_ID)
  REFERENCES F_REQUEST_TPLN_AGING(AGING_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_AGING_TPLN_MIN  ADD CONSTRAINT  H_RAT_MI_FK2 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_AGING_TPLN_TOTAL  ADD CONSTRAINT  H_RAT_TO_FK1 FOREIGN KEY (AGING_METRIC_ID)
  REFERENCES F_REQUEST_TPLN_AGING(AGING_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_AGING_TPLN_TOTAL  ADD CONSTRAINT  H_RAT_TO_FK2 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE; 
  
ALTER TABLE H_REQUEST_CUST_METRICS_BLOCK  ADD CONSTRAINT  H_RCMBL_FK1 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_CUST_METRICS_BLOCK  ADD CONSTRAINT  H_RCBL_MET_FK2 FOREIGN KEY (REQUEST_METRIC_ID)
  REFERENCES F_REQUEST_CUST_METRICS(REQUEST_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_CUST_METRICS_TOTAL  ADD CONSTRAINT  H_RCTO_MET_FK1 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_CUST_METRICS_TOTAL  ADD CONSTRAINT  H_RCTO_MET_FK2 FOREIGN KEY (REQUEST_METRIC_ID)
  REFERENCES F_REQUEST_CUST_METRICS(REQUEST_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  H_RRF_MET_FK1 FOREIGN KEY (REQFAIL_METRIC_ID)
  REFERENCES F_REQUEST_REQUI_FAIL_METRICS(REQFAIL_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  H_RRF_MET_FK2 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE; 
  
ALTER TABLE H_REQUEST_REQUI_METRICS_BLOCK  ADD CONSTRAINT  H_RRIBL_MET_FK1 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_REQUI_METRICS_BLOCK  ADD CONSTRAINT  H_RRIBL_MET_FK2 FOREIGN KEY (REQUEST_METRIC_ID)
  REFERENCES F_REQUEST_REQUI_METRICS(REQUEST_METRIC_ID) ON DELETE CASCADE;
    
ALTER TABLE H_REQUEST_REQUI_METRICS_TOTAL  ADD CONSTRAINT  H_RRITO_MET_FK1 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_REQUI_METRICS_TOTAL  ADD CONSTRAINT  H_RRITO_MET_FK2 FOREIGN KEY (REQUEST_METRIC_ID)
  REFERENCES F_REQUEST_REQUI_METRICS(REQUEST_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  H_RRRQD_MET_FK1 FOREIGN KEY (REQDT_METRIC_ID)
  REFERENCES F_REQUEST_RES_REQUI_DT_METRICS(REQDT_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  H_RRRQD_MET_FK2 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  H_RRETD_MET_FK1 FOREIGN KEY (REQDT_METRIC_ID)
  REFERENCES F_REQUEST_RES_TPLN_DT_METRICS(REQDT_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  H_RRETD_MET_FK2 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  H_RTF_MET_FK1 FOREIGN KEY (REQFAIL_METRIC_ID)
  REFERENCES F_REQUEST_TPLN_FAIL_METRICS(REQFAIL_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  H_RTF_MET_FK2 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE; 
  
ALTER TABLE H_REQUEST_TPLN_METRICS_BLOCK  ADD CONSTRAINT  H_RQTPB_MET_FK1 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_TPLN_METRICS_BLOCK  ADD CONSTRAINT  H_RQTPB_MET_FK2 FOREIGN KEY (REQUEST_METRIC_ID)
  REFERENCES F_REQUEST_TPLN_METRICS(REQUEST_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_TPLN_METRICS_TOTAL  ADD CONSTRAINT  H_RQTPT_MET_FK1 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_TPLN_METRICS_TOTAL  ADD CONSTRAINT  H_RQTPT_MET_FK2 FOREIGN KEY (REQUEST_METRIC_ID)
  REFERENCES F_REQUEST_TPLN_METRICS(REQUEST_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_TPLN_TURNAROUND_MAX  ADD CONSTRAINT  H_RQTPT_MAX_FK1 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_TPLN_TURNAROUND_MAX  ADD CONSTRAINT  H_RQTPT_MAX_FK2 FOREIGN KEY (TURNAROUND_METRIC_ID)
  REFERENCES F_REQUEST_TPLN_TURNAROUND(TURNAROUND_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_TPLN_TURNAROUND_MIN  ADD CONSTRAINT  H_RQTPT_MIN_FK1 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_TPLN_TURNAROUND_MIN  ADD CONSTRAINT  H_RQTPT_MIN_FK2 FOREIGN KEY (TURNAROUND_METRIC_ID)
  REFERENCES F_REQUEST_TPLN_TURNAROUND(TURNAROUND_METRIC_ID) ON DELETE CASCADE;
 
ALTER TABLE H_REQUEST_TPLN_TURNAROUND_TOT  ADD CONSTRAINT  H_RQTPT_TOT_FK1 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_TPLN_TURNAROUND_TOT  ADD CONSTRAINT  H_RQTPT_TOT_FK2 FOREIGN KEY (TURNAROUND_METRIC_ID)
  REFERENCES F_REQUEST_TPLN_TURNAROUND(TURNAROUND_METRIC_ID) ON DELETE CASCADE;
 
ALTER TABLE H_REQUE_CLOSE_REQUI_DT_METRICS  ADD CONSTRAINT  H_RCRUD_MET_FK1 FOREIGN KEY (REQCDT_METRIC_ID)
  REFERENCES F_REQUE_CLOSE_REQUI_DT_METRICS(REQCDT_METRIC_ID) ON DELETE CASCADE;
 
ALTER TABLE H_REQUE_CLOSE_REQUI_DT_METRICS  ADD CONSTRAINT  H_RCRUD_MET_FK2 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUE_CLOSE_TPLN_DT_METRICS  ADD CONSTRAINT  H_RCTPD_MET_FK1 FOREIGN KEY (REQCDT_METRIC_ID)
  REFERENCES F_REQUE_CLOSE_TPLN_DT_METRICS(REQCDT_METRIC_ID) ON DELETE CASCADE;
 
ALTER TABLE H_REQUE_CLOSE_TPLN_DT_METRICS  ADD CONSTRAINT  H_RCTPD_MET_FK2 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE; 
  
ALTER TABLE H_REQUI_TCASE_METRICS_CHANGES  ADD CONSTRAINT  H_RTCCH_MET_FK1 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUI_TCASE_METRICS_CHANGES  ADD CONSTRAINT  H_RTCCH_MET_FK2 FOREIGN KEY (REQ_METRIC_ID)
  REFERENCES F_REQUI_TCASE_METRICS(REQ_METRIC_ID) ON DELETE CASCADE;
    
ALTER TABLE H_REQUI_TCASE_METRICS_TOTAL  ADD CONSTRAINT  H_RTCT_MET_FK1 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUI_TCASE_METRICS_TOTAL  ADD CONSTRAINT  H_RTCT_MET_FK2 FOREIGN KEY (REQ_METRIC_ID)
  REFERENCES F_REQUI_TCASE_METRICS(REQ_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUI_TPLN_METRICS_CHANGES  ADD CONSTRAINT  H_RTPCH_MET_FK1 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUI_TPLN_METRICS_CHANGES  ADD CONSTRAINT  H_RTPCH_MET_FK2 FOREIGN KEY (REQ_METRIC_ID)
  REFERENCES F_REQUIREMENT_TPLN_METRICS(REQ_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUI_TPLN_METRICS_TOTAL  ADD CONSTRAINT  H_RTPTO_MET_FK1 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUI_TPLN_METRICS_TOTAL  ADD CONSTRAINT  H_RTPTO_MET_FK2 FOREIGN KEY (REQ_METRIC_ID)
  REFERENCES F_REQUIREMENT_TPLN_METRICS(REQ_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  H_RCRD_MET_FK1 FOREIGN KEY (REQDT_METRIC_ID)
  REFERENCES F_REQU_CREATI_REQUI_DT_METRICS(REQDT_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  H_RCRD_MET_FK2 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  H_RCTTPD_MET_FK1 FOREIGN KEY (REQDT_METRIC_ID)
  REFERENCES F_REQU_CREATI_TPLN_DT_METRICS(REQDT_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  H_RCTTPD_MET_FK2 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_TASK_CLOSE_COMP_DT_METRICS  ADD CONSTRAINT  H_TCCMD_MET_FK1 FOREIGN KEY (TASKCLS_METRICS_ID)
  REFERENCES F_TASK_CLOSE_COMP_DT_METRICS(TASKCLS_METRICS_ID) ON DELETE CASCADE;
  
ALTER TABLE H_TASK_CLOSE_COMP_DT_METRICS  ADD CONSTRAINT  H_TCCMD_MET_FK2 FOREIGN KEY (TASK_ID)
  REFERENCES D_TASK(TASK_ID) ON DELETE CASCADE; 
 
ALTER TABLE H_TASK_COMP_METRICS  ADD CONSTRAINT  H_TKC_MET_FK1 FOREIGN KEY (TASK_ID)
  REFERENCES D_TASK(TASK_ID) ON DELETE CASCADE;
 
ALTER TABLE H_TASK_COMP_METRICS  ADD CONSTRAINT  H_TKC_MET_FK2 FOREIGN KEY (TASK_METRICS_ID)
  REFERENCES F_TASK_COMP_METRICS(TASK_METRICS_ID) ON DELETE CASCADE;
 
ALTER TABLE H_TASK_CREATE_COMP_DT_METRICS  ADD CONSTRAINT  H_TCRCMD_MET_FK1 FOREIGN KEY (TASKCRD_METRICS_ID)
  REFERENCES F_TASK_CREATE_COMP_DT_METRICS(TASKCRD_METRICS_ID) ON DELETE CASCADE;
 
ALTER TABLE H_TASK_CREATE_COMP_DT_METRICS  ADD CONSTRAINT  H_TCRCMD_MET_FK2 FOREIGN KEY (TASK_ID)
  REFERENCES D_TASK(TASK_ID) ON DELETE CASCADE;
 
ALTER TABLE H_TESTCASE_ITER_METRICS  ADD CONSTRAINT  H_TCI_MET_FK1 FOREIGN KEY (TESTCASE_ID)
  REFERENCES D_TESTCASE(TESTCASE_ID) ON DELETE CASCADE;
 
ALTER TABLE H_TESTCASE_ITER_METRICS  ADD CONSTRAINT  H_TCI_MET_FK2 FOREIGN KEY (TSTCASE_METRIC_ID)
  REFERENCES F_TESTCASE_ITER_METRICS(TSTCASE_METRIC_ID) ON DELETE CASCADE;
 
ALTER TABLE H_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  H_TPJR_MET_FK1 FOREIGN KEY (TESTCASE_ID)
  REFERENCES D_TESTCASE(TESTCASE_ID) ON DELETE CASCADE;
 
ALTER TABLE H_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  H_TPJR_MET_FK2 FOREIGN KEY (TSTCASE_METRIC_ID)
  REFERENCES F_TESTCASE_REQUI_METRICS(TSTCASE_METRIC_ID) ON DELETE CASCADE; 
 
ALTER TABLE H_TEXT_FILE_VERS_DT_METRICS_CH  ADD CONSTRAINT  H_TXFVDCH_MET_FK1 FOREIGN KEY (FILE_VERSION_ID)
  REFERENCES D_FILE_VERSION(FILE_VERSION_ID) ON DELETE CASCADE;
 
ALTER TABLE H_TEXT_FILE_VERS_DT_METRICS_CH  ADD CONSTRAINT  H_TXFVDCH_MET_FK2 FOREIGN KEY (SLOC_METRICS_ID)
  REFERENCES F_TEXT_FILE_VERSION_DT_METRICS(SLOC_METRICS_ID) ON DELETE CASCADE;
  
ALTER TABLE H_TEXT_FILE_VERS_DT_METRICS_TO  ADD CONSTRAINT  H_TXFVDTO_MET_FK1 FOREIGN KEY (FILE_VERSION_ID)
  REFERENCES D_FILE_VERSION(FILE_VERSION_ID) ON DELETE CASCADE;
 
ALTER TABLE H_TEXT_FILE_VERS_DT_METRICS_TO  ADD CONSTRAINT  H_TXFVDTO_MET_FK2 FOREIGN KEY (SLOC_METRICS_ID)
  REFERENCES F_TEXT_FILE_VERSION_DT_METRICS(SLOC_METRICS_ID) ON DELETE CASCADE;   
  
ALTER TABLE H_TEXT_FILE_VER_REQ_METRICS_CH  ADD CONSTRAINT  H_TXFVRCH_MET_FK1 FOREIGN KEY (FILE_VERSION_ID)
  REFERENCES D_FILE_VERSION(FILE_VERSION_ID) ON DELETE CASCADE;
 
ALTER TABLE H_TEXT_FILE_VER_REQ_METRICS_CH  ADD CONSTRAINT  H_TXFVRCH_MET_FK2 FOREIGN KEY (SLOC_METRICS_ID)
  REFERENCES F_TEXT_FILE_VER_REQU_METRICS(SLOC_METRICS_ID) ON DELETE CASCADE;
    
ALTER TABLE H_TEXT_FILE_VER_REQ_METRICS_TO  ADD CONSTRAINT  H_TXFVRTO_MET_FK1 FOREIGN KEY (FILE_VERSION_ID)
  REFERENCES D_FILE_VERSION(FILE_VERSION_ID) ON DELETE CASCADE;
 
ALTER TABLE H_TEXT_FILE_VER_REQ_METRICS_TO  ADD CONSTRAINT  H_TXFVRTO_MET_FK2 FOREIGN KEY (SLOC_METRICS_ID)
  REFERENCES F_TEXT_FILE_VER_REQU_METRICS(SLOC_METRICS_ID) ON DELETE CASCADE;
    
ALTER TABLE H_TXT_FILE_VERSREQ_DT_METR_CH  ADD CONSTRAINT  H_TXFVRDC_MET_FK1 FOREIGN KEY (FILE_VERSION_ID)
  REFERENCES D_FILE_VERSION(FILE_VERSION_ID) ON DELETE CASCADE;
 
ALTER TABLE H_TXT_FILE_VERSREQ_DT_METR_CH  ADD CONSTRAINT  H_TXFVRDC_MET_FK2 FOREIGN KEY (SLOC_METRICS_ID)
  REFERENCES F_TEXT_FILE_VERSREQ_DT_METRICS(SLOC_METRICS_ID) ON DELETE CASCADE;
    
ALTER TABLE H_TXT_FILE_VERSREQ_DT_METR_TO  ADD CONSTRAINT  H_TXFVRDT_MET_FK1 FOREIGN KEY (FILE_VERSION_ID)
  REFERENCES D_FILE_VERSION(FILE_VERSION_ID) ON DELETE CASCADE;
 
ALTER TABLE H_TXT_FILE_VERSREQ_DT_METR_TO  ADD CONSTRAINT  H_TXFVRDT_MET_FK2 FOREIGN KEY (SLOC_METRICS_ID)
  REFERENCES F_TEXT_FILE_VERSREQ_DT_METRICS(SLOC_METRICS_ID) ON DELETE CASCADE;
 
ALTER TABLE  H_ACTIVITY_COMP_METRICS ADD CONSTRAINT H_ACTCOMPM_FK1 FOREIGN KEY (ACTIVITY_METRICS_ID)
		REFERENCES F_ACTIVITY_COMP_METRICS (ACTIVITY_METRICS_ID) ON DELETE CASCADE;
		
ALTER TABLE  H_ACTIVITY_COMP_METRICS ADD CONSTRAINT H_ACTCOMPM_FK2 FOREIGN KEY (ACTIVITY_ID)
		REFERENCES D_ACTIVITY (ACTIVITY_ID) ON DELETE CASCADE;	
		
 ALTER TABLE H_ACT_COM_CREATION_DT_METRICS ADD CONSTRAINT	H_ACTCOMCRDM_FK1 FOREIGN KEY (ACTIVITYCRD_METRICS_ID)
		REFERENCES F_ACT_COM_CREATION_DT_METRICS (ACTIVITYCRD_METRICS_ID)  ON DELETE CASCADE;	
		
ALTER TABLE H_ACT_COM_CREATION_DT_METRICS ADD CONSTRAINT	H_ACTCOMCRDM_FK2 FOREIGN KEY (ACTIVITY_ID)
		REFERENCES D_ACTIVITY (ACTIVITY_ID) ON DELETE CASCADE;	

ALTER TABLE F_TEXT_FILE_VER_BSLN_METRICS ADD CONSTRAINT F_TFVBSLN_FK1 FOREIGN KEY (FILE_ID)
	REFERENCES D_FILE (FILE_ID);
	
ALTER TABLE F_TEXT_FILE_VER_BSLN_METRICS ADD CONSTRAINT F_TFVBSLN_FK2 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);	
	
ALTER TABLE F_TEXT_FILE_VER_BSLN_METRICS ADD CONSTRAINT F_TFVBSLN_FK3 FOREIGN KEY (FILE_STREAM_ID)
	REFERENCES D_FILE_STREAM (FILE_STREAM_ID);	
	
ALTER TABLE F_TEXT_FILE_VER_BSLN_METRICS ADD CONSTRAINT F_TFVBSLN_FK4 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);	
	
ALTER TABLE F_TEXT_FILE_VER_BSLN_METRICS ADD CONSTRAINT F_TFVBSLN_FK6 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);	
	
ALTER TABLE F_TEXT_FILE_VER_BSLN_METRICS ADD CONSTRAINT F_TFVBSLN_FK7 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);			

ALTER TABLE F_TEXT_FILE_VER_BSLN_METRICS ADD CONSTRAINT F_TFVBSLN_FK10 FOREIGN KEY (FILE_CLASS_ID)
	REFERENCES D_FILE_CLASSIFICATION (FILE_CLASS_ID);

ALTER TABLE F_TEXT_FILE_VER_BSLN_METRICS ADD CONSTRAINT F_TFVBSLN_FK11 FOREIGN KEY (FILE_BASELINE_ID)
	REFERENCES D_FILE_BASELINE (FILE_BASELINE_ID);	

ALTER TABLE F_C_TEXT_FILE_VERBSLN_METRICS  ADD CONSTRAINT  F_CTXFVBSLN_FK1  FOREIGN KEY (ACTIVITY_ID)
  REFERENCES D_ACTIVITY(ACTIVITY_ID);
 
ALTER TABLE F_C_TEXT_FILE_VERBSLN_METRICS  ADD CONSTRAINT  F_CTXFVBSLN_FK2  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_TEXT_FILE_VERBSLN_METRICS  ADD CONSTRAINT  F_CTXFVBSLN_FK3  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
  
ALTER TABLE F_C_TEXT_FILE_VERBSLN_METRICS  ADD CONSTRAINT  F_CTXFVBSLN_FK5  FOREIGN KEY (FILE_CLASS_ID)
  REFERENCES D_FILE_CLASSIFICATION(FILE_CLASS_ID);
  
ALTER TABLE F_C_TEXT_FILE_VERBSLN_METRICS  ADD CONSTRAINT  F_CTXFVBSLN_FK6  FOREIGN KEY (FILE_ID)
  REFERENCES D_FILE(FILE_ID);
 
ALTER TABLE F_C_TEXT_FILE_VERBSLN_METRICS  ADD CONSTRAINT  F_CTXFVBSLN_FK7  FOREIGN KEY (FILE_STREAM_ID)
  REFERENCES D_FILE_STREAM(FILE_STREAM_ID);
  
ALTER TABLE F_C_TEXT_FILE_VERBSLN_METRICS  ADD CONSTRAINT  F_CTXFVBSLN_FK8  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_TEXT_FILE_VERBSLN_METRICS  ADD CONSTRAINT  F_CTXFVBSLN_FK9  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
  
ALTER TABLE F_C_TEXT_FILE_VERBSLN_METRICS  ADD CONSTRAINT  F_CTXFVBSLN_FK10  FOREIGN KEY (FILE_BASELINE_ID)
  REFERENCES D_FILE_BASELINE (FILE_BASELINE_ID);  
	
ALTER TABLE H_TEXT_FILE_VERBSLN_METRICS_CH ADD CONSTRAINT H_TFVBSLNCH_FK1 FOREIGN KEY (SLOC_METRICS_ID)
	REFERENCES F_TEXT_FILE_VER_BSLN_METRICS (SLOC_METRICS_ID) ON DELETE CASCADE;
	
ALTER TABLE H_TEXT_FILE_VERBSLN_METRICS_CH ADD CONSTRAINT H_TFVBSLNCH_FK2 FOREIGN KEY (FILE_VERSION_ID)
	REFERENCES D_FILE_VERSION (FILE_VERSION_ID) ON DELETE CASCADE;	
		
ALTER TABLE H_TEXT_FILE_VERBSLN_METRICS_TO ADD CONSTRAINT H_TFVBSLNT_FK1 FOREIGN KEY (SLOC_METRICS_ID)
	REFERENCES F_TEXT_FILE_VER_BSLN_METRICS (SLOC_METRICS_ID) ON DELETE CASCADE;
	
ALTER TABLE H_TEXT_FILE_VERBSLN_METRICS_TO ADD CONSTRAINT H_TFVBSLNT_FK2 FOREIGN KEY (FILE_VERSION_ID)
	REFERENCES D_FILE_VERSION (FILE_VERSION_ID) ON DELETE CASCADE;	

ALTER TABLE F_MISSING_TIMESHEET_METRICS ADD CONSTRAINT F_MISSTIMSH_FK1 FOREIGN KEY (WEEK_ID)
	REFERENCES D_DATE (DATE_ID);
		
ALTER TABLE F_MISSING_TIMESHEET_METRICS ADD CONSTRAINT F_MISSTIMSH_FK3 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);				
		
ALTER TABLE F_MISSING_TIMESHEET_METRICS ADD CONSTRAINT F_MISSTIMSH_FK4 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);				

ALTER TABLE F_MISSING_TIMESHEET_METRICS ADD CONSTRAINT F_MISSTIMSH_FK5 FOREIGN KEY (CHARGECODE_ID)
	REFERENCES D_CHARGECODE (CHARGECODE_ID);

ALTER TABLE F_MISSING_TIMESHEET_METRICS ADD CONSTRAINT F_MISSTIMSH_FK6 FOREIGN KEY (POOL_ID)
	REFERENCES D_POOL (POOL_ID);
		
ALTER TABLE F_MISSING_TIMESHEET_METRICS ADD CONSTRAINT F_MISSTIMSH_FK7 FOREIGN KEY (CITY_ID)
	REFERENCES D_CITY (CITY_ID);
	
ALTER TABLE F_MISSING_TIMESHEET_METRICS ADD CONSTRAINT F_MISSTIMSH_FK8 FOREIGN KEY (ORGANIZATION_ID)
	REFERENCES D_ORGANIZATION (ORGANIZATION_ID);
	
ALTER TABLE H_MISSING_TIMESHEET_METRICS ADD CONSTRAINT H_MISSTIMSH_FK1 FOREIGN KEY (TIMESHEET_METRICS_ID)
	REFERENCES F_MISSING_TIMESHEET_METRICS (TIMESHEET_METRICS_ID) ON DELETE CASCADE;
		
ALTER TABLE H_MISSING_TIMESHEET_METRICS ADD CONSTRAINT H_MISSTIMSH_FK2 FOREIGN KEY (ACTIVITY_ID)
	REFERENCES D_ACTIVITY (ACTIVITY_ID) ON DELETE CASCADE;
	
ALTER TABLE F_TIMESHEET_METRICS ADD CONSTRAINT F_TIMESH_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_TIMESHEET_METRICS ADD CONSTRAINT F_TIMESH_FK2 FOREIGN KEY (STATE_ID)
	REFERENCES D_TIMESHEET_STATE (STATE_ID);
		
ALTER TABLE F_TIMESHEET_METRICS ADD CONSTRAINT F_TIMESH_FK3 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);				
		
ALTER TABLE F_TIMESHEET_METRICS ADD CONSTRAINT F_TIMESH_FK4 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);				
			
ALTER TABLE F_TIMESHEET_METRICS ADD CONSTRAINT F_TIMESH_FK5 FOREIGN KEY (CHARGECODE_ID)
	REFERENCES D_CHARGECODE (CHARGECODE_ID);
	
ALTER TABLE F_TIMESHEET_METRICS ADD CONSTRAINT F_TIMESH_FK6 FOREIGN KEY (POOL_ID)
	REFERENCES D_POOL (POOL_ID);
	
ALTER TABLE F_TIMESHEET_METRICS ADD CONSTRAINT F_TIMESH_FK7 FOREIGN KEY (CITY_ID)
	REFERENCES D_CITY (CITY_ID);

ALTER TABLE F_TIMESHEET_METRICS ADD CONSTRAINT F_TIMESH_FK8 FOREIGN KEY (ORGANIZATION_ID)
	REFERENCES D_ORGANIZATION (ORGANIZATION_ID);	
				
ALTER TABLE H_TIMESHEET_METRICS ADD CONSTRAINT H_TIMESH_FK1 FOREIGN KEY (TIMESHEET_METRICS_ID)
	REFERENCES F_TIMESHEET_METRICS (TIMESHEET_METRICS_ID) ON DELETE CASCADE;
		
ALTER TABLE H_TIMESHEET_METRICS ADD CONSTRAINT H_TIMESH_FK2 FOREIGN KEY (ACTIVITY_ID)
	REFERENCES D_ACTIVITY (ACTIVITY_ID) ON DELETE CASCADE;
	
ALTER TABLE F_TIMESHEET_TIMECODE_METRICS ADD CONSTRAINT F_TIMESHTC_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_TIMESHEET_TIMECODE_METRICS ADD CONSTRAINT F_TIMESHTC_FK2 FOREIGN KEY (STATE_ID)
	REFERENCES D_TIMESHEET_STATE (STATE_ID);
		
ALTER TABLE F_TIMESHEET_TIMECODE_METRICS ADD CONSTRAINT F_TIMESHTC_FK3 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);				
		
ALTER TABLE F_TIMESHEET_TIMECODE_METRICS ADD CONSTRAINT F_TIMESHTC_FK4 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);				
			
ALTER TABLE F_TIMESHEET_TIMECODE_METRICS ADD CONSTRAINT F_TIMESHTC_FK5 FOREIGN KEY (CHARGECODE_ID)
	REFERENCES D_CHARGECODE (CHARGECODE_ID);
	
ALTER TABLE F_TIMESHEET_TIMECODE_METRICS ADD CONSTRAINT F_TIMESHTC_FK6 FOREIGN KEY (TIMECODE_ID)
	REFERENCES D_TIMECODE (TIMECODE_ID);
	
ALTER TABLE F_TIMESHEET_TIMECODE_METRICS ADD CONSTRAINT F_TIMESHTC_FK7 FOREIGN KEY (ORGANIZATION_ID)
	REFERENCES D_ORGANIZATION (ORGANIZATION_ID);	
	
ALTER TABLE F_TIMESHEET_TIMECODE_METRICS ADD CONSTRAINT F_TIMESHTC_FK8 FOREIGN KEY (POOL_ID)
	REFERENCES D_POOL (POOL_ID);
	
ALTER TABLE F_TIMESHEET_TIMECODE_METRICS ADD CONSTRAINT F_TIMESHTC_FK9 FOREIGN KEY (CITY_ID)
	REFERENCES D_CITY (CITY_ID);
				
ALTER TABLE H_TIMESHEET_TIMECODE_METRICS ADD CONSTRAINT H_TIMESHTC_FK1 FOREIGN KEY (TIMESHEET_METRICS_ID)
	REFERENCES F_TIMESHEET_TIMECODE_METRICS (TIMESHEET_METRICS_ID) ON DELETE CASCADE;
		
ALTER TABLE H_TIMESHEET_TIMECODE_METRICS ADD CONSTRAINT H_TIMESHTC_FK2 FOREIGN KEY (ACTIVITY_ID)
	REFERENCES D_ACTIVITY (ACTIVITY_ID) ON DELETE CASCADE;
		
ALTER TABLE F_WK_PROJ_RESDEMSUPP_METRICS ADD CONSTRAINT F_WPJRESDSMET_FK1 FOREIGN KEY (WEEK_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_WK_PROJ_RESDEMSUPP_METRICS ADD CONSTRAINT F_WPJRESDSMET_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_WK_PROJ_RESDEMSUPP_METRICS ADD CONSTRAINT F_WPJRESDSMET_FK3 FOREIGN KEY (CITY_ID)
	REFERENCES D_CITY (CITY_ID);
	
ALTER TABLE F_WK_PROJ_RESDEMSUPP_METRICS ADD CONSTRAINT F_WPJRESDSMET_FK4 FOREIGN KEY (ORGANIZATION_ID)
	REFERENCES D_ORGANIZATION (ORGANIZATION_ID);	
	
ALTER TABLE F_MO_PROJ_RESDEMSUPP_METRICS ADD CONSTRAINT F_MPJRESDSMET_FK1 FOREIGN KEY (MONTH_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_MO_PROJ_RESDEMSUPP_METRICS ADD CONSTRAINT F_MPJRESDSMET_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_MO_PROJ_RESDEMSUPP_METRICS ADD CONSTRAINT F_MPJRESDSMET_FK3 FOREIGN KEY (CITY_ID)
	REFERENCES D_CITY (CITY_ID);
	
ALTER TABLE F_MO_PROJ_RESDEMSUPP_METRICS ADD CONSTRAINT F_MPJRESDSMET_FK4 FOREIGN KEY (ORGANIZATION_ID)
	REFERENCES D_ORGANIZATION (ORGANIZATION_ID);	
	
ALTER TABLE F_WK_RESOURCE_UTIL_METRICS ADD CONSTRAINT F_WRESUTILMET_FK1 FOREIGN KEY (WEEK_ID)
	REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_WK_RESOURCE_UTIL_METRICS ADD CONSTRAINT F_WRESUTILMET_FK2 FOREIGN KEY (POOL_ID)
	REFERENCES D_POOL (POOL_ID);		

ALTER TABLE F_WK_RESOURCE_UTIL_METRICS ADD CONSTRAINT F_WRESUTILMET_FK3 FOREIGN KEY (CITY_ID)
	REFERENCES D_CITY (CITY_ID);	
		
ALTER TABLE F_WK_RESOURCE_UTIL_METRICS ADD CONSTRAINT F_WRESUTILMET_FK4 FOREIGN KEY (ORGANIZATION_ID)
	REFERENCES D_ORGANIZATION (ORGANIZATION_ID);		
	
ALTER TABLE F_MO_RESOURCE_UTIL_METRICS ADD CONSTRAINT F_MRESUTILMETT_FK1 FOREIGN KEY (MONTH_ID)
	REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_MO_RESOURCE_UTIL_METRICS ADD CONSTRAINT F_MRESUTILMET_FK2 FOREIGN KEY (POOL_ID)
	REFERENCES D_POOL (POOL_ID);		

ALTER TABLE F_MO_RESOURCE_UTIL_METRICS ADD CONSTRAINT F_MRESUTILMET_FK3 FOREIGN KEY (CITY_ID)
	REFERENCES D_CITY (CITY_ID);	
		
ALTER TABLE F_MO_RESOURCE_UTIL_METRICS ADD CONSTRAINT F_MRESUTILMET_FK4 FOREIGN KEY (ORGANIZATION_ID)
	REFERENCES D_ORGANIZATION (ORGANIZATION_ID);		
	
ALTER TABLE F_RISK_METRICS ADD CONSTRAINT F_RISKMET_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_RISK_METRICS ADD CONSTRAINT F_RISKMET_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);	
	
ALTER TABLE F_RISK_METRICS ADD CONSTRAINT F_RISKMET_FK3 FOREIGN KEY (STATE_ID)
	REFERENCES D_RISK_STATE (STATE_ID);		
	
ALTER TABLE F_RISK_METRICS ADD CONSTRAINT F_RISKMET_FK4 FOREIGN KEY (PRIORITY_ID)
	REFERENCES D_PRIORITY (PRIORITY_ID);	
	
ALTER TABLE F_RISK_METRICS ADD CONSTRAINT F_RISKMET_FK5 FOREIGN KEY (OWNER_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);		
		
ALTER TABLE F_RISK_METRICS ADD CONSTRAINT F_RISKMET_FK6 FOREIGN KEY (RELEASE_ID)
	REFERENCES D_RELEASE (RELEASE_ID);	

ALTER TABLE F_RISK_METRICS ADD CONSTRAINT F_RISKMET_FK7 FOREIGN KEY (IMPACT_RANK_ID)
	REFERENCES D_IMPACT_RANK (IMPACT_RANK_ID);		
	
ALTER TABLE F_RISK_METRICS ADD CONSTRAINT F_RISKMET_FK8 FOREIGN KEY (PROBABILITY_RANK_ID)
	REFERENCES D_PROBABILITY_RANK (PROBABILITY_RANK_ID);		
	
ALTER TABLE F_RISK_METRICS ADD CONSTRAINT F_RISKMET_FK9 FOREIGN KEY (PROBABILITY_COST_RANK_ID)
	REFERENCES D_PROBABILITY_COST_RANK (PROBABILITY_COST_RANK_ID);

ALTER TABLE F_RISK_METRICS ADD CONSTRAINT F_RISKMET_FK10 FOREIGN KEY (SCORE_RANK_ID)
	REFERENCES D_SCORE_RANK (SCORE_RANK_ID);	
	
ALTER TABLE F_C_RISK_METRICS ADD CONSTRAINT F_C_RISKMET_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_C_RISK_METRICS ADD CONSTRAINT F_C_RISKMET_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);	
	
ALTER TABLE F_C_RISK_METRICS ADD CONSTRAINT F_C_RISKMET_FK3 FOREIGN KEY (STATE_ID)
	REFERENCES D_RISK_STATE (STATE_ID);		
	
ALTER TABLE F_C_RISK_METRICS ADD CONSTRAINT F_C_RISKMET_FK4 FOREIGN KEY (PRIORITY_ID)
	REFERENCES D_PRIORITY (PRIORITY_ID);	
	
ALTER TABLE F_C_RISK_METRICS ADD CONSTRAINT F_C_RISKMET_FK5 FOREIGN KEY (OWNER_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);		
		
ALTER TABLE F_C_RISK_METRICS ADD CONSTRAINT F_C_RISKMET_FK6 FOREIGN KEY (RELEASE_ID)
	REFERENCES D_RELEASE (RELEASE_ID);	

ALTER TABLE F_C_RISK_METRICS ADD CONSTRAINT F_C_RISKMET_FK7 FOREIGN KEY (IMPACT_RANK_ID)
	REFERENCES D_IMPACT_RANK (IMPACT_RANK_ID);		
	
ALTER TABLE F_C_RISK_METRICS ADD CONSTRAINT F_C_RISKMET_FK8 FOREIGN KEY (PROBABILITY_RANK_ID)
	REFERENCES D_PROBABILITY_RANK (PROBABILITY_RANK_ID);		
	
ALTER TABLE F_C_RISK_METRICS ADD CONSTRAINT F_C_RISKMET_FK9 FOREIGN KEY (PROBABILITY_COST_RANK_ID)
	REFERENCES D_PROBABILITY_COST_RANK (PROBABILITY_COST_RANK_ID);

ALTER TABLE F_C_RISK_METRICS ADD CONSTRAINT F_C_RISKMET_FK10 FOREIGN KEY (SCORE_RANK_ID)
	REFERENCES D_SCORE_RANK (SCORE_RANK_ID);
		
ALTER TABLE H_WK_PROJ_RESDEMSUPP_METRICS ADD CONSTRAINT H_WPJRESDSMET_FK1 FOREIGN KEY (F_PROJDS_MET_ID)
	REFERENCES F_WK_PROJ_RESDEMSUPP_METRICS (F_PROJDS_MET_ID) ON DELETE CASCADE;

ALTER TABLE H_WK_PROJ_RESDEMSUPP_METRICS ADD CONSTRAINT H_WPJRESDSMET_FK2 FOREIGN KEY (PROJECT_ALLOCATION_ID)
	REFERENCES D_PROJECT_ALLOCATION (PROJECT_ALLOCATION_ID) ON DELETE CASCADE;
	
ALTER TABLE H_MO_PROJ_RESDEMSUPP_METRICS ADD CONSTRAINT H_MPJRESDSMET_FK1 FOREIGN KEY (F_PROJDS_MET_ID)
	REFERENCES F_MO_PROJ_RESDEMSUPP_METRICS (F_PROJDS_MET_ID) ON DELETE CASCADE;

ALTER TABLE H_MO_PROJ_RESDEMSUPP_METRICS ADD CONSTRAINT H_MPJRESDSMET_FK2 FOREIGN KEY (PROJECT_ALLOCATION_ID)
	REFERENCES D_PROJECT_ALLOCATION (PROJECT_ALLOCATION_ID) ON DELETE CASCADE;	
	
ALTER TABLE H_WK_RESOURCE_UTIL_METRICS ADD CONSTRAINT H_WRESUTILMET_FK1 FOREIGN KEY (F_RESUTIL_MET_ID)
	REFERENCES F_WK_RESOURCE_UTIL_METRICS (F_RESUTIL_MET_ID) ON DELETE CASCADE;

ALTER TABLE H_WK_RESOURCE_UTIL_METRICS ADD CONSTRAINT H_WRESUTILMET_FK2 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID) ON DELETE CASCADE;

ALTER TABLE H_MO_RESOURCE_UTIL_METRICS ADD CONSTRAINT H_MRESUTILMET_FK1 FOREIGN KEY (F_RESUTIL_MET_ID)
	REFERENCES F_MO_RESOURCE_UTIL_METRICS (F_RESUTIL_MET_ID) ON DELETE CASCADE;

ALTER TABLE H_MO_RESOURCE_UTIL_METRICS ADD CONSTRAINT H_MRESUTILMET_FK2 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID) ON DELETE CASCADE;	
	
ALTER TABLE H_RISK_METRICS ADD CONSTRAINT H_RISKMET_FK1 FOREIGN KEY (F_RISKMET_ID)
	REFERENCES F_RISK_METRICS (F_RISKMET_ID) ON DELETE CASCADE;

ALTER TABLE H_RISK_METRICS ADD CONSTRAINT H_RISKMET_FK2 FOREIGN KEY (RISK_ID)
	REFERENCES D_RISK (RISK_ID) ON DELETE CASCADE;	  	
	
ALTER TABLE F_TASK_ITER_VARIANCE_METRICS ADD CONSTRAINT FTSKITVARMET_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_TASK_ITER_VARIANCE_METRICS ADD CONSTRAINT FTSKITVARMET_FK2 FOREIGN KEY (BASELINE_ID)
	REFERENCES D_BASELINE (BASELINE_ID);
	
ALTER TABLE F_TASK_ITER_VARIANCE_METRICS ADD CONSTRAINT FTSKITVARMET_FK3 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);
	
ALTER TABLE F_TASK_ITER_VARIANCE_METRICS ADD CONSTRAINT FTSKITVARMET_FK4 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);	
	
ALTER TABLE F_TASK_PROJ_VARIANCE_METRICS ADD CONSTRAINT FTSKPRJVARMET_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_TASK_PROJ_VARIANCE_METRICS ADD CONSTRAINT FTSKPRJVARMET_FK2 FOREIGN KEY (BASELINE_ID)
	REFERENCES D_BASELINE (BASELINE_ID);
	
ALTER TABLE F_TASK_PROJ_VARIANCE_METRICS ADD CONSTRAINT FTSKPRJVARMET_FK3 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_C_TASK_ITE_VARIANCE_METRICS ADD CONSTRAINT FCTSKITVARMET_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_C_TASK_ITE_VARIANCE_METRICS ADD CONSTRAINT FCTSKITVARMET_FK2 FOREIGN KEY (BASELINE_ID)
	REFERENCES D_BASELINE (BASELINE_ID);
	
ALTER TABLE F_C_TASK_ITE_VARIANCE_METRICS ADD CONSTRAINT FCTSKITVARMET_FK3 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);
	
ALTER TABLE F_C_TASK_ITE_VARIANCE_METRICS ADD CONSTRAINT FCTSKITVARMET_FK4 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);	
	
ALTER TABLE F_C_TASK_PRO_VARIANCE_METRICS ADD CONSTRAINT FCTSKPRVARMET_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_C_TASK_PRO_VARIANCE_METRICS ADD CONSTRAINT FCTSKPRVARMET_FK2 FOREIGN KEY (BASELINE_ID)
	REFERENCES D_BASELINE (BASELINE_ID);
	
ALTER TABLE F_C_TASK_PRO_VARIANCE_METRICS ADD CONSTRAINT FCTSKPRVARMET_FK3 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);
	
ALTER TABLE H_TASK_ITER_VARIANCE_METRICS ADD CONSTRAINT HTSKITVARMET_FK1 FOREIGN KEY (F_TASKVAR_MET_ID)
	REFERENCES F_TASK_ITER_VARIANCE_METRICS (F_TASKVAR_MET_ID) ON DELETE CASCADE;

ALTER TABLE H_TASK_ITER_VARIANCE_METRICS ADD CONSTRAINT HTSKITVARMET_FK2 FOREIGN KEY (TASK_ID)
	REFERENCES D_TASK (TASK_ID) ON DELETE CASCADE;
	
ALTER TABLE H_TASK_PROJ_VARIANCE_METRICS ADD CONSTRAINT HTSKPRJVARME_FK1 FOREIGN KEY (F_TASKVAR_MET_ID)
	REFERENCES F_TASK_PROJ_VARIANCE_METRICS (F_TASKVAR_MET_ID) ON DELETE CASCADE;

ALTER TABLE H_TASK_PROJ_VARIANCE_METRICS ADD CONSTRAINT HTSKPRJVARME_FK2 FOREIGN KEY (TASK_ID)
	REFERENCES D_TASK (TASK_ID) ON DELETE CASCADE;
		
ALTER TABLE F_WK_SCPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_WSCPRDSMET_FK1 FOREIGN KEY (WEEK_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_WK_SCPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_WSCPRDSMET_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_WK_SCPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_WSCPRDSMET_FK3 FOREIGN KEY (CITY_ID)
	REFERENCES D_CITY (CITY_ID);
	
ALTER TABLE F_WK_SCPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_WSCPRDSMET_FK4 FOREIGN KEY (ORGANIZATION_ID)
	REFERENCES D_ORGANIZATION (ORGANIZATION_ID);	
	
ALTER TABLE F_WK_SCPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_WSCPRDSMET_FK5 FOREIGN KEY (SKILL_ID)
	REFERENCES D_SKILL (SKILL_ID);

ALTER TABLE F_WK_SCPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_WSCPRDSMET_FK6 FOREIGN KEY (COMPETENCY_ID)
	REFERENCES D_COMPETENCY (COMPETENCY_ID);		
	
ALTER TABLE H_WK_SCPROJ_RESDEMSUP_METRICS ADD CONSTRAINT H_WSCPRDSMET_FK1 FOREIGN KEY (F_PROJDS_MET_ID)
	REFERENCES F_WK_SCPROJ_RESDEMSUP_METRICS (F_PROJDS_MET_ID) ON DELETE CASCADE;

ALTER TABLE H_WK_SCPROJ_RESDEMSUP_METRICS ADD CONSTRAINT H_WSCPRDSMET_FK2 FOREIGN KEY (PROJECT_ALLOCATION_ID)
	REFERENCES D_PROJECT_ALLOCATION (PROJECT_ALLOCATION_ID) ON DELETE CASCADE;

ALTER TABLE F_WK_SKPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_WSKPRDSMET_FK1 FOREIGN KEY (WEEK_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_WK_SKPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_WSKPRDSMET_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_WK_SKPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_WSKPRDSMET_FK3 FOREIGN KEY (CITY_ID)
	REFERENCES D_CITY (CITY_ID);
	
ALTER TABLE F_WK_SKPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_WSKPRDSMET_FK4 FOREIGN KEY (ORGANIZATION_ID)
	REFERENCES D_ORGANIZATION (ORGANIZATION_ID);	
	
ALTER TABLE F_WK_SKPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_WSKPRDSMET_FK5 FOREIGN KEY (SKILL_ID)
	REFERENCES D_SKILL (SKILL_ID);

ALTER TABLE H_WK_SKPROJ_RESDEMSUP_METRICS ADD CONSTRAINT H_WSKPRDSMET_FK1 FOREIGN KEY (F_PROJDS_MET_ID)
	REFERENCES F_WK_SKPROJ_RESDEMSUP_METRICS (F_PROJDS_MET_ID) ON DELETE CASCADE;

ALTER TABLE H_WK_SKPROJ_RESDEMSUP_METRICS ADD CONSTRAINT H_WSKPRDSMET_FK2 FOREIGN KEY (PROJECT_ALLOCATION_ID)
	REFERENCES D_PROJECT_ALLOCATION (PROJECT_ALLOCATION_ID) ON DELETE CASCADE;

ALTER TABLE F_WK_COPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_WCOPRDSMET_FK1 FOREIGN KEY (WEEK_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_WK_COPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_WCOPRDSMET_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_WK_COPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_WCOPRDSMET_FK3 FOREIGN KEY (CITY_ID)
	REFERENCES D_CITY (CITY_ID);
	
ALTER TABLE F_WK_COPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_WCOPRDSMET_FK4 FOREIGN KEY (ORGANIZATION_ID)
	REFERENCES D_ORGANIZATION (ORGANIZATION_ID);	
	
ALTER TABLE F_WK_COPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_WCOPRDSMET_FK5 FOREIGN KEY (COMPETENCY_ID)
	REFERENCES D_COMPETENCY (COMPETENCY_ID);

ALTER TABLE H_WK_COPROJ_RESDEMSUP_METRICS ADD CONSTRAINT H_WCOPRDSMET_FK1 FOREIGN KEY (F_PROJDS_MET_ID)
	REFERENCES F_WK_COPROJ_RESDEMSUP_METRICS (F_PROJDS_MET_ID) ON DELETE CASCADE;

ALTER TABLE H_WK_COPROJ_RESDEMSUP_METRICS ADD CONSTRAINT H_WCOPRDSMET_FK2 FOREIGN KEY (PROJECT_ALLOCATION_ID)
	REFERENCES D_PROJECT_ALLOCATION (PROJECT_ALLOCATION_ID) ON DELETE CASCADE;
					
ALTER TABLE F_MO_SCPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_MSCPRDSMET_FK1 FOREIGN KEY (MONTH_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_MO_SCPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_MSCPRDSMET_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_MO_SCPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_MSCPRDSMET_FK3 FOREIGN KEY (CITY_ID)
	REFERENCES D_CITY (CITY_ID);
	
ALTER TABLE F_MO_SCPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_MSCPRDSMET_FK4 FOREIGN KEY (ORGANIZATION_ID)
	REFERENCES D_ORGANIZATION (ORGANIZATION_ID);	
	
ALTER TABLE F_MO_SCPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_MSCPRDSMET_FK5 FOREIGN KEY (SKILL_ID)
	REFERENCES D_SKILL (SKILL_ID);

ALTER TABLE F_MO_SCPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_MSCPRDSMET_FK6 FOREIGN KEY (COMPETENCY_ID)
	REFERENCES D_COMPETENCY (COMPETENCY_ID);		
	
ALTER TABLE H_MO_SCPROJ_RESDEMSUP_METRICS ADD CONSTRAINT H_MSCPRDSMET_FK1 FOREIGN KEY (F_PROJDS_MET_ID)
	REFERENCES F_MO_SCPROJ_RESDEMSUP_METRICS (F_PROJDS_MET_ID) ON DELETE CASCADE;

ALTER TABLE H_MO_SCPROJ_RESDEMSUP_METRICS ADD CONSTRAINT H_MSCPRDSMET_FK2 FOREIGN KEY (PROJECT_ALLOCATION_ID)
	REFERENCES D_PROJECT_ALLOCATION (PROJECT_ALLOCATION_ID) ON DELETE CASCADE;

ALTER TABLE F_MO_SKPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_MSKPRDSMET_FK1 FOREIGN KEY (MONTH_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_MO_SKPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_MSKPRDSMET_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_MO_SKPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_MSKPRDSMET_FK3 FOREIGN KEY (CITY_ID)
	REFERENCES D_CITY (CITY_ID);
	
ALTER TABLE F_MO_SKPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_MSKPRDSMET_FK4 FOREIGN KEY (ORGANIZATION_ID)
	REFERENCES D_ORGANIZATION (ORGANIZATION_ID);	
	
ALTER TABLE F_MO_SKPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_MSKPRDSMET_FK5 FOREIGN KEY (SKILL_ID)
	REFERENCES D_SKILL (SKILL_ID);

ALTER TABLE H_MO_SKPROJ_RESDEMSUP_METRICS ADD CONSTRAINT H_MSKPRDSMET_FK1 FOREIGN KEY (F_PROJDS_MET_ID)
	REFERENCES F_MO_SKPROJ_RESDEMSUP_METRICS (F_PROJDS_MET_ID) ON DELETE CASCADE;

ALTER TABLE H_MO_SKPROJ_RESDEMSUP_METRICS ADD CONSTRAINT H_MSKPRDSMET_FK2 FOREIGN KEY (PROJECT_ALLOCATION_ID)
	REFERENCES D_PROJECT_ALLOCATION (PROJECT_ALLOCATION_ID) ON DELETE CASCADE;

ALTER TABLE F_MO_COPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_MCOPRDSMET_FK1 FOREIGN KEY (MONTH_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_MO_COPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_MCOPRDSMET_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_MO_COPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_MCOPRDSMET_FK3 FOREIGN KEY (CITY_ID)
	REFERENCES D_CITY (CITY_ID);
	
ALTER TABLE F_MO_COPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_MCOPRDSMET_FK4 FOREIGN KEY (ORGANIZATION_ID)
	REFERENCES D_ORGANIZATION (ORGANIZATION_ID);	
	
ALTER TABLE F_MO_COPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_MCOPRDSMET_FK5 FOREIGN KEY (COMPETENCY_ID)
	REFERENCES D_COMPETENCY (COMPETENCY_ID);

ALTER TABLE H_MO_COPROJ_RESDEMSUP_METRICS ADD CONSTRAINT H_MCOPRDSMET_FK1 FOREIGN KEY (F_PROJDS_MET_ID)
	REFERENCES F_MO_COPROJ_RESDEMSUP_METRICS (F_PROJDS_MET_ID) ON DELETE CASCADE;

ALTER TABLE H_MO_COPROJ_RESDEMSUP_METRICS ADD CONSTRAINT H_MCOPRDSMET_FK2 FOREIGN KEY (PROJECT_ALLOCATION_ID)
	REFERENCES D_PROJECT_ALLOCATION (PROJECT_ALLOCATION_ID) ON DELETE CASCADE;

ALTER TABLE F_WK_SCRESOURCE_UTIL_METRICS ADD CONSTRAINT F_WSCRESUTMET_FK1 FOREIGN KEY (WEEK_ID)
	REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_WK_SCRESOURCE_UTIL_METRICS ADD CONSTRAINT F_WSCRESUTMET_FK2 FOREIGN KEY (POOL_ID)
	REFERENCES D_POOL (POOL_ID);			

ALTER TABLE F_WK_SCRESOURCE_UTIL_METRICS ADD CONSTRAINT F_WSCRESUTMET_FK3 FOREIGN KEY (CITY_ID)
	REFERENCES D_CITY (CITY_ID);	
		
ALTER TABLE F_WK_SCRESOURCE_UTIL_METRICS ADD CONSTRAINT F_WSCRESUTMET_FK4 FOREIGN KEY (ORGANIZATION_ID)
	REFERENCES D_ORGANIZATION (ORGANIZATION_ID);		
	
ALTER TABLE F_WK_SCRESOURCE_UTIL_METRICS ADD CONSTRAINT F_WSCRESUTMET_FK5 FOREIGN KEY (SKILL_ID)
	REFERENCES D_SKILL (SKILL_ID);	
		
ALTER TABLE F_WK_SCRESOURCE_UTIL_METRICS ADD CONSTRAINT F_WSCRESUTMET_FK6 FOREIGN KEY (COMPETENCY_ID)
	REFERENCES D_COMPETENCY (COMPETENCY_ID);	

ALTER TABLE H_WK_SCRESOURCE_UTIL_METRICS ADD CONSTRAINT H_WSCRESUTMET_FK1 FOREIGN KEY (F_RESUTIL_MET_ID)
	REFERENCES F_WK_SCRESOURCE_UTIL_METRICS (F_RESUTIL_MET_ID) ON DELETE CASCADE;

ALTER TABLE H_WK_SCRESOURCE_UTIL_METRICS ADD CONSTRAINT H_WSCRESUTMET_FK2 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID) ON DELETE CASCADE;

ALTER TABLE F_WK_SKRESOURCE_UTIL_METRICS ADD CONSTRAINT F_WSKRESUTMET_FK1 FOREIGN KEY (WEEK_ID)
	REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_WK_SKRESOURCE_UTIL_METRICS ADD CONSTRAINT F_WSKRESUTMET_FK2 FOREIGN KEY (POOL_ID)
	REFERENCES D_POOL (POOL_ID);		

ALTER TABLE F_WK_SKRESOURCE_UTIL_METRICS ADD CONSTRAINT F_WSKRESUTMET_FK3 FOREIGN KEY (CITY_ID)
	REFERENCES D_CITY (CITY_ID);	
		
ALTER TABLE F_WK_SKRESOURCE_UTIL_METRICS ADD CONSTRAINT F_WSKRESUTMET_FK4 FOREIGN KEY (ORGANIZATION_ID)
	REFERENCES D_ORGANIZATION (ORGANIZATION_ID);		
	
ALTER TABLE F_WK_SKRESOURCE_UTIL_METRICS ADD CONSTRAINT F_WSKRESUTMET_FK5 FOREIGN KEY (SKILL_ID)
	REFERENCES D_SKILL (SKILL_ID);	
	
ALTER TABLE H_WK_SKRESOURCE_UTIL_METRICS ADD CONSTRAINT H_WSKRESUTMET_FK1 FOREIGN KEY (F_RESUTIL_MET_ID)
	REFERENCES F_WK_SKRESOURCE_UTIL_METRICS (F_RESUTIL_MET_ID) ON DELETE CASCADE;

ALTER TABLE H_WK_SKRESOURCE_UTIL_METRICS ADD CONSTRAINT H_WSKRESUTMET_FK2 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID) ON DELETE CASCADE;

ALTER TABLE F_WK_CORESOURCE_UTIL_METRICS ADD CONSTRAINT F_WCORESUTMET_FK1 FOREIGN KEY (WEEK_ID)
	REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_WK_CORESOURCE_UTIL_METRICS ADD CONSTRAINT F_WCORESUTMET_FK2 FOREIGN KEY (POOL_ID)
	REFERENCES D_POOL (POOL_ID);		

ALTER TABLE F_WK_CORESOURCE_UTIL_METRICS ADD CONSTRAINT F_WCORESUTMET_FK3 FOREIGN KEY (CITY_ID)
	REFERENCES D_CITY (CITY_ID);	
		
ALTER TABLE F_WK_CORESOURCE_UTIL_METRICS ADD CONSTRAINT F_WCORESUTMET_FK4 FOREIGN KEY (ORGANIZATION_ID)
	REFERENCES D_ORGANIZATION (ORGANIZATION_ID);		
	
ALTER TABLE F_WK_CORESOURCE_UTIL_METRICS ADD CONSTRAINT F_WCORESUTMET_FK5 FOREIGN KEY (COMPETENCY_ID)
	REFERENCES D_COMPETENCY (COMPETENCY_ID);	

ALTER TABLE H_WK_CORESOURCE_UTIL_METRICS ADD CONSTRAINT H_WCORESUTMET_FK1 FOREIGN KEY (F_RESUTIL_MET_ID)
	REFERENCES F_WK_CORESOURCE_UTIL_METRICS (F_RESUTIL_MET_ID) ON DELETE CASCADE;

ALTER TABLE H_WK_CORESOURCE_UTIL_METRICS ADD CONSTRAINT H_WCORESUTMET_FK2 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID) ON DELETE CASCADE;
							
ALTER TABLE F_MO_SCRESOURCE_UTIL_METRICS ADD CONSTRAINT F_MSCRESUTMET_FK1 FOREIGN KEY (MONTH_ID)
	REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_MO_SCRESOURCE_UTIL_METRICS ADD CONSTRAINT F_MSCRESUTMET_FK2 FOREIGN KEY (POOL_ID)
	REFERENCES D_POOL (POOL_ID);				

ALTER TABLE F_MO_SCRESOURCE_UTIL_METRICS ADD CONSTRAINT F_MSCRESUTMET_FK3 FOREIGN KEY (CITY_ID)
	REFERENCES D_CITY (CITY_ID);	
		
ALTER TABLE F_MO_SCRESOURCE_UTIL_METRICS ADD CONSTRAINT F_MSCRESUTMET_FK4 FOREIGN KEY (ORGANIZATION_ID)
	REFERENCES D_ORGANIZATION (ORGANIZATION_ID);		
	
ALTER TABLE F_MO_SCRESOURCE_UTIL_METRICS ADD CONSTRAINT F_MSCRESUTMET_FK5 FOREIGN KEY (SKILL_ID)
	REFERENCES D_SKILL (SKILL_ID);	
		
ALTER TABLE F_MO_SCRESOURCE_UTIL_METRICS ADD CONSTRAINT F_MSCRESUTMET_FK6 FOREIGN KEY (COMPETENCY_ID)
	REFERENCES D_COMPETENCY (COMPETENCY_ID);	

ALTER TABLE H_MO_SCRESOURCE_UTIL_METRICS ADD CONSTRAINT H_MSCRESUTMET_FK1 FOREIGN KEY (F_RESUTIL_MET_ID)
	REFERENCES F_MO_SCRESOURCE_UTIL_METRICS (F_RESUTIL_MET_ID) ON DELETE CASCADE;

ALTER TABLE H_MO_SCRESOURCE_UTIL_METRICS ADD CONSTRAINT H_MSCRESUTMET_FK2 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID) ON DELETE CASCADE;

ALTER TABLE F_MO_SKRESOURCE_UTIL_METRICS ADD CONSTRAINT F_MSKRESUTMET_FK1 FOREIGN KEY (MONTH_ID)
	REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_MO_SKRESOURCE_UTIL_METRICS ADD CONSTRAINT F_MSKRESUTMET_FK2 FOREIGN KEY (POOL_ID)
	REFERENCES D_POOL (POOL_ID);			

ALTER TABLE F_MO_SKRESOURCE_UTIL_METRICS ADD CONSTRAINT F_MSKRESUTMET_FK3 FOREIGN KEY (CITY_ID)
	REFERENCES D_CITY (CITY_ID);	
		
ALTER TABLE F_MO_SKRESOURCE_UTIL_METRICS ADD CONSTRAINT F_MSKRESUTMET_FK4 FOREIGN KEY (ORGANIZATION_ID)
	REFERENCES D_ORGANIZATION (ORGANIZATION_ID);		
	
ALTER TABLE F_MO_SKRESOURCE_UTIL_METRICS ADD CONSTRAINT F_MSKRESUTMET_FK5 FOREIGN KEY (SKILL_ID)
	REFERENCES D_SKILL (SKILL_ID);	

ALTER TABLE H_MO_SKRESOURCE_UTIL_METRICS ADD CONSTRAINT H_MSKRESUTMET_FK1 FOREIGN KEY (F_RESUTIL_MET_ID)
	REFERENCES F_MO_SKRESOURCE_UTIL_METRICS (F_RESUTIL_MET_ID) ON DELETE CASCADE;

ALTER TABLE H_MO_SKRESOURCE_UTIL_METRICS ADD CONSTRAINT H_MSKRESUTMET_FK2 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID) ON DELETE CASCADE;

ALTER TABLE F_MO_CORESOURCE_UTIL_METRICS ADD CONSTRAINT F_MCORESUTMET_FK1 FOREIGN KEY (MONTH_ID)
	REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_MO_CORESOURCE_UTIL_METRICS ADD CONSTRAINT F_MCORESUTMET_FK2 FOREIGN KEY (POOL_ID)
	REFERENCES D_POOL (POOL_ID);		

ALTER TABLE F_MO_CORESOURCE_UTIL_METRICS ADD CONSTRAINT F_MCORESUTMET_FK4 FOREIGN KEY (CITY_ID)
	REFERENCES D_CITY (CITY_ID);	
		
ALTER TABLE F_MO_CORESOURCE_UTIL_METRICS ADD CONSTRAINT F_MCORESUTMET_FK5 FOREIGN KEY (ORGANIZATION_ID)
	REFERENCES D_ORGANIZATION (ORGANIZATION_ID);		
	
ALTER TABLE F_MO_CORESOURCE_UTIL_METRICS ADD CONSTRAINT F_MCORESUTMET_FK6 FOREIGN KEY (COMPETENCY_ID)
	REFERENCES D_COMPETENCY (COMPETENCY_ID);	
	
ALTER TABLE H_MO_CORESOURCE_UTIL_METRICS ADD CONSTRAINT H_MCORESUTMET_FK1 FOREIGN KEY (F_RESUTIL_MET_ID)
	REFERENCES F_MO_CORESOURCE_UTIL_METRICS (F_RESUTIL_MET_ID) ON DELETE CASCADE;

ALTER TABLE H_MO_CORESOURCE_UTIL_METRICS ADD CONSTRAINT H_MCORESUTMET_FK2 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID) ON DELETE CASCADE;

ALTER TABLE H_BUILD_REQU_FAIL  ADD CONSTRAINT  H_BLD_REQUFAIL_FK1 FOREIGN KEY (BUILD_METRIC_ID)
 	REFERENCES F_BUILD_REQU_METRICS (BUILD_METRIC_ID) ON DELETE CASCADE;
 	
ALTER TABLE H_BUILD_REQU_FAIL  ADD CONSTRAINT  H_BLD_REQUFAIL_FK2 FOREIGN KEY (BUILD_ID) 
  REFERENCES D_BUILD (BUILD_ID) ON DELETE CASCADE;

ALTER TABLE H_BUILD_REQU_PASS  ADD CONSTRAINT  H_BLD_REQUPASS_FK1 FOREIGN KEY (BUILD_METRIC_ID) 
 	REFERENCES F_BUILD_REQU_METRICS (BUILD_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_BUILD_REQU_PASS  ADD CONSTRAINT  H_BLD_REQUPASS_FK2 FOREIGN KEY (BUILD_ID) 
  REFERENCES D_BUILD (BUILD_ID) ON DELETE CASCADE;
													
ALTER TABLE F_STORY_METRICS ADD CONSTRAINT F_STORY_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_STORY_METRICS ADD CONSTRAINT F_STORY_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_STORY_METRICS ADD CONSTRAINT F_STORY_FK3 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);

ALTER TABLE F_STORY_METRICS ADD CONSTRAINT F_STORY_FK4 FOREIGN KEY (TEAM_ID)
	REFERENCES D_TEAM (TEAM_ID);

ALTER TABLE F_STORY_METRICS ADD CONSTRAINT F_STORY_FK5 FOREIGN KEY (OWNER_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);

ALTER TABLE F_STORY_METRICS ADD CONSTRAINT F_STORY_FK6 FOREIGN KEY (REQUEST_CLASS_ID)
	REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);

ALTER TABLE F_STORY_METRICS ADD CONSTRAINT F_STORY_FK7 FOREIGN KEY (REQUEST_CATEGORY_ID)
	REFERENCES D_REQUEST_CATEGORY (REQUEST_CATEGORY_ID);

ALTER TABLE F_STORY_METRICS ADD CONSTRAINT F_STORY_FK8 FOREIGN KEY (REQUEST_TYPE_ID)
	REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID);

ALTER TABLE F_STORY_METRICS ADD CONSTRAINT F_STORY_FK9 FOREIGN KEY (STATE_ID)
	REFERENCES D_REQUEST_STATE (STATE_ID);
	
ALTER TABLE F_STORY_METRICS ADD CONSTRAINT F_STORY_FK10 FOREIGN KEY (SEVERITY_ID)
	REFERENCES D_REQUEST_SEVERITY (SEVERITY_ID);	

ALTER TABLE F_STORY_METRICS ADD CONSTRAINT F_STORY_FK11 FOREIGN KEY (PRIORITY_ID)
	REFERENCES D_REQUEST_PRIORITY (PRIORITY_ID);	
	
ALTER TABLE F_C_STORY_METRICS ADD CONSTRAINT F_CSTORY_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_C_STORY_METRICS ADD CONSTRAINT F_CSTORY_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_C_STORY_METRICS ADD CONSTRAINT F_CSTORY_FK3 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);

ALTER TABLE F_C_STORY_METRICS ADD CONSTRAINT F_CSTORY_FK4 FOREIGN KEY (TEAM_ID)
	REFERENCES D_TEAM (TEAM_ID);

ALTER TABLE F_C_STORY_METRICS ADD CONSTRAINT F_CSTORY_FK5 FOREIGN KEY (OWNER_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);

ALTER TABLE F_C_STORY_METRICS ADD CONSTRAINT F_CSTORY_FK6 FOREIGN KEY (REQUEST_CLASS_ID)
	REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);

ALTER TABLE F_C_STORY_METRICS ADD CONSTRAINT F_CSTORY_FK7 FOREIGN KEY (REQUEST_CATEGORY_ID)
	REFERENCES D_REQUEST_CATEGORY (REQUEST_CATEGORY_ID);

ALTER TABLE F_C_STORY_METRICS ADD CONSTRAINT F_CSTORY_FK8 FOREIGN KEY (REQUEST_TYPE_ID)
	REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID);

ALTER TABLE F_C_STORY_METRICS ADD CONSTRAINT F_CSTORY_FK9 FOREIGN KEY (STATE_ID)
	REFERENCES D_REQUEST_STATE (STATE_ID);
	
ALTER TABLE F_C_STORY_METRICS ADD CONSTRAINT F_CSTORY_FK10 FOREIGN KEY (SEVERITY_ID)
	REFERENCES D_REQUEST_SEVERITY (SEVERITY_ID);		

ALTER TABLE F_C_STORY_METRICS ADD CONSTRAINT F_CSTORY_FK11 FOREIGN KEY (PRIORITY_ID)
	REFERENCES D_REQUEST_PRIORITY (PRIORITY_ID);	
	
ALTER TABLE H_STORY_METRICS ADD CONSTRAINT HSTORYPOINTS_FK1 FOREIGN KEY (F_STORY_METRIC_ID)
	REFERENCES F_STORY_METRICS (F_STORY_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_STORY_METRICS ADD CONSTRAINT HSTORYPOINTS_FK2 FOREIGN KEY (REQUEST_ID)
	REFERENCES D_REQUEST (REQUEST_ID) ON DELETE CASCADE;

ALTER TABLE F_REQUEST_FAILURE_DT_METRICS ADD CONSTRAINT F_REQFAIL_DTM_FK1 FOREIGN KEY (FAIL_DATE_ID)
		REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_REQUEST_FAILURE_DT_METRICS ADD CONSTRAINT F_REQFAIL_DTM_FK2 FOREIGN KEY (RELEASE_ID)
		REFERENCES D_RELEASE (RELEASE_ID);

ALTER TABLE F_REQUEST_FAILURE_DT_METRICS ADD CONSTRAINT F_REQFAIL_DTM_FK3 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);
		
ALTER TABLE F_REQUEST_FAILURE_DT_METRICS ADD CONSTRAINT F_REQFAIL_DTM_FK4 FOREIGN KEY (COMPONENT_ID)
		REFERENCES D_COMPONENT (COMPONENT_ID);

ALTER TABLE F_REQUEST_FAILURE_DT_METRICS ADD CONSTRAINT F_REQFAIL_DTM_FK5 FOREIGN KEY (ITERATION_ID)
		REFERENCES D_ITERATION (ITERATION_ID);

ALTER TABLE H_REQUEST_FAILURE_DT_METRICS ADD CONSTRAINT H_REQFAIL_DTM_FK1 FOREIGN KEY (REQFAIL_METRIC_ID)
		REFERENCES F_REQUEST_FAILURE_DT_METRICS (REQFAIL_METRIC_ID) ON DELETE CASCADE;										

ALTER TABLE H_REQUEST_FAILURE_DT_METRICS ADD CONSTRAINT H_REQFAIL_DTM_FK2 FOREIGN KEY (REQUEST_ID)
		REFERENCES D_REQUEST (REQUEST_ID) ON DELETE CASCADE;	

ALTER TABLE F_REQUEST_TPLN_FAILDT_METRICS ADD CONSTRAINT F_REQTPLN_FDT_FK1 FOREIGN KEY (FAIL_DATE_ID)
		REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_REQUEST_TPLN_FAILDT_METRICS ADD CONSTRAINT F_REQTPLN_FDT_FK2 FOREIGN KEY (RELEASE_ID)
		REFERENCES D_RELEASE (RELEASE_ID);

ALTER TABLE F_REQUEST_TPLN_FAILDT_METRICS ADD CONSTRAINT F_REQTPLN_FDT_FK3 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);
		
ALTER TABLE F_REQUEST_TPLN_FAILDT_METRICS ADD CONSTRAINT F_REQTPLN_FDT_FK4 FOREIGN KEY (COMPONENT_ID)
		REFERENCES D_COMPONENT (COMPONENT_ID);

ALTER TABLE F_REQUEST_TPLN_FAILDT_METRICS ADD CONSTRAINT F_REQTPLN_FDT_FK5 FOREIGN KEY (ITERATION_ID)
		REFERENCES D_ITERATION (ITERATION_ID);

ALTER TABLE F_REQUEST_TPLN_FAILDT_METRICS ADD CONSTRAINT F_REQTPLN_FDT_FK6 FOREIGN KEY (TESTPLAN_ID)
		REFERENCES D_TESTPLAN (TESTPLAN_ID);

ALTER TABLE H_REQUEST_TPLN_FAILDT_METRICS ADD CONSTRAINT H_REQTPLN_FDT_FK1 FOREIGN KEY (REQFAIL_METRIC_ID)
		REFERENCES F_REQUEST_TPLN_FAILDT_METRICS (REQFAIL_METRIC_ID) ON DELETE CASCADE;										

ALTER TABLE H_REQUEST_TPLN_FAILDT_METRICS ADD CONSTRAINT H_REQTPLN_FDT_FK2 FOREIGN KEY (REQUEST_ID)
		REFERENCES D_REQUEST (REQUEST_ID) ON DELETE CASCADE;	

ALTER TABLE F_REQUEST_REQUI_FAILDT_METRICS ADD CONSTRAINT F_REQREQUI_FDT_FK1 FOREIGN KEY (DATE_ID)
		REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_REQUEST_REQUI_FAILDT_METRICS ADD CONSTRAINT F_REQREQUI_FDT_FK2 FOREIGN KEY (RELEASE_ID)
		REFERENCES D_RELEASE (RELEASE_ID);

ALTER TABLE F_REQUEST_REQUI_FAILDT_METRICS ADD CONSTRAINT F_REQREQUI_FDT_FK3 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);
		
ALTER TABLE F_REQUEST_REQUI_FAILDT_METRICS ADD CONSTRAINT F_REQREQUI_FDT_FK4 FOREIGN KEY (COMPONENT_ID)
		REFERENCES D_COMPONENT (COMPONENT_ID);

ALTER TABLE F_REQUEST_REQUI_FAILDT_METRICS ADD CONSTRAINT F_REQREQUI_FDT_FK5 FOREIGN KEY (ITERATION_ID)
		REFERENCES D_ITERATION (ITERATION_ID);

ALTER TABLE F_REQUEST_REQUI_FAILDT_METRICS ADD CONSTRAINT F_REQREQUI_FDT_FK6 FOREIGN KEY (REQUIREMENT_ID)
		REFERENCES D_REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE H_REQUEST_REQUI_FAILDT_METRICS ADD CONSTRAINT H_REQREQUI_FDT_FK1 FOREIGN KEY (REQFAIL_METRIC_ID)
		REFERENCES F_REQUEST_REQUI_FAILDT_METRICS (REQFAIL_METRIC_ID) ON DELETE CASCADE;										

ALTER TABLE H_REQUEST_REQUI_FAILDT_METRICS ADD CONSTRAINT H_REQREQUI_FDT_FK2 FOREIGN KEY (REQUEST_ID)
		REFERENCES D_REQUEST (REQUEST_ID) ON DELETE CASCADE;	

ALTER TABLE F_REQUIR_MODIF_DT_METRICS ADD CONSTRAINT F_REQMODI_DTM_FK1 FOREIGN KEY (MODIFICATION_DATE_ID)
		REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_REQUIR_MODIF_DT_METRICS ADD CONSTRAINT F_REQMODI_DTM_FK2 FOREIGN KEY (REQUIREMENT_CLASS_ID)
	REFERENCES D_REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID);

ALTER TABLE F_REQUIR_MODIF_DT_METRICS ADD CONSTRAINT F_REQMODI_DTM_FK4 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);
		
ALTER TABLE F_REQUIR_MODIF_DT_METRICS ADD CONSTRAINT F_REQMODI_DTM_FK5 FOREIGN KEY (COMPONENT_ID)
		REFERENCES D_COMPONENT (COMPONENT_ID);

ALTER TABLE F_REQUIR_MODIF_DT_METRICS ADD CONSTRAINT F_REQMODI_DTM_FK6 FOREIGN KEY (ITERATION_ID)
		REFERENCES D_ITERATION (ITERATION_ID);

ALTER TABLE F_REQUIR_MODIF_DT_METRICS ADD CONSTRAINT F_REQMODI_DTM_FK7 FOREIGN KEY (RELEASE_ID)
	REFERENCES D_RELEASE (RELEASE_ID);

ALTER TABLE F_REQUIR_MODIF_DT_METRICS ADD CONSTRAINT F_REQMODI_DTM_FK8 FOREIGN KEY (RESOURCE_ID)
		REFERENCES D_RESOURCE (RESOURCE_ID);

ALTER TABLE F_REQUIR_MODIF_DT_METRICS ADD CONSTRAINT F_REQMODI_DTM_FK9 FOREIGN KEY (STATE_ID)
		REFERENCES D_REQUIREMENT_STATE (STATE_ID);

ALTER TABLE F_REQUIR_MODIF_DT_METRICS ADD CONSTRAINT F_REQMODI_DTM_FK10 FOREIGN KEY (STATUS_ID)
		REFERENCES D_STATUS (STATUS_ID);

ALTER TABLE F_REQUIR_MODIF_DT_METRICS ADD CONSTRAINT F_REQMODI_DTM_FK11 FOREIGN KEY (STABILITY_ID)
	REFERENCES D_STABILITY (STABILITY_ID);

ALTER TABLE F_REQUIR_MODIF_DT_METRICS ADD CONSTRAINT F_REQMODI_DTM_FK12 FOREIGN KEY (DIFFICULTY_ID)
	REFERENCES D_DIFFICULTY (DIFFICULTY_ID);

ALTER TABLE F_REQUIR_MODIF_DT_METRICS ADD CONSTRAINT F_REQMODI_DTM_FK13 FOREIGN KEY (PRIORITY_ID)
		REFERENCES D_PRIORITY (PRIORITY_ID);
		
ALTER TABLE F_REQUIR_MODIF_DT_METRICS ADD CONSTRAINT F_REQMODI_DTM_FK14 FOREIGN KEY (REQUIREMENT_TYPE_ID)
  REFERENCES D_REQUIREMENT_TYPE (REQUIREMENT_TYPE_ID);		

ALTER TABLE H_REQUIR_MODIF_DT_METRICS ADD CONSTRAINT H_REQMODI_DTM_FK1 FOREIGN KEY (REQ_METRIC_ID)
		REFERENCES F_REQUIR_MODIF_DT_METRICS (REQ_METRIC_ID) ON DELETE CASCADE;										

ALTER TABLE H_REQUIR_MODIF_DT_METRICS ADD CONSTRAINT H_REQMODI_DTM_FK2 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES D_REQUIREMENT (REQUIREMENT_ID) ON DELETE CASCADE;

ALTER TABLE BD_PORTFOLIO ADD CONSTRAINT BD_PORTFOLIO_FK1 FOREIGN KEY (PORTFOLIO_ID)
	REFERENCES D_PORTFOLIO (PORTFOLIO_ID);

ALTER TABLE BD_PORTFOLIO ADD CONSTRAINT BD_PORTFOLIO_FK2 FOREIGN KEY (PROGRAM_ID)
	REFERENCES D_PROGRAM (PROGRAM_ID);

ALTER TABLE BD_PORTFOLIO ADD CONSTRAINT BD_PORTFOLIO_FK3 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_PROJECT_FINANCIAL_METRICS ADD CONSTRAINT F_PRJFINMET_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE(DATE_ID);
	
ALTER TABLE F_PROJECT_FINANCIAL_METRICS ADD CONSTRAINT F_PRJFINMET_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);
	
ALTER TABLE F_C_PROJECT_FINANCIAL_METRICS ADD CONSTRAINT F_CPRJFINMET_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE(DATE_ID);
	
ALTER TABLE F_C_PROJECT_FINANCIAL_METRICS ADD CONSTRAINT F_CPRJFINMET_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE H_PROJECT_FINANCIAL_METRICS ADD CONSTRAINT H_PRJFINMET_FK1 FOREIGN KEY (F_PROJFIN_METRIC_ID)
	REFERENCES F_PROJECT_FINANCIAL_METRICS (F_PROJFIN_METRIC_ID);
	
ALTER TABLE H_PROJECT_FINANCIAL_METRICS ADD CONSTRAINT H_PRJFINMET_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);	
	
ALTER TABLE F_TP_PROJECT_FINANCIAL_METRICS ADD CONSTRAINT F_TPPRJFINMET_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE(DATE_ID);
	
ALTER TABLE F_TP_PROJECT_FINANCIAL_METRICS ADD CONSTRAINT F_TPPRJFINMET_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);
	
ALTER TABLE H_TP_PROJECT_FINANCIAL_METRICS ADD CONSTRAINT H_TPPRJFINMET_FK1 FOREIGN KEY (F_TPPROJFIN_METRIC_ID)
	REFERENCES F_TP_PROJECT_FINANCIAL_METRICS (F_TPPROJFIN_METRIC_ID);
	
ALTER TABLE H_TP_PROJECT_FINANCIAL_METRICS ADD CONSTRAINT H_TPPRJFINMET_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);	

ALTER TABLE F_ASSET_UTIL_DT_METRICS ADD CONSTRAINT F_ASTUTDT_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);       
		
ALTER TABLE F_ASSET_UTIL_DT_METRICS ADD CONSTRAINT F_ASTUTDT_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);
		
ALTER TABLE F_ASSET_UTIL_DT_METRICS ADD CONSTRAINT F_ASTUTDT_FK3 FOREIGN KEY (ACTION_TYPE_ID)
	REFERENCES D_ACTION_TYPE (ACTION_TYPE_ID);
		
ALTER TABLE F_ASSET_UTIL_DT_METRICS ADD CONSTRAINT F_ASTUTDT_FK4 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);	
		
ALTER TABLE F_ASSET_UTIL_DT_METRICS ADD CONSTRAINT F_ASTUTDT_FK5 FOREIGN KEY (ASSET_ID)
	REFERENCES D_ASSET (ASSET_ID);	
	
ALTER TABLE F_ASSET_UTIL_DT_METRICS ADD CONSTRAINT F_ASTUTDT_FK6 FOREIGN KEY (ASSET_TYPE_ID)
	REFERENCES D_ASSET_TYPE (ASSET_TYPE_ID);		
		
ALTER TABLE F_LICENSE_DT_METRICS ADD CONSTRAINT F_LICDTMET_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);       
		
ALTER TABLE F_LICENSE_DT_METRICS ADD CONSTRAINT F_LICDTMET_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);
		
ALTER TABLE F_LICENSE_DT_METRICS ADD CONSTRAINT F_LICDTMET_FK3 FOREIGN KEY (ACTION_TYPE_ID)
	REFERENCES D_ACTION_TYPE (ACTION_TYPE_ID);
		
ALTER TABLE F_LICENSE_DT_METRICS ADD CONSTRAINT F_LICDTMET_FK4 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);	

ALTER TABLE F_SC_BALLOT_TAB_RESULT_METRICS ADD CONSTRAINT F_BALLTABMET_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);		

ALTER TABLE F_SC_BALLOT_TAB_RESULT_METRICS ADD CONSTRAINT F_BALLTABMET_FK2 FOREIGN KEY (TEAM_ID)
	REFERENCES D_TEAM (TEAM_ID);
	
ALTER TABLE F_SC_BALLOT_TAB_RESULT_METRICS ADD CONSTRAINT F_BALLTABMET_FK3 FOREIGN KEY (BALLOT_TAB_ID)
	REFERENCES D_BALLOT_TAB (BALLOT_TAB_ID);

COMMIT;
